package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 头条小游戏回传信息（跟小游戏有关联，但是有时候同一个小游戏会有不同 token和 url。所以只能绑到广告账号上）
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TtAccountRpcDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 广告账号 ID
     */
    private Long accountId;
    /**
     * 上报 Token
     */
    private String reportToken;
    /**
     * 上报地址
     */
    private String reportUrl;
}
