package com.zanxiang.game.back.base.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TtUserActiveAppRpcDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 游戏 id
     */
    private Long gameId;
    /**
     * 微信小游戏上报组件
     */
    private TtAccountRpcDTO accountReport;
    /**
     * 渠道标识
     */
    private String agentKey;
    /**
     * 激活/注册时间
     */
    private LocalDateTime activeTime;

    /**
     * 回传策略 id
     */
    private Long backPolicyId;
    /**
     * sdk 里面的用户 id（要求唯一）
     */
    private String userId;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;

    private String regIp;
}
