package com.zanxiang.game.back.base.rpc;

import com.zanxiang.game.back.base.pojo.dto.*;
import com.zanxiang.game.back.base.pojo.vo.OrderBackQueryRpcVO;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 微信小游戏头条上报
 * 参考文档：https://bytedance.feishu.cn/docx/doxcnsCqXkvxoAg36GDzkRRRuAq
 */
public interface ITtAppBackRpc {

    /**
     * 用户激活、注册等上报
     */
    ResultVO<Boolean> userActiveReport(TtUserActiveAppRpcDTO dto);

    /**
     * 用户下单、支付上报
     */
    ResultVO<Boolean> orderReport(TtOrderAppRpcDTO dto);

    /**
     * 创角上报
     */
    ResultVO<Boolean> roleRegisterReport(TtRoleRegisterAppRpcDTO dto);



    /**
     * 用户是否回传
     */
    ResultVO<Boolean> userBackQuery(TtAppUserBackQueryRpcDTO dto);

    /**
     * 订单是否回传
     */
    ResultVO<OrderBackQueryRpcVO> orderBackQuery(TtAppOrderBackQueryRpcDTO dto);

    /**
     * 创角是否回传
     */
    ResultVO<Boolean> roleRegisterBackQuery(TtAppRoleRegisterBackQueryRpcDTO dto);

    ResultVO<String> queryUserAgentFromCallback(TtAppUserAgentQueryRpcDTO dto);
}
