package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppOrderLog;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineOrderLog;
import com.zanxiang.game.back.serve.pojo.vo.GameOceanengineOrderSplitLogVO;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOceanengineAppOrderLogDTO extends BaseListDTO<GameOceanengineAppOrderLog> {
    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("用户设备mac地址")
    private String mac;

    @ApiModelProperty("设备唯一编号IMEI")
    private String imei;

    @ApiModelProperty("设备OAID")
    private String oaid;

    @ApiModelProperty("安卓id, (仅安卓设备才有值)")
    private String androidId;

    @ApiModelProperty("IOS设备IDFA")
    private String idfa;

    @ApiModelProperty("IOS设备CAID")
    private String caid;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long accountId;

    @ApiModelProperty("渠道标识")
    private String agentKey;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消")
    private Integer orderStatus;

    @ApiModelProperty("注册时间")
    private LocalDate regTimeBegin;

    @ApiModelProperty("注册时间")
    private LocalDate regTimeEnd;

    @ApiModelProperty("回传状态 -1：回传失败；0：未回传；1：回传")
    private Integer backStatus;

    @ApiModelProperty("角色名")
    private String roleName;

    @ApiModelProperty("充值到支付的间隔时间（分）")
    private Long regPayIntervalTimeMin;

    @ApiModelProperty("充值到支付的间隔时间（分）")
    private Long regPayIntervalTimeMax;

    @ApiModelProperty("是否是首单")
    private Boolean isFirstOrder;

}