package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppOrderLog;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppUserLog;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOceanengineAppUserLogDTO extends BaseListDTO<GameOceanengineAppUserLog> {
    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("用户设备mac地址")
    private String mac;

    @ApiModelProperty("设备唯一编号IMEI")
    private String imei;

    @ApiModelProperty("设备OAID")
    private String oaid;

    @ApiModelProperty("安卓id, (仅安卓设备才有值)")
    private String androidId;

    @ApiModelProperty("IOS设备IDFA")
    private String idfa;

    @ApiModelProperty("IOS设备CAID")
    private String caid;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long accountId;

    @ApiModelProperty("渠道标识")
    private String agentKey;

    @ApiModelProperty("回传状态")
    private Integer backStatus;

    @ApiModelProperty("注册时间")
    private LocalDate activeTimeBegin;

    @ApiModelProperty("注册时间")
    private LocalDate activeTimeEnd;
}