package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameTencentMiniGameOrder;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * <p>
 * 游戏腾讯订单表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameTencentMiniGameOrderDTO extends BaseListDTO<GameTencentMiniGameOrder> {
    /**
     * 渠道号
     */
    @ApiModelProperty("渠道号")
    private String agentKey;

    /**
     * 游戏ID
     */
    @ApiModelProperty("游戏ID")
    private Long gameId;

    /**
     * 广告账号ID
     */
    @ApiModelProperty("广告账号ID")
    private Long adAccountId;

    /**
     * 订单ID
     */
    @ApiModelProperty("订单ID")
    private String orderId;

    /**
     * openid
     */
    @ApiModelProperty("openid")
    private String wechatOpenid;

    /**
     * appid
     */
    @ApiModelProperty("appid")
    private String wechatAppId;

    /**
     * 0：未回传；1：回传
     */
    @ApiModelProperty("-1：回传失败；0：未回传；1：回传")
    private Integer backStatus;

    /**
     * 支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消
     */
    @ApiModelProperty("支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消")
    private Integer orderStatus;

    @ApiModelProperty("充值到支付的间隔时间（分）")
    private Long regPayIntervalTimeMin;

    @ApiModelProperty("充值到支付的间隔时间（分）")
    private Long regPayIntervalTimeMax;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("是否是首单")
    private Boolean isFirstOrder;

    @ApiModelProperty("注册时间")
    private LocalDate regTimeBegin;

    @ApiModelProperty("注册时间")
    private LocalDate regTimeEnd;
}
