package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameTencentOrder;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentRoleRegister;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * <p>
 * 游戏腾讯订单表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameTencentRoleRegisterDTO extends BaseListDTO<GameTencentRoleRegister> {
    /**
     * 渠道号
     */
    @ApiModelProperty("渠道号")
    private String channel;

    /**
     * 游戏ID
     */
    @ApiModelProperty("游戏ID")
    private Long gameId;

    /**
     * 广告账号ID
     */
    @ApiModelProperty("广告账号ID")
    private Long adAccountId;

    /**
     * openid
     */
    @ApiModelProperty("openid")
    private String wechatOpenid;

    /**
     * appid
     */
    @ApiModelProperty("appid")
    private String wechatAppId;

    /**
     * 0：未回传；1：回传
     */
    @ApiModelProperty("-1：回传失败；0：未回传；1：回传")
    private Integer isBack;

    /**
     * 数据源ID
     */
    @ApiModelProperty("数据源ID")
    private Long userActionSetId;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("注册时间")
    private LocalDate registerBegin;

    @ApiModelProperty("注册时间")
    private LocalDate registerEnd;
}
