package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_oceanengine_app_back_log")
public class GameOceanengineAppBackLog implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String userId;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;
    /**
     * 游戏 id
     */
    private Long gameId;

    private Long accountId;
    /**
     * 事件类型
     */
    private String eventType;
    /**
     * 触发回传的日志 id
     */
    private Long eventLogId;
    /**
     * 支付回传的支付金额
     */
    private Long payAmount;
    /**
     * 回传状态（0：成功、-1：失败）
     */
    private Integer backStatus;
    /**
     * 回传失败的错误日志
     */
    private String errMsg;
    /**
     * 回传时间
     */
    private LocalDateTime createTime;

}
