package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_ocenaengine_back_log")
public class GameOceanengineBackLog implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 小游戏 id
     */
    private String appId;
    /**
     * 用户 open_id
     */
    private String openId;
    /**
     * 用户 union_id
     */
    private String unionId;
    /**
     * 游戏 id
     */
    private Long gameId;

    private Long accountId;
    /**
     * 广告回传 token
     */
    private String clueToken;
    /**
     * 事件类型
     */
    private String eventType;
    /**
     * 触发回传的日志 id
     */
    private Long eventLogId;
    /**
     * 支付回传的支付金额
     */
    private Long payAmount;
    /**
     * 回传状态（0：成功、-1：失败）
     */
    private Integer backStatus;
    /**
     * 回传失败的错误日志
     */
    private String errMsg;
    /**
     * 回传时间
     */
    private LocalDateTime createTime;

}
