package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_oceanengine_role_register_log")
public class GameOceanengineRoleRegisterLog implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 小游戏 id
     */
    private String appId;
    /**
     * 用户 open_id
     */
    private String openId;
    /**
     * 用户 union_id
     */
    private String unionId;
    /**
     * 游戏 id
     */
    private Long gameId;
    /**
     * 广告账号_id
     */
    private Long accountId;
    /**
     * 广告回传 token
     */
    private String accountReportToken;
    /**
     * 广告回传 url
     */
    private String accountReportUrl;
    /**
     * 渠道标识
     */
    private String agentKey;
    /**
     * 角色 id
     */
    private String roleId;
    /**
     * 角色名称
     */
    private String roleName;
    /**
     * 支付时间
     */
    private LocalDateTime registerTime;
    /**
     * 回传状态
     */
    private Integer backStatus;
    /**
     * 下单时间
     */
    private LocalDateTime createTime;

}
