package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 腾讯 APP回传日志表
 * </p>
 *
 * @author wcc
 * @since 2024-06-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(GameTencentAppApiBackLog.TABLE_NAME)
public class GameTencentAppApiBackLog implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "t_game_tencent_app_api_back_log";

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String userId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;

    /**
     * 行为发生时，客户端的时间点
     */
    private LocalDateTime actionTime;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;

    /**
     * 行为类型：(REGISTER/PURCHASE/COMPLETE_ORDER)
     */
    private String actionType;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 回传时间
     */
    private LocalDateTime createTime;

    /**
     * 回传日志
     */
    private String backLog;

    /**
     * 行为参数
     */
    private String actionParam;


}
