package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author wcc
 * @since 2024-06-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(GameTencentAppApiOrderSplitLog.TABLE_NAME)
public class GameTencentAppApiOrderSplitLog implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "t_game_tencent_app_api_order_split_log";

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String userId;

    /**
     * 回传日期
     */
    private LocalDate backDay;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 回传序号
     */
    private Integer backIndex;

    /**
     * 总计拆成几单
     */
    private Integer backCount;

    /**
     * 拆分的回传金额
     */
    private Long splitMoney;

    /**
     * 回传时间
     */
    private LocalDateTime backTime;

    /**
     * 真实的回传时间
     */
    private LocalDateTime executeTime;

    /**
     * 回传状态
     */
    private Integer backStatus;

    private LocalDateTime createTime;

    /**
     * 回传失败消息
     */
    private String backErrorMsg;


}
