package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 游戏腾讯APP角色创建表
 * </p>
 *
 * @author wcc
 * @since 2024-06-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(GameTencentAppApiRoleRegister.TABLE_NAME)
public class GameTencentAppApiRoleRegister implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "t_game_tencent_app_api_role_register";

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String userId;

    /**
     * 渠道号
     */
    private String channel;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;

    /**
     * 注册时间
     */
    private LocalDateTime registerTime;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;

    /**
     * 0：未回传；1：回传
     */
    private Integer isBack;

    private LocalDateTime createTime;

    /**
     * 回传日志
     */
    private String backLog;

    /**
     * 回传策略id
     */
    private Long backPolicyId;

    private String roleId;

    private String roleName;

    /**
     * 回传信息
     */
    private String backMsg;


}
