package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 回传日志表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_tencent_mini_game_back_log")
public class GameTencentMiniGameBackLog implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long adAccountId;

    /**
     * 数据源ID
     */
    private String clickId;

    /**
     * 行为发生时，客户端的时间点
     */
    private LocalDateTime actionTime;

    /**
     * openid
     */
    private String wechatOpenid;

    /**
     * appid
     */
    private String wechatAppId;

    /**
     * 行为类型：(REGISTER/PURCHASE/COMPLETE_ORDER)
     */
    private String actionType;

    /**
     * 金额
     */
    private Long amount;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 回传时间
     */
    private LocalDateTime createTime;
    /**
     * 回传状态
     */
    private Integer backStatus;
    /**
     * 回传失败的错误日志
     */
    private String errMsg;


}
