package com.zanxiang.game.back.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOceanengineAppOrderLogVO {
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("用户设备mac地址")
    private String mac;

    @ApiModelProperty("设备唯一编号IMEI")
    private String imei;

    @ApiModelProperty("设备OAID")
    private String oaid;

    @ApiModelProperty("安卓id, (仅安卓设备才有值)")
    private String androidId;

    @ApiModelProperty("IOS设备IDFA")
    private String idfa;

    @ApiModelProperty("IOS设备CAID")
    private String caid;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long accountId;

    @ApiModelProperty("回传策略ID")
    private Long backPolicyId;

    @ApiModelProperty("渠道标识")
    private String agentKey;

    @ApiModelProperty("渠道名称")
    private String agentName;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("订单金额（分）")
    private Long amount;

    @ApiModelProperty("支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消")
    private Integer orderStatus;

    @ApiModelProperty("下单时间")
    private LocalDateTime createTime;

    @ApiModelProperty("支付时间")
    private LocalDateTime payTime;

    @ApiModelProperty("注册时间")
    private LocalDateTime regTime;

    @ApiModelProperty("回传状态 -1：回传失败；0：未回传；1：回传")
    private Integer backStatus;

    @ApiModelProperty("角色ID")
    private String roleId;

    @ApiModelProperty("角色名")
    private String roleName;

    @ApiModelProperty("注册到付费的间隔时间")
    private String regPayIntervalTime;

    @ApiModelProperty("是否是首单")
    private Boolean isFirstOrder;

    @ApiModelProperty("回传金额")
    private Long backMoney;

    @ApiModelProperty("回传日志")
    private String backMsg;

    @ApiModelProperty("回传拆分订单")
    private List<GameOceanengineAppOrderSplitLogVO> splitOrderList;
}