package com.zanxiang.game.back.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOceanengineAppUserLogVO {
    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("用户设备mac地址")
    private String mac;

    @ApiModelProperty("设备唯一编号IMEI")
    private String imei;

    @ApiModelProperty("设备OAID")
    private String oaid;

    @ApiModelProperty("安卓id, (仅安卓设备才有值)")
    private String androidId;

    @ApiModelProperty("IOS设备IDFA")
    private String idfa;

    @ApiModelProperty("IOS设备CAID")
    private String caid;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long accountId;

    @ApiModelProperty("渠道标识")
    private String agentKey;

    @ApiModelProperty("渠道名称")
    private String agentName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("注册/激活时间")
    private LocalDateTime activeTime;

    @ApiModelProperty("回传状态")
    private Integer backStatus;
}
