package com.zanxiang.game.back.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * <p>
 * 游戏腾讯用户表
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameTencentMiniGameUserVO {
    private Long id;

    /**
     * 渠道号
     */
    @ApiModelProperty("渠道号")
    private String agentKey;

    @ApiModelProperty("渠道名称")
    private String agentName;

    /**
     * 游戏ID
     */
    @ApiModelProperty("游戏ID")
    private Long gameId;

    /**
     * 广告账号ID
     */
    @ApiModelProperty("广告账号ID")
    private Long adAccountId;

    /**
     * 注册时间
     */
    @ApiModelProperty("注册时间")
    private LocalDateTime registerTime;

    /**
     * 关注时间
     */
    @ApiModelProperty("关注时间")
    private LocalDateTime subscribeTime;

    /**
     * openid
     */
    @ApiModelProperty("openid")
    private String wechatOpenid;

    /**
     * appid
     */
    @ApiModelProperty("appid")
    private String wechatAppId;

    /**
     * 0：未回传；1：回传
     */
    @ApiModelProperty("回传状态：-1：回传失败；0：未回传；1：已回传")
    private Integer backStatus;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;
}
