package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.sd4324530.jtuple.Tuple2;
import com.zanxiang.game.back.serve.pojo.dto.GameBackPolicyListDTO;
import com.zanxiang.game.back.serve.pojo.dto.GameTencentOrderDTO;
import com.zanxiang.game.back.serve.pojo.dto.OrderReportDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.serve.pojo.enums.BackStatusEnum;
import com.zanxiang.game.back.serve.pojo.vo.GameTencentOrderVO;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 游戏腾讯订单表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
public interface IGameTencentOrderService extends IService<GameTencentOrder> {

    boolean orderBack(GameTencentOrder tencentOrder);

    IPage<GameTencentOrderVO> tencentOrderLogList(GameTencentOrderDTO dto);

    boolean tencentOrderReport(OrderReportDTO dto);

    Tuple2<BackStatusEnum, String> doCallback(GameTencentOrder orderLog, LocalDateTime backTime, Long backMoney);
}
