package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/18
 * @Description 前端传递的推广渠道每日复充查询条件
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AgentDayAgainDTO {

    /**
     * 推广账号ID
     */
    @ApiModelProperty(value = "推广账号ID")
    private Long accountId;

    /**
     * 渠道ID
     */
    @ApiModelProperty(value = "渠道ID")
    private Long agentId;

    /**
     * 查询开始时间
     */
    @ApiModelProperty(value = "查询开始时间")
    private LocalDate beginDate;

    /**
     * 查询结束时间
     */
    @ApiModelProperty(value = "查询结束时间（前端不需要传递）")
    private LocalDate endDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;


}
