package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

/**
 * @author ZhangXianyu
 * @time 2024-03-04
 * @Description 流水监控条件dto
 **/
@Data
public class FlowMonitorDTO extends BasePage implements Serializable  {

    /**
     * SDK类型
     */
    @ApiModelProperty(value = "SDK类型")
    private String sourceSystem;
    /**
     * 数据归因：1-子游戏维度; 2-父游戏维度
     */
    @ApiModelProperty(notes = "数据归因：1-子游戏维度; 2-父游戏维度")
    private Long gameDimension = 1L;
    /**
     * 投手id
     */
    @ApiModelProperty(value = "投手id")
    private List<Long> pitcherId;

    /**
     * 消耗开始时间
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate costBeginDate;

    /**
     * 消耗结束时间
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate costEndDate;

    /**
     * 订单开始时间
     */
    @ApiModelProperty(value = "订单开始时间")
    private LocalDate orderBeginDate;

    /**
     * 订单结时间
     */
    @ApiModelProperty(value = "订单结时间")
    private LocalDate orderEndDate;

    /**
     * 渠道id
     */
    @ApiModelProperty(value = "渠道id")
    private List<Long> agentId;

    /**
     * 游戏id
     */
    @ApiModelProperty(value = "游戏id")
    private List<Long> gameId;

    /**
     * 广告id
     */
    @ApiModelProperty(value = "广告id")
    private List<Long> accountId;



}
