package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

/**
 * @author ZhangXianyu
 * @description: 游戏区服列表条件类
 * @date 2024-03-14 19:06:50
 */
@Data
public class GSGameServerDayDTO extends BasePage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 游戏id
     */
    @ApiModelProperty(value = "游戏id")
    private List<Long> gameId;

    /**
     * GS id
     */
    @ApiModelProperty(value = "GS id")
    private Long gsId;

    /**
     * 区服名称
     */
    @ApiModelProperty(value = "区服名称")
    private String serverName;

    /**
     * 区服id
     */
    @ApiModelProperty(value = "区服id")
    private List<Long> serverId;

    /**
     * 开服时间
     */
    @ApiModelProperty(value = "开服时间（起始）")
    private LocalDate beginDate;

    /**
     * 开服时间
     */
    @ApiModelProperty(value = "开服时间（结束）")
    private LocalDate endDate;

    @ApiModelProperty(value = "排序类型")
    private String sortType = "desc";

}
