package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/18
 * @Description 前端传递的游戏每日复充查询实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataAgainDayDTO {

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    /**
     * 查询开始时间
     */
    @ApiModelProperty(value = "查询开始时间")
    private LocalDate beginDate;

    /**
     * 查询结束时间
     */
    @ApiModelProperty(value = "查询结束时间（前端不需要传递）")
    private LocalDate endDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

}
