package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 游戏总数据前端查询参数实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataH5DTO extends BasePage {
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;

    @ApiModelProperty(notes = "充值开始时间")
    private LocalDate rechargeBeginDate;

    @ApiModelProperty(notes = "充值结束时间")
    private LocalDate rechargeEndDate;

    @ApiModelProperty(notes = "注册开始时间")
    private LocalDate costBeginDate;

    @ApiModelProperty(notes = "注册结束时间")
    private LocalDate costEndDate;

    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

}
