package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import com.zanxiang.game.data.serve.pojo.vo.FirstNewUserAgainTrendVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tianhua
 * @time 2023/8/11
 * @Description 用户详情查询条件参数实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataUserDetailsDTO extends BasePage {

    /**
     * 对象里面包含需要查询的usersID等信息
     */
    @ApiModelProperty(notes = "首日复充趋势对象")
    private FirstNewUserAgainTrendVO againTrendVO;

    /**
     * SDK来源
     */
    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;

    /**
     * 排序字段
     */
    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    /**
     * 排序方式：升序asc;降序desc
     */
    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

}
