package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @author tianhua
 * @time 2023/8/30
 * @Description 游戏媒体总数据总计查询参数实体
 **/
@Data
public class GameMediaDataTotalSumDTO {

    /**
     * 消耗开始时间
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate beginDate;

    /**
     * 消耗结束时间
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate endDate;

    /**
     * 充值开始时间
     */
    @ApiModelProperty(value = "充值开始时间")
    private LocalDate amountBeginDate;

    /**
     * 充值结束时间
     */
    @ApiModelProperty(value = "充值结束时间")
    private LocalDate amountEndDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private List<Long> gameId;

    /**
     * 游戏CP方
     */
    @ApiModelProperty(value = "游戏CP方")
    private String gameCp;

    /**
     * 游戏类型
     */
    @ApiModelProperty(value = "游戏类型")
    private Long gameType;

    /**
     * 推广媒体
     */
    @ApiModelProperty(value = "推广媒体")
    private String accountType;

    /**
     * 游戏维度：1-子游戏维度;2-父游戏维度;3-超父游戏维度
     */
    @ApiModelProperty(notes = "游戏维度：1-子游戏维度;2-父游戏维度")
    private Long gameDimension;

}
