package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GamePromoteTotalDTO extends BasePage {
    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;
    @ApiModelProperty(notes = "投手id")
    private Long sysUserId;
    @ApiModelProperty(notes = "推广账号ID")
    private String accountId;
    @ApiModelProperty(notes = "推广账号类型")
    private String accountType;
    @ApiModelProperty(notes = "投放渠道Id")
    private List<Long> agentId;

    @ApiModelProperty(notes = "cp名")
    private String cpName;

    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    @ApiModelProperty(notes = "游戏名")
    private String gameName;
    @ApiModelProperty(notes = "游戏应用类型")
    private String gameType;

    @ApiModelProperty(notes = "消耗开始日期")
    private LocalDate costBeginDay;
    @ApiModelProperty(notes = "消耗结束日期")
    private LocalDate costEndDay;

    @ApiModelProperty(notes = "充值开始日期")
    private LocalDate rechargeBeginDay;
    @ApiModelProperty(notes = "充值结束日期")
    private LocalDate rechargeEndDay;

    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;
}
