package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.List;

/**
 * @author tianhua
 * @time 2023/8/14
 * @Description 前端传递的游戏区服查询条件
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameServerSumDayDTO extends BasePage {

    /**
     * 开服时间(开始时间)
     */
    @ApiModelProperty(value = "开服时间（起始）")
    private LocalDate beginDate;

    /**
     * 开服时间(结束时间)
     */
    @ApiModelProperty(value = "开服时间（结束）")
    private LocalDate endDate;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private List<Long> gameId;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 排序字段
     */
    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    /**
     * 排序方式：升序asc;降序desc
     */
    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

    /**
     * 游戏维度：1-子游戏维度;2-父游戏维度;3-超父游戏维度
     */
    @ApiModelProperty(notes = "游戏维度：1-子游戏维度;2-父游戏维度")
    private Long gameDimension;

}
