package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * packageName com.zanxiang.game.data.serve.pojo.dto
 *
 * @author ZhangXianyu
 * @date 2024/4/22
 * @description 用户配置新增修改DTO
 */
@Data
public class GameUserConfigCreateOrUpdateDTO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id, 传则是更新, 不传则是添加")
    private Long id;

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空, 必传")
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏角色等级
     */
    @NotNull(message = "游戏角色等级不可为空, 必传")
    @ApiModelProperty(notes = "游戏角色等级")
    private Long roleLevel;
}