package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @author tianhua
 * @time 2023/8/30
 * @Description 投手媒体每日数据总计查询参数实体
 **/
@Data
public class PitcherMediaDataDayTotalDTO {

    /**
     * 消耗开始时间
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate beginDate;

    /**
     * 消耗结束时间
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate endDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 投手ID
     */
    @ApiModelProperty(value = "投手ID")
    private List<Long> pitcherId;

    /**
     * 推广媒体
     */
    @ApiModelProperty(value = "推广媒体")
    private String accountType;

    /**
     * 游戏维度：1-子游戏维度;2-父游戏维度;3-超父游戏维度
     */
    @ApiModelProperty(notes = "游戏维度：1-子游戏维度;2-父游戏维度")
    private Long gameDimension;

}
