package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * @author tianhua
 * @time 2023/10/8
 * @Description 前端查询用户登陆日志参数实体
 **/
@Data
public class PlayerLoginLogDataListDTO extends BasePage {

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private LocalDate beginDate;

    /**
     * 登陆结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private LocalDate endDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /**
     * 角色ID
     */
    @ApiModelProperty(value = "角色ID")
    private Long roleId;

    /**
     * 角色名
     */
    @ApiModelProperty(value = "角色名")
    private String roleName;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 父游戏ID
     */
    @ApiModelProperty(value = "父游戏ID")
    private Long parentGameId;

    /**
     * 游戏类型
     */
    @ApiModelProperty(value = "游戏类型")
    private Long gameClassify;

    /**
     * 区服ID
     */
    @ApiModelProperty(value = "区服ID")
    private List<String> serverId;

    /**
     * 操作系统
     */
    @ApiModelProperty(value = "操作系统")
    private String os;

    /**
     * 登陆IP
     */
    @ApiModelProperty(value = "登陆IP")
    private String ip;

    /**
     * 客户端类型：1-安卓APP；2-iosAPP；3-H5网页；4-小程序
     */
    @ApiModelProperty(value = "客户端类型：1-安卓APP；2-iosAPP；3-H5网页；4-小程序")
    private Long deviceType;

    /**
     * 类型：0-注册；1-登陆；2-退出
     */
    @ApiModelProperty(value = "类型：0-注册；1-登陆；2-退出")
    private Long type;

}
