package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/27
 * @Description 前端传递的查询参数实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PromotionDayTotalDTO {

    /**
     * 消耗开始日期
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate costBeginDate;

    /**
     * 消耗结束日期
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate costEndDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 广告ID
     */
    @ApiModelProperty(value = "广告ID")
    private Long promotionId;

    /**
     * 广告名称
     */
    @ApiModelProperty(value = "广告名称")
    private String promotionName;

    /**
     * 广告状态
     */
    @ApiModelProperty(value = "广告状态")
    private String status;

    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID")
    private Long projectId;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    /**
     * 推广账号名称
     */
    @ApiModelProperty(value = "推广账号名称")
    private String accountName;

    /**
     * 推广账号ID
     */
    @ApiModelProperty(value = "推广账号ID")
    private Long accountId;

    /**
     * 投放媒体
     */
    @ApiModelProperty(value = "投放媒体")
    private String accountType;

    /**
     * 投手ID
     */
    @ApiModelProperty(value = "投手ID")
    private Long pitcherId;

    /**
     * 渠道ID
     */
    @ApiModelProperty(value = "渠道ID")
    private Long[] agentId;

    /**
     * cp名称
     */
    @ApiModelProperty(value = "CP名称")
    private String cpName;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 游戏应用类型
     */
    @ApiModelProperty(value = "游戏应用类型")
    private Long classify;

    /**
     * 首日充值金额（最大值）
     */
    @ApiModelProperty(notes = "首日充值金额（最大值）")
    private Long firstRechargeAmountMax;

    /**
     * 首日充值金额（最小值）
     */
    @ApiModelProperty(notes = "首日充值金额（最小值）")
    private Long firstRechargeAmountMin;

}
