package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RechargeRankingDTO extends BasePage{

    @ApiModelProperty(notes = "充值开始日期")
    private LocalDate beginDay;
    @ApiModelProperty(notes = "充值结束日期")
    private LocalDate endDay;

    @ApiModelProperty(notes = "游戏 id")
    private Long gameId;

    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;
    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

    /**
     * 最近充值时间距今的间隔时间（最小分）
     */
    @ApiModelProperty("最近充值时间距今的间隔时间（分）")
    private Long latestAmountUntilNowTimeMin;

    /**
     * 最近充值时间距今的间隔时间（最大分）
     */
    @ApiModelProperty("最近充值时间距今的间隔时间（分）")
    private Long latestAmountUntilNowTimeMax;

}
