package com.zanxiang.game.data.serve.pojo.dto;


import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author ZhangXianyu
 * @time 2024-03-11 11:24:16
 * @Description 发送消息任务参数
 **/
@Data
public class SendMsgTaskDTO implements Serializable {

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String taskName;

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不能为空")
    private Long gameId;

    /**
     * 发送文本内容
     */
    @NotBlank(message = "发送文本内容不能为空")
    private String sendContent;
    /**
     * 任务条件
     */
    private RoleRechargeRankingDTO roleRechargeRankingDTO;

    /**
     * 角色id
     */
    @NotEmpty(message = "角色id不能为空")
    private List<String> roleIds;


//    /**
//     * 任务调度策略
//     * {@link TaskStrategyEnum}
//     */
//    private Integer taskStrategy;
//
//    /**
//     * 定时发送时间
//     */
//    private LocalDate sendOnTime;
//
//    /**
//     * 定时发送开始时间
//     */
//    private LocalDate everyDayBeginTime;
//
//    /**
//     * 定时发送结束时间（默认2099表示永久）
//     */
//    private LocalDate everyDayEndTime;






}
