package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 推广渠道每日数据
 * </p>
 *
 * @author auto
 * @since 2023-07-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsAccountAgentDayParent.TABLE_NAME)
@PK({"dt","sourceSystem", "accountId", "agentId"})
public class AdsAccountAgentDayParent implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "game_ads_parent.ads_account_agent_day_parent";

    /**
     * 日期（充值时间）
     */
    private LocalDate dt;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 推广账号
     */
    private Long accountId;

    /**
     * 渠道ID
     */
    private Long agentId;

    /**
     * 渠道名称
     */
    @Column
    private String agentName;

    /**
     * 推广账号类型
     */
    @Column
    private String accountType;

    /**
     * 投手ID
     */
    @Column
    private String pitcherId;

    /**
     * 投手名称
     */
    @Column
    private String pitcher;

    /**
     * 推广游戏CP名称
     */
    @Column
    private String gameCp;

    /**
     * 推广游戏ID
     */
    @Column
    private Long parentGameId;

    /**
     * 推广游戏名称
     */
    @Column
    private String parentGameName;

    /**
     * 推广游戏类型
     */
    @Column
    private String parentGameType;

    /**
     * 注册时间(消耗时间)
     */
    @Column
    private LocalDateTime regTime;

    /**
     * 消耗
     */
    @Column
    private BigDecimal cost;

    /**
     * 推广计划数量
     */
    @Column
    private Long planCount;

    /**
     * 曝光数量
     */
    @Column
    private Long viewCount;

    /**
     * 点击数量
     */
    @Column
    private Long clickCount;

    /**
     * 转化数量
     */
    @Column
    private Long changeCount;

    /**
     * 转化率
     */
    @Column
    private BigDecimal changeRate;

    /**
     * 平均转化成本
     */
    @Column
    private BigDecimal avgChangePrice;

    /**
     * 深度转化数量
     */
    @Column
    private Long depthChangeCount;

    /**
     * 深度转化率
     */
    @Column
    private BigDecimal depthChangeRate;

    /**
     * 深度转化成本
     */
    @Column
    private BigDecimal avgDepthChangePrice;

    /**
     * 千次曝光成本
     */
    @Column
    private BigDecimal thousandDisplayPrice;

    /**
     * 点击率
     */
    @Column
    private BigDecimal clickRate;

    /**
     * 平均点击均价
     */
    @Column
    private BigDecimal avgClickPrice;

    /**
     * 应用下载开始量
     */
    @Column
    private Long downloadStart;

    /**
     * 应用下载开始成本
     */
    @Column
    private BigDecimal downloadStartCost;

    /**
     * 应用下载开始率
     */
    @Column
    private BigDecimal downloadStartRate;

    /**
     * 应用下载完成量
     */
    @Column
    private Long downloadFinish;

    /**
     * 应用下载完成成本
     */
    @Column
    private BigDecimal downloadFinishCost;

    /**
     * 应用下载完成率
     */
    @Column
    private BigDecimal downloadFinishRate;

    /**
     * 应用安装完成量
     */
    @Column
    private Long installFinish;

    /**
     * 应用安装完成成本
     */
    @Column
    private BigDecimal installFinishCost;

    /**
     * 应用安装完成率
     */
    @Column
    private BigDecimal installFinishRate;

    /**
     * 应用激活量
     */
    @Column
    private Long active;

    /**
     * 应用激活成本
     */
    @Column
    private BigDecimal activeCost;

    /**
     * 应用激活率
     */
    @Column
    private BigDecimal activeRate;

    /**
     * 注册人数-通过广告首次登录小游戏的独立用户数
     */
    @Column
    private Long registerNum;

    /**
     * 注册成本=实际消耗/注册人数
     */
    @Column
    private BigDecimal registerCost;

    /**
     * 新增付费次数
     */
    @Column
    private Long firstNewUserAmountCount;

    /**
     * 新增付费人数
     */
    @Column
    private Long firstNewUserAmountNum;

    /**
     * 新增付费金额
     */
    @Column
    private BigDecimal firstNewUserAmount;

    /**
     * 账面充值次数
     */
    @Column
    private Long amountCount;

    /**
     * 账面充值人数
     */
    @Column
    private Long amountNum;

    /**
     * 账面充值金额
     */
    @Column
    private BigDecimal amount;

    /**
     * 老用户充值次数(每日)
     */
    @Column
    private Long oldAmountCount;

    /**
     * 老用户充值人数(每日)
     */
    @Column
    private Long oldAmountNum;

    /**
     * 老用户充值金额(每日)
     */
    @Column
    private BigDecimal oldAmount;

    /**
     * 至今充值次数
     */
    @Column
    private Long newUserTotalAmountCount;

    /**
     * 至今充值人数
     */
    @Column
    private Long newUserTotalAmountNum;

    /**
     * 至今充值金额
     */
    @Column
    private BigDecimal newUserTotalAmount;

    /**
     * 首日回收率
     */
    @Column
    private BigDecimal firstRoi;

    /**
     * 买量回收率
     */
    @Column
    private BigDecimal buyRoi;

    /**
     * 当日回收率
     */
    @Column
    private BigDecimal todayRoi;

    /**
     * 毛利额，毛利=新用户-实际消耗
     */
    @Column
    private BigDecimal grossProfit;

    /**
     * 1日roi
     */
    @Column
    private BigDecimal roi1;

    /**
     * 2日roi
     */
    @Column
    private BigDecimal roi2;

    /**
     * 3日roi
     */
    @Column
    private BigDecimal roi3;

    /**
     * 4日roi
     */
    @Column
    private BigDecimal roi4;

    /**
     * 5日roi
     */
    @Column
    private BigDecimal roi5;

    /**
     * 6日roi
     */
    @Column
    private BigDecimal roi6;

    /**
     * 7日roi
     */
    @Column
    private BigDecimal roi7;

    /**
     * 8日roi
     */
    @Column
    private BigDecimal roi8;

    /**
     * 9日roi
     */
    @Column
    private BigDecimal roi9;

    /**
     * 10日roi
     */
    @Column
    private BigDecimal roi10;

    /**
     * 11日roi
     */
    @Column
    private BigDecimal roi11;

    /**
     * 12日roi
     */
    @Column
    private BigDecimal roi12;

    /**
     * 13日roi
     */
    @Column
    private BigDecimal roi13;

    /**
     * 14日roi
     */
    @Column
    private BigDecimal roi14;

    /**
     * 15日roi
     */
    @Column
    private BigDecimal roi15;

    /**
     * 16日roi
     */
    @Column
    private BigDecimal roi16;

    /**
     * 17日roi
     */
    @Column
    private BigDecimal roi17;

    /**
     * 18日roi
     */
    @Column
    private BigDecimal roi18;

    /**
     * 19日roi
     */
    @Column
    private BigDecimal roi19;

    /**
     * 20日roi
     */
    @Column
    private BigDecimal roi20;

    /**
     * 21日roi
     */
    @Column
    private BigDecimal roi21;

    /**
     * 22日roi
     */
    @Column
    private BigDecimal roi22;

    /**
     * 23日roi
     */
    @Column
    private BigDecimal roi23;

    /**
     * 24日roi
     */
    @Column
    private BigDecimal roi24;

    /**
     * 25日roi
     */
    @Column
    private BigDecimal roi25;

    /**
     * 26日roi
     */
    @Column
    private BigDecimal roi26;

    /**
     * 27日roi
     */
    @Column
    private BigDecimal roi27;

    /**
     * 28日roi
     */
    @Column
    private BigDecimal roi28;

    /**
     * 29日roi
     */
    @Column
    private BigDecimal roi29;

    /**
     * 30日roi
     */
    @Column
    private BigDecimal roi30;

    /**
     * 60日ROI
     */
    @Column
    private BigDecimal roi60;

    /**
     * 90日ROI
     */
    @Column
    private BigDecimal roi90;

    /**
     * 180日ROI
     */
    @Column
    private BigDecimal roi180;

    /**
     * 1年ROI
     */
    @Column
    private BigDecimal roi1yaer;

    /**
     * 总ROI
     */
    @Column
    private BigDecimal roiTotal;

    /**
     * 首日付费率
     */
    @Column
    private BigDecimal firstRate;

    /**
     * 买量用户付费率
     */
    @Column
    private BigDecimal buyUserRate;

    /**
     * 当天付费率
     */
    @Column
    private BigDecimal todayRate;

    /**
     * 首日客单价
     */
    @Column
    private BigDecimal firstAvg;

    /**
     * 买量客单价
     */
    @Column
    private BigDecimal buyAvg;

    /**
     * 当天客单价
     */
    @Column
    private BigDecimal todayAvg;

    /**
     * 账面客单价
     */
    @Column
    private BigDecimal paperAvg;

    /**
     * 首日充值成本
     */
    @Column
    private BigDecimal firstAmountCost;

    /**
     * 买量充值成本
     */
    @Column
    private BigDecimal buyAmountCost;

    /**
     * 当天充值成本
     */
    @Column
    private BigDecimal todayAmountCost;

    /**
     * 当天复充率
     */
    @Column
    private BigDecimal todayAgainRate;

    /**
     * 新增注册ARPU
     */
    @Column
    private BigDecimal newRegArpu;

    /**
     * 首日付费ARPU
     */
    @Column
    private BigDecimal firstArpu;

    /**
     * 当天付费ARPU
     */
    @Column
    private BigDecimal todayArpu;

    /**
     * 账面arpu
     */
    @Column
    private BigDecimal paperArpu;

    /**
     * 付费趋势第1日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD1;

    /**
     * 付费趋势第2日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD2;

    /**
     * 付费趋势第3日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD3;

    /**
     * 付费趋势第4日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD4;

    /**
     * 付费趋势第5日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD5;

    /**
     * 付费趋势第6日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD6;

    /**
     * 付费趋势第7日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD7;

    /**
     * 付费趋势第8日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD8;

    /**
     * 付费趋势第9日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD9;

    /**
     * 付费趋势第10日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD10;

    /**
     * 付费趋势第11日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD11;

    /**
     * 付费趋势第12日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD12;

    /**
     * 付费趋势第13日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD13;

    /**
     * 付费趋势第14日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD14;

    /**
     * 付费趋势第15日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD15;

    /**
     * 付费趋势第16日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD16;

    /**
     * 付费趋势第17日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD17;

    /**
     * 付费趋势第18日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD18;

    /**
     * 付费趋势第19日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD19;

    /**
     * 付费趋势第20日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD20;

    /**
     * 付费趋势第21日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD21;

    /**
     * 付费趋势第22日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD22;

    /**
     * 付费趋势第23日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD23;

    /**
     * 付费趋势第24日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD24;

    /**
     * 付费趋势第25日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD25;

    /**
     * 付费趋势第26日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD26;

    /**
     * 付费趋势第27日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD27;

    /**
     * 付费趋势第28日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD28;

    /**
     * 付费趋势第29日总：金额/人数/增/回/倍
     */
    @Column
    private String amountD29;

    /**
     * 付费趋势第30日总：金额/人数/增/回/倍
     */
    @Column
    private String amountM1;

    /**
     * 付费趋势第二月总：金额/人数/增/回/倍
     */
    @Column
    private String amountM2;

    /**
     * 付费趋势第三月总：金额/人数/增/回/倍
     */
    @Column
    private String amountM3;

    /**
     * 付费趋势六月总：金额/人数/增/回/倍
     */
    @Column
    private String amountM6;

    /**
     * 付费趋势一年总：金额/人数/增/回/倍
     */
    @Column
    private String amountY1;

    /**
     * 付费趋势总：增/回/倍
     */
    @Column
    private String amountSum;

    /**
     * 单日付费100+人数
     */
    @Column
    private Long hundredUserNum;

    /**
     * 单日付费100+成本
     */
    @Column
    private BigDecimal hundredUserNumCost;

    /**
     * 买量新用户累计充值金额
     */
    @Column
    private BigDecimal buyNewUserTotalAmount;

    /**
     * 买量新用户累计充值人数
     */
    @Column
    private Long buyNewUserTotalAmountNum;

    /**
     * 买量新用户累计充值次数
     */
    @Column
    private Long buyNewUserTotalAmountCount;

    /**
     * 复充人数
     */
    @Column
    private Long regOrderUserAgain;

    /**
     * 首日创角人数
     */
    @Column
    private Long firstRoleNum;

    /**
     * 新用户累计创角人数
     */
    @Column
    private Long newUserTotalRoleNum;

    /**
     * 创角人数
     */
    @Column
    private Long roleNum;


}
