package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.time.LocalDate;

/**
 * <p>
 * 推广渠道每日复充趋势
 * </p>
 *
 * @author tianhua
 * @time 2023/7/11
 * @Description
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsGameDayAgain.TABLE_NAME)
@PK({"dt", "ddf", "accountId", "agentId", "sourceSystem"})
public class AdsAgentDayAgain {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_agent_day_again";

    /**
     * 日期
     */
    private LocalDate dt;

    /**
     * 复充日期
     */
    private LocalDate ddf;

    /**
     * 推广账号ID
     */
    private Long accountId;

    /**
     * 渠道ID
     */
    private Long agentId;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 渠道名称
     */
    @Column
    private String agentName;

    /**
     * 充值一次
     */
    @Column
    private Long c1;

    /**
     * 充值大于一次
     */
    @Column
    private Long c2;

    /**
     * 充值大于两次
     */
    @Column
    private Long c3;

    /**
     * 充值大于三次
     */
    @Column
    private Long c4;

    /**
     * 充值大于四次
     */
    @Column
    private Long c5;

    /**
     * 充值大于五次
     */
    @Column
    private Long c6;

    /**
     * 充值大于十次
     */
    @Column
    private Long c7;

    /**
     * 充值大于二十次
     */
    @Column
    private Long c8;

    /**
     * 充值大于一百次
     */
    @Column
    private Long c9;
}
