package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 游戏聚合表（按游戏聚合）（买量）
 * </p>
 *
 * @author tianhua
 * @time 2023/7/11
 * @Description
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsDaynGameBuy.TABLE_NAME)
@PK({"dt", "gameId", "sourceSystem"})
public class AdsDaynGameBuy implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_dayn_game_buy";

    /**
     * 注册时间
     */
    private LocalDate dt;

    /**
     * 游戏ID
     */
    private String gameId;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 每一天的的充值金额，充值次数，充值人数
     */
    @Column
    private String dayN;

}
