package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * h5付费游戏聚合表（按游戏聚合）
 * </p>
 *
 * @author auto
 * @since 2023-07-19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsDaynH5PayGame.TABLE_NAME)
@PK({"dt", "source_system", "h5_game_id","h5_game_name"})
public class AdsDaynH5PayGame implements Serializable {

    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_dayn_h5_pay_game";

    /**
     * 注册时间
     */
    private LocalDate dt;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * h5付费游戏ID
     */
    private String h5GameId;

    /**
     * h5付费游戏名称
     */
    private String h5GameName;

    /**
     * 游戏类型
     */
    @Column
    private String classify;

    /**
     * 每一天的的充值金额,充值人数
     */
    @Column
    private String dayN;


}
