package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.time.LocalDate;

/**
 * <p>
 * 游戏每日复充数据表(自然量)
 * </p>
 *
 * @author tianhua
 * @time 2023/7/11
 * @Description
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsGameDayAgainNature.TABLE_NAME)
@PK({"dt", "ddf", "gameId", "gameName", "sourceSystem"})
public class AdsGameDayAgainNature {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_game_day_again_nature";

    /**
     * 日期
     */
    private LocalDate dt;

    /**
     * 复充日期
     */
    private LocalDate ddf;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 充值一次
     */
    @Column
    private Long natureC1;

    /**
     * 充值大于一次
     */
    @Column
    private Long natureC2;

    /**
     * 充值大于两次
     */
    @Column
    private Long natureC3;

    /**
     * 充值大于三次
     */
    @Column
    private Long natureC4;

    /**
     * 充值大于四次
     */
    @Column
    private Long natureC5;

    /**
     * 充值大于五次
     */
    @Column
    private Long natureC6;

    /**
     * 充值大于十次
     */
    @Column
    private Long natureC7;

    /**
     * 充值大于二十次
     */
    @Column
    private Long natureC8;

    /**
     * 充值大于一百次
     */
    @Column
    private Long natureC9;


}
