package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 *  推广媒体数据表
 */
@Data
@Table(AdsGamePitcherAcctypeDayParent.TABLE_NAME)
@PK({"dt", "parentGameId", "pitcherId", "sourceSystem"})
public class AdsGamePitcherAcctypeDayParent implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "game_ads_parent.ads_game_pitcher_acctype_day_parent";
     
    /**
    * 日期（充值时间）
    */
    private LocalDate dt;
    
    /**
    * SDK来源
    */
    private String sourceSystem;
    
    /**
    * 投手ID
    */
    private Long pitcherId;
    
    /**
    * 游戏ID
    */
    private String parentGameId;
    
    /**
    * 投手
    */    
    @Column
    private String pitcher;
    
    /**
    * 游戏
    */    
    @Column
    private String parentGameName;
    
    /**
    * 游戏CP方
    */    
    @Column
    private String parentGameCp;
    
    /**
    * 游戏类型
    */    
    @Column
    private Long parentGameType;
    
    /**
    * 推广媒体
    */    
    @Column
    private String accountType;
    
    /**
    * 消耗
    */    
    @Column
    private BigDecimal cost;
    
    /**
    * 推广计划数量
    */    
    @Column
    private Long planCount;
    
    /**
    * 推广账号数量
    */    
    @Column
    private Long accountCount;
    
    /**
    * 推广渠道数量
    */    
    @Column
    private Long agentCount;
    
    /**
    * 注册人数-通过广告首次登录小游戏的独立用户数
    */    
    @Column
    private Long registerNum;
    
    /**
    * 新增付费次数
    */    
    @Column
    private Long firstNewUserAmountCount;
    
    /**
    * 新增付费人数
    */    
    @Column
    private Long firstNewUserAmountNum;
    
    /**
    * 新增付费金额
    */    
    @Column
    private BigDecimal firstNewUserAmount;
    
    /**
    * 账面充值次数
    */    
    @Column
    private Long amountCount;
    
    /**
    * 账面充值人数
    */    
    @Column
    private Long amountNum;
    
    /**
    * 账面充值金额
    */    
    @Column
    private BigDecimal amount;
    
    /**
    * 老用户充值次数(每日)
    */    
    @Column
    private Long oldAmountCount;
    
    /**
    * 老用户充值人数(每日)
    */    
    @Column
    private Long oldAmountNum;
    
    /**
    * 老用户充值金额(每日)
    */    
    @Column
    private BigDecimal oldAmount;
    
    /**
    * 至今充值次数
    */    
    @Column
    private Long newUserTotalAmountCount;
    
    /**
    * 至今充值人数
    */    
    @Column
    private Long newUserTotalAmountNum;
    
    /**
    * 至今充值金额
    */    
    @Column
    private BigDecimal newUserTotalAmount;
    
    /**
    * 单日付费100+人数
    */    
    @Column
    private Long hundredUserNum;
    
    /**
    * 买量新用户累计充值金额
    */    
    @Column
    private BigDecimal buyNewUserTotalAmount;
    
    /**
    * 买量新用户累计充值人数
    */    
    @Column
    private Long buyNewUserTotalAmountNum;
    
    /**
    * 买量新用户累计充值次数
    */    
    @Column
    private Long buyNewUserTotalAmountCount;
    
    /**
    * 复充人数
    */    
    @Column
    private Long regOrderUserAgain;
    
    /**
    * 首日创角人数
    */    
    @Column
    private Long firstRoleNum;
    
    /**
    * 新用户累计创角人数
    */    
    @Column
    private Long newUserTotalRoleNum;
    
    /**
    * 创角人数
    */    
    @Column
    private Long roleNum;
    
    /**
    * 注册成本=实际消耗/注册人数
    */    
    @Column
    private BigDecimal registerCost;
    
    /**
    * 首日回收率
    */    
    @Column
    private BigDecimal firstRoi;
    
    /**
    * 买量回收率
    */    
    @Column
    private BigDecimal buyRoi;
    
    /**
    * 当日回收率
    */    
    @Column
    private BigDecimal todayRoi;
    
    /**
    * 毛利额，毛利=新用户-实际消耗
    */    
    @Column
    private BigDecimal grossProfit;
    
    /**
    * 首日付费率
    */    
    @Column
    private BigDecimal firstRate;
    
    /**
    * 买量用户付费率
    */    
    @Column
    private BigDecimal buyUserRate;
    
    /**
    * 当天付费率
    */    
    @Column
    private BigDecimal todayRate;
    
    /**
    * 首日客单价
    */    
    @Column
    private BigDecimal firstAvg;
    
    /**
    * 买量客单价
    */    
    @Column
    private BigDecimal buyAvg;
    
    /**
    * 当天客单价
    */    
    @Column
    private BigDecimal todayAvg;
    
    /**
    * 账面客单价
    */    
    @Column
    private BigDecimal paperAvg;
    
    /**
    * 首日充值成本
    */    
    @Column
    private BigDecimal firstAmountCost;
    
    /**
    * 买量充值成本
    */    
    @Column
    private BigDecimal buyAmountCost;
    
    /**
    * 当天充值成本
    */    
    @Column
    private BigDecimal todayAmountCost;
    
    /**
    * 当天复充率
    */    
    @Column
    private BigDecimal todayAgainRate;
    
    /**
    * 新增注册ARPU
    */    
    @Column
    private BigDecimal newRegArpu;
    
    /**
    * 首日付费ARPU
    */    
    @Column
    private BigDecimal firstArpu;
    
    /**
    * 当天付费ARPU
    */    
    @Column
    private BigDecimal todayArpu;
    
    /**
    * 账面arpu
    */    
    @Column
    private BigDecimal paperArpu;
    
    /**
    * 单日付费100+成本
    */    
    @Column
    private BigDecimal hundredUserNumCost;
    
    /**
    * 1日roi
    */    
    @Column
    private BigDecimal roi1;
    
    /**
    * 2日roi
    */    
    @Column
    private BigDecimal roi2;
    
    /**
    * 3日roi
    */    
    @Column
    private BigDecimal roi3;
    
    /**
    * 4日roi
    */    
    @Column
    private BigDecimal roi4;
    
    /**
    * 5日roi
    */    
    @Column
    private BigDecimal roi5;
    
    /**
    * 6日roi
    */    
    @Column
    private BigDecimal roi6;
    
    /**
    * 7日roi
    */    
    @Column
    private BigDecimal roi7;
    
    /**
    * 8日roi
    */    
    @Column
    private BigDecimal roi8;
    
    /**
    * 9日roi
    */    
    @Column
    private BigDecimal roi9;
    
    /**
    * 10日roi
    */    
    @Column
    private BigDecimal roi10;
    
    /**
    * 11日roi
    */    
    @Column
    private BigDecimal roi11;
    
    /**
    * 12日roi
    */    
    @Column
    private BigDecimal roi12;
    
    /**
    * 13日roi
    */    
    @Column
    private BigDecimal roi13;
    
    /**
    * 14日roi
    */    
    @Column
    private BigDecimal roi14;
    
    /**
    * 15日roi
    */    
    @Column
    private BigDecimal roi15;
    
    /**
    * 16日roi
    */    
    @Column
    private BigDecimal roi16;
    
    /**
    * 17日roi
    */    
    @Column
    private BigDecimal roi17;
    
    /**
    * 18日roi
    */    
    @Column
    private BigDecimal roi18;
    
    /**
    * 19日roi
    */    
    @Column
    private BigDecimal roi19;
    
    /**
    * 20日roi
    */    
    @Column
    private BigDecimal roi20;
    
    /**
    * 21日roi
    */    
    @Column
    private BigDecimal roi21;
    
    /**
    * 22日roi
    */    
    @Column
    private BigDecimal roi22;
    
    /**
    * 23日roi
    */    
    @Column
    private BigDecimal roi23;
    
    /**
    * 24日roi
    */    
    @Column
    private BigDecimal roi24;
    
    /**
    * 25日roi
    */    
    @Column
    private BigDecimal roi25;
    
    /**
    * 26日roi
    */    
    @Column
    private BigDecimal roi26;
    
    /**
    * 27日roi
    */    
    @Column
    private BigDecimal roi27;
    
    /**
    * 28日roi
    */    
    @Column
    private BigDecimal roi28;
    
    /**
    * 29日roi
    */    
    @Column
    private BigDecimal roi29;
    
    /**
    * 30日roi
    */    
    @Column
    private BigDecimal roi30;
    
    /**
    * 60日ROI
    */    
    @Column
    private BigDecimal roi60;
    
    /**
    * 90日ROI
    */    
    @Column
    private BigDecimal roi90;
    
    /**
    * 180日ROI
    */    
    @Column
    private BigDecimal roi180;
    
    /**
    * 1年ROI
    */    
    @Column
    private BigDecimal roi1yaer;
    
    /**
    * 总ROI
    */    
    @Column
    private BigDecimal roiTotal;
    
    /**
    * 付费趋势第1日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD1;
    
    /**
    * 付费趋势第2日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD2;
    
    /**
    * 付费趋势第3日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD3;
    
    /**
    * 付费趋势第4日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD4;
    
    /**
    * 付费趋势第5日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD5;
    
    /**
    * 付费趋势第6日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD6;
    
    /**
    * 付费趋势第7日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD7;
    
    /**
    * 付费趋势第8日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD8;
    
    /**
    * 付费趋势第9日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD9;
    
    /**
    * 付费趋势第10日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD10;
    
    /**
    * 付费趋势第11日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD11;
    
    /**
    * 付费趋势第12日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD12;
    
    /**
    * 付费趋势第13日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD13;
    
    /**
    * 付费趋势第14日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD14;
    
    /**
    * 付费趋势第15日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD15;
    
    /**
    * 付费趋势第16日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD16;
    
    /**
    * 付费趋势第17日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD17;
    
    /**
    * 付费趋势第18日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD18;
    
    /**
    * 付费趋势第19日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD19;
    
    /**
    * 付费趋势第20日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD20;
    
    /**
    * 付费趋势第21日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD21;
    
    /**
    * 付费趋势第22日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD22;
    
    /**
    * 付费趋势第23日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD23;
    
    /**
    * 付费趋势第24日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD24;
    
    /**
    * 付费趋势第25日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD25;
    
    /**
    * 付费趋势第26日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD26;
    
    /**
    * 付费趋势第27日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD27;
    
    /**
    * 付费趋势第28日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD28;
    
    /**
    * 付费趋势第29日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD29;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD30;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD31;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD32;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD33;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD34;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD35;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD36;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD37;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD38;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD39;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD40;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD41;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD42;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD43;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD44;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD45;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD46;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD47;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD48;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD49;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD50;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD51;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD52;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD53;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD54;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD55;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD56;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD57;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD58;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD59;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD60;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD61;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD62;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD63;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD64;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD65;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD66;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD67;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD68;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD69;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD70;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD71;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD72;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD73;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD74;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD75;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD76;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD77;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD78;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD79;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD80;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD81;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD82;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD83;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD84;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD85;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD86;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD87;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD88;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD89;
    
    /**
    * 付费趋势第N日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD90;
    
    /**
    * 付费趋势4六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM4;
    
    /**
    * 付费趋势5六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM5;
    
    /**
    * 付费趋势6六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM6;
    
    /**
    * 付费趋势7六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM7;
    
    /**
    * 付费趋势8六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM8;
    
    /**
    * 付费趋势9六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM9;
    
    /**
    * 付费趋势10六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM10;
    
    /**
    * 付费趋势11六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM11;
    
    /**
    * 付费趋势12六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM12;
    
    /**
    * 付费趋势总：增/回/倍
    */    
    @Column
    private String amountSum;
    
    /**
    * 投手游戏第1天新用户充值
    */    
    @Column
    private BigDecimal da1;
    
    /**
    * 投手游戏第2天新用户充值
    */    
    @Column
    private BigDecimal da2;
    
    /**
    * 投手游戏第3天新用户充值
    */    
    @Column
    private BigDecimal da3;
    
    /**
    * 投手游戏第4天新用户充值
    */    
    @Column
    private BigDecimal da4;
    
    /**
    * 投手游戏第5天新用户充值
    */    
    @Column
    private BigDecimal da5;
    
    /**
    * 投手游戏第6天新用户充值
    */    
    @Column
    private BigDecimal da6;
    
    /**
    * 投手游戏第7天新用户充值
    */    
    @Column
    private BigDecimal da7;
    
    /**
    * 投手游戏第8天新用户充值
    */    
    @Column
    private BigDecimal da8;
    
    /**
    * 投手游戏第9天新用户充值
    */    
    @Column
    private BigDecimal da9;
    
    /**
    * 投手游戏第10天新用户充值
    */    
    @Column
    private BigDecimal da10;
    
    /**
    * 投手游戏第11天新用户充值
    */    
    @Column
    private BigDecimal da11;
    
    /**
    * 投手游戏第12天新用户充值
    */    
    @Column
    private BigDecimal da12;
    
    /**
    * 投手游戏第13天新用户充值
    */    
    @Column
    private BigDecimal da13;
    
    /**
    * 投手游戏第14天新用户充值
    */    
    @Column
    private BigDecimal da14;
    
    /**
    * 投手游戏第15天新用户充值
    */    
    @Column
    private BigDecimal da15;
    
    /**
    * 投手游戏第16天新用户充值
    */    
    @Column
    private BigDecimal da16;
    
    /**
    * 投手游戏第17天新用户充值
    */    
    @Column
    private BigDecimal da17;
    
    /**
    * 投手游戏第18天新用户充值
    */    
    @Column
    private BigDecimal da18;
    
    /**
    * 投手游戏第19天新用户充值
    */    
    @Column
    private BigDecimal da19;
    
    /**
    * 投手游戏第20天新用户充值
    */    
    @Column
    private BigDecimal da20;
    
    /**
    * 投手游戏第21天新用户充值
    */    
    @Column
    private BigDecimal da21;
    
    /**
    * 投手游戏第22天新用户充值
    */    
    @Column
    private BigDecimal da22;
    
    /**
    * 投手游戏第23天新用户充值
    */    
    @Column
    private BigDecimal da23;
    
    /**
    * 投手游戏第24天新用户充值
    */    
    @Column
    private BigDecimal da24;
    
    /**
    * 投手游戏第25天新用户充值
    */    
    @Column
    private BigDecimal da25;
    
    /**
    * 投手游戏第26天新用户充值
    */    
    @Column
    private BigDecimal da26;
    
    /**
    * 投手游戏第27天新用户充值
    */    
    @Column
    private BigDecimal da27;
    
    /**
    * 投手游戏第28天新用户充值
    */    
    @Column
    private BigDecimal da28;
    
    /**
    * 投手游戏第29天新用户充值
    */    
    @Column
    private BigDecimal da29;
    
    /**
    * 投手游戏第30天新用户充值
    */    
    @Column
    private BigDecimal da30;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da31;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da32;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da33;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da34;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da35;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da36;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da37;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da38;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da39;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da40;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da41;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da42;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da43;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da44;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da45;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da46;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da47;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da48;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da49;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da50;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da51;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da52;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da53;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da54;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da55;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da56;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da57;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da58;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da59;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da60;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da61;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da62;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da63;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da64;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da65;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da66;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da67;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da68;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da69;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da70;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da71;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da72;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da73;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da74;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da75;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da76;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da77;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da78;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da79;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da80;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da81;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da82;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da83;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da84;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da85;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da86;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da87;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da88;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da89;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal da90;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m4;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m5;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m6;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m7;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m8;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m9;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m10;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m11;
    
    /**
    * 投手游戏第N天新用户充值
    */    
    @Column
    private BigDecimal m12;
    
    /**
    * 至今充值金额
    */    
    @Column
    private BigDecimal total;
    
    /**
    * 投手游戏第1天新用户人数
    */    
    @Column
    private Long da1Num;
    
    /**
    * 投手游戏第2天新用户人数
    */    
    @Column
    private Long da2Num;
    
    /**
    * 投手游戏第3天新用户人数
    */    
    @Column
    private Long da3Num;
    
    /**
    * 投手游戏第4天新用户人数
    */    
    @Column
    private Long da4Num;
    
    /**
    * 投手游戏第5天新用户人数
    */    
    @Column
    private Long da5Num;
    
    /**
    * 投手游戏第6天新用户人数
    */    
    @Column
    private Long da6Num;
    
    /**
    * 投手游戏第7天新用户人数
    */    
    @Column
    private Long da7Num;
    
    /**
    * 投手游戏第8天新用户人数
    */    
    @Column
    private Long da8Num;
    
    /**
    * 投手游戏第9天新用户人数
    */    
    @Column
    private Long da9Num;
    
    /**
    * 投手游戏第10天新用户人数
    */    
    @Column
    private Long da10Num;
    
    /**
    * 投手游戏第11天新用户人数
    */    
    @Column
    private Long da11Num;
    
    /**
    * 投手游戏第12天新用户人数
    */    
    @Column
    private Long da12Num;
    
    /**
    * 投手游戏第13天新用户人数
    */    
    @Column
    private Long da13Num;
    
    /**
    * 投手游戏第14天新用户人数
    */    
    @Column
    private Long da14Num;
    
    /**
    * 投手游戏第15天新用户人数
    */    
    @Column
    private Long da15Num;
    
    /**
    * 投手游戏第16天新用户人数
    */    
    @Column
    private Long da16Num;
    
    /**
    * 投手游戏第17天新用户人数
    */    
    @Column
    private Long da17Num;
    
    /**
    * 投手游戏第18天新用户人数
    */    
    @Column
    private Long da18Num;
    
    /**
    * 投手游戏第19天新用户人数
    */    
    @Column
    private Long da19Num;
    
    /**
    * 投手游戏第20天新用户人数
    */    
    @Column
    private Long da20Num;
    
    /**
    * 投手游戏第21天新用户人数
    */    
    @Column
    private Long da21Num;
    
    /**
    * 投手游戏第22天新用户人数
    */    
    @Column
    private Long da22Num;
    
    /**
    * 投手游戏第23天新用户人数
    */    
    @Column
    private Long da23Num;
    
    /**
    * 投手游戏第24天新用户人数
    */    
    @Column
    private Long da24Num;
    
    /**
    * 投手游戏第25天新用户人数
    */    
    @Column
    private Long da25Num;
    
    /**
    * 投手游戏第26天新用户人数
    */    
    @Column
    private Long da26Num;
    
    /**
    * 投手游戏第27天新用户人数
    */    
    @Column
    private Long da27Num;
    
    /**
    * 投手游戏第28天新用户人数
    */    
    @Column
    private Long da28Num;
    
    /**
    * 投手游戏第29天新用户人数
    */    
    @Column
    private Long da29Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da30Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da31Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da32Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da33Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da34Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da35Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da36Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da37Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da38Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da39Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da40Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da41Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da42Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da43Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da44Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da45Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da46Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da47Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da48Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da49Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da50Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da51Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da52Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da53Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da54Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da55Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da56Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da57Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da58Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da59Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da60Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da61Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da62Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da63Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da64Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da65Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da66Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da67Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da68Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da69Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da70Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da71Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da72Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da73Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da74Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da75Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da76Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da77Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da78Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da79Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da80Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da81Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da82Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da83Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da84Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da85Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da86Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da87Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da88Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da89Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long da90Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m4Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m5Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m6Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m7Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m8Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m9Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m10Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m11Num;
    
    /**
    * 投手游戏第N天新用户充值人数
    */    
    @Column
    private Long m12Num;
    
    /**
    * 至今充值人数
    */    
    @Column
    private Long totalNum;
    
    /**
    * 首日创角成本
    */    
    @Column
    private BigDecimal firstRoleCost;
    
    /**
    * 新用户累计创角成本
    */    
    @Column
    private BigDecimal newUserTotalRoleCost;
    
    /**
    * 创角成本
    */    
    @Column
    private BigDecimal roleNumCost;
    
    /**
    * 首日创角率
    */    
    @Column
    private BigDecimal firstRoleRate;
    
    /**
    * 新用户累计创角率
    */    
    @Column
    private BigDecimal newUserTotalRoleRate;
    
    /**
    * 创角率
    */    
    @Column
    private BigDecimal roleNumRate;
    
    /**
    * 新用户付费比
    */    
    @Column
    private BigDecimal newUserAmountRatio;
    
}


