package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

@Data
@Table(AdsGameServerDayParent.TABLE_NAME)
@PK({"dt", "sourceSystem", "serverId", "serverName", "parentGameId", "parentGameName"})
public class AdsGameServerDayParent implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "game_ads_parent.ads_game_server_day_parent";
     
    /**
    * 开服时间
    */
    private LocalDate dt;
    
    /**
    * SDK来源
    */
    private String sourceSystem;
    
    /**
    * 区服ID
    */
    private Long serverId;
    
    /**
    * 区服名称
    */
    private String serverName;
    
    /**
    * 游戏ID
    */
    private Long parentGameId;
    
    /**
    * 游戏名称
    */
    private String parentGameName;
    
    /**
    * 游戏类别
    */    
    @Column
    private Long classify;
    
    /**
    * 滚服人数
    */    
    @Column
    private Long outTotalNum;
    
    /**
    * 滚服付费人数
    */    
    @Column
    private Long outTotalAmountNum;
    
    /**
    * 滚服付费金额
    */    
    @Column
    private BigDecimal outTotalAmount;
    
    /**
    * 滚服付费占比
    */    
    @Column
    private BigDecimal outTotalRate;
    
    /**
    * 创角人数
    */    
    @Column
    private Long totalRoleNum;
    
    /**
    * 注册人数
    */    
    @Column
    private Long totalRegNum;
    
    /**
    * 付费人数
    */    
    @Column
    private Long totalAmountNum;
    
    /**
    * 付费金额
    */    
    @Column
    private BigDecimal totalAmount;
    
    /**
    * 区服第1天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da1;
    
    /**
    * 区服在第2天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da2;
    
    /**
    * 区服在第3天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da3;
    
    /**
    * 区服在第4天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da4;
    
    /**
    * 区服在第5天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da5;
    
    /**
    * 区服在第6天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da6;
    
    /**
    * 区服在第7天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da7;
    
    /**
    * 区服在第8天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da8;
    
    /**
    * 区服在第9天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da9;
    
    /**
    * 区服在第10天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da10;
    
    /**
    * 区服在第11天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da11;
    
    /**
    * 区服在第12天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da12;
    
    /**
    * 区服在第13天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da13;
    
    /**
    * 区服在第14天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da14;
    
    /**
    * 区服在第15天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da15;
    
    /**
    * 区服在第16天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da16;
    
    /**
    * 区服在第17天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da17;
    
    /**
    * 区服在第18天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da18;
    
    /**
    * 区服在第19天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da19;
    
    /**
    * 区服在第20天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da20;
    
    /**
    * 区服在第21天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da21;
    
    /**
    * 区服在第22天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da22;
    
    /**
    * 区服在第23天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da23;
    
    /**
    * 区服在第24天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da24;
    
    /**
    * 区服在第25天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da25;
    
    /**
    * 区服在第26天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da26;
    
    /**
    * 区服在第27天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da27;
    
    /**
    * 区服在第28天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da28;
    
    /**
    * 区服在第29天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da29;
    
    /**
    * 区服在第30天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String da30;
    
    /**
    * 区服在第2月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m2;
    
    /**
    * 区服在第3月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m3;
    
    /**
    * 区服在第4月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m4;
    
    /**
    * 区服在第5月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m5;
    
    /**
    * 区服在第6月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m6;
    
    /**
    * 区服在第7月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m7;
    
    /**
    * 区服在第8月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m8;
    
    /**
    * 区服在第9月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m9;
    
    /**
    * 区服在第10月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m10;
    
    /**
    * 区服在第11月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String m11;
    
    /**
    * 区服在第1年：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String y1;
    
    /**
    * 区服至今：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
    */    
    @Column
    private String total;

}


