package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * H5游戏充值表
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsH5GameDay.TABLE_NAME)
@PK({"id","dt", "gameId", "gameName", "gameClassify", "sourceSystem"})
public class AdsH5GameDay implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_h5_game_day";

    /**
     * ID
     */
    private String id;

    /**
     * 日期
     */
    private LocalDate dt;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 游戏来源
     */
    private String sourceSystem;

    /**
     * H5游戏账面充值金额（买量）
     */
    @Column
    private BigDecimal h5BuyAmount;

    /**
     * H5游戏账面充值人数（买量）
     */
    @Column
    private Long h5BuyAmountNum;

    /**
     * H5游戏至今充值金额（买量）
     */
    @Column
    private BigDecimal h5BuyNewUserTotalAmount;

    /**
     * H5游戏至今充值人数（买量）
     */
    @Column
    private Long h5BuyNewUserTotalAmountNum;

    /**
     * H5自然量账面充值金额（自然量）
     */
    @Column
    private BigDecimal h5NatureAmount;

    /**
     * H5自然量账面充值人数（自然量）
     */
    @Column
    private Long h5NatureAmountNum;

    /**
     * H5自然量至今充值金额比例（自然量）
     */
    @Column
    private BigDecimal h5NatureNewUserTotalAmountRate;

    /**
     * H5自然量至今充值金额（自然量）
     */
    @Column
    private BigDecimal h5NatureNewUserTotalAmount;

    /**
     * H5自然量至今充值人数（自然量）
     */
    @Column
    private Long h5NatureNewUserTotalAmountNum;

    /**
     * 游戏买量导入用户数据：游戏名称
     */
    @Column
    private String buyGameName;

    /**
     * 游戏买量导入用户数据：游戏ID
     */
    @Column
    private Long buyGameId;

    @Column
    private String buySourceSystem;

    /**
     * 游戏买量导入用户数据：游戏类别
     */
    @Column
    private Long buyClassify;

    /**
     * 游戏买量导入用户数据：账面充值金额
     */
    @Column
    private BigDecimal h5LeadBuyAmount;

    /**
     * 游戏买量导入用户数据：账面充值人数
     */
    @Column
    private Long h5LeadBuyAmountNum;

    /**
     * 游戏买量导入用户数据：累计充值金额
     */
    @Column
    private BigDecimal h5LeadBuyNewUserTotalAmount;

    /**
     * 游戏买量导入用户数据：累计充值人数
     */
    @Column
    private Long h5LeadBuyNewUserTotalAmountNum;

    /**
     * 游戏官方导量用户数据：游戏名称
     */
    @Column
    private String natureGameName;

    /**
     * 游戏官方导量用户数据：游戏ID
     */
    @Column
    private Long natureGameId;

    @Column
    private String natureSourceSystem;

    /**
     * 游戏官方导量用户数据：游戏类别
     */
    @Column
    private Long natureClassify;

    /**
     * 游戏官方导量用户数据：账面充值金额
     */
    @Column
    private BigDecimal h5LeadNatureAmount;

    /**
     * 游戏官方导量用户数据：账面充值人数
     */
    @Column
    private Long h5LeadNatureAmountNum;

    /**
     * 游戏官方导量用户数据：累计充值金额
     */
    @Column
    private BigDecimal h5LeadNatureNewUserTotalAmount;

    /**
     * 游戏官方导量用户数据：累计充值人数
     */
    @Column
    private Long h5LeadNatureNewUserTotalAmountNum;


}
