package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 游戏告警监控表
 * </p>
 *
 * @author tianhua
 * @time 2023/7/11
 * @Description
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsMonitorAlarm.TABLE_NAME)
@PK({"dt", "id", "gameId", "userId"})
public class AdsMonitorAlarm implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_monitor_alarm";

    /**
     * 告警时间
     */
    private LocalDate dt;

    /**
     * 游戏策略配置表ID
     */
    private Long id;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 区服ID
     */
    @Column
    private Long serverId;

    /**
     * 角色ID
     */
    @Column
    private Long roleId;

    /**
     * 投手ID
     */
    @Column
    private Long pitcherId;

    /**
     * SDK来源
     */
    @Column
    private String sourceSystem;

    /**
     * 告警内容
     */
    @Column
    private String message;

    /**
     * 游戏策略配置参数
     */
    @Column
    private String configExplain;

    /**
     * 策略类型:1-追踪玩家;2-玩家流失;3-新用户追踪
     */
    @Column
    private Integer configType;

    /**
     * 报警状态,0表示未报警，1标识已报警
     */
    @Column
    private Integer warnStatus;

}
