package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * <p>
 * 订单聚合表（按广告账号、渠道聚合）
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsOrderAggregation.TABLE_NAME)
@PK({"dt", "accountId", "agentId"})
public class AdsOrderAggregation implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_order_aggregation";

    /**
     * 注册时间
     */
    private LocalDate dt;

    /**
     * 推广账号
     */
    private Long accountId;

    /**
     * 渠道ID
     */
    private Long agentId;

    /**
     * 游戏ID
     */
    @Column
    private Long gameId;

    /**
     * 游戏类别
     */
    @Column
    private Long gameType;

    /**
     * 投手ID
     */
    @Column
    private Long pitcherId;

    /**
     * 充值金额
     */
    @Column
    private BigDecimal amount;


}
