package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 整体概况（游戏在投数量）
 * </p>
 *
 * @author tianhua
 * @time 2023/7/11
 * @Description
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsGameDayAgainNature.TABLE_NAME)
@PK({"dt", "agentId", "pitcherId", "accountId", "sourceSystem", "pitcherId", "gameId", "gameName"})
public class AdsOverallSummaryGame implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_overall_summary_game";

    /**
     * 日期(投放日期)
     */
    private LocalDate dt;

    /**
     * 渠道ID
     */
    private Long agentId;

    /**
     * 广告账号
     */
    private Long accountId;

    /**
     * 投手ID
     */
    private Long pitcherId;

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
     * 投手名字
     */
    private Long pitcherName;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏名称
     */
    private Long gameName;

}
