package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@Table(AdsPitcherDay.TABLE_NAME)
@PK({"dt", "sourceSystem", "pitcherId"})
public class AdsPitcherDay implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_pitcher_day";
     
    /**
    * 日期（充值时间）
    */
    private LocalDate dt;
    
    /**
    * SDK来源
    */
    private String sourceSystem;
    
    /**
    * 投手ID
    */
    private Long pitcherId;
    
    /**
    * 投手
    */    
    @Column
    private String pitcher;
    
    /**
    * 消耗
    */    
    @Column
    private Double cost;
    
    /**
    * 推广计划数量
    */    
    @Column
    private Long planCount;
    
    /**
    * 推广账号数量
    */    
    @Column
    private Long accountCount;
    
    /**
    * 推广渠道数量
    */    
    @Column
    private Long agentCount;
    
    /**
    * 注册人数-通过广告首次登录小游戏的独立用户数
    */    
    @Column
    private Long registerNum;
    
    /**
    * 新增付费次数
    */    
    @Column
    private Long firstNewUserAmountCount;
    
    /**
    * 新增付费人数
    */    
    @Column
    private Long firstNewUserAmountNum;
    
    /**
    * 新增付费金额
    */    
    @Column
    private Double firstNewUserAmount;
    
    /**
    * 账面充值次数
    */    
    @Column
    private Long amountCount;
    
    /**
    * 账面充值人数
    */    
    @Column
    private Long amountNum;
    
    /**
    * 账面充值金额
    */    
    @Column
    private Double amount;
    
    /**
    * 老用户充值次数(每日)
    */    
    @Column
    private Long oldAmountCount;
    
    /**
    * 老用户充值人数(每日)
    */    
    @Column
    private Long oldAmountNum;
    
    /**
    * 老用户充值金额(每日)
    */    
    @Column
    private Double oldAmount;
    
    /**
    * 至今充值次数
    */    
    @Column
    private Long newUserTotalAmountCount;
    
    /**
    * 至今充值人数
    */    
    @Column
    private Long newUserTotalAmountNum;
    
    /**
    * 至今充值金额
    */    
    @Column
    private Double newUserTotalAmount;
    
    /**
    * 单日付费100+人数
    */    
    @Column
    private Long hundredUserNum;
    
    /**
    * 买量新用户累计充值金额
    */    
    @Column
    private Double buyNewUserTotalAmount;
    
    /**
    * 买量新用户累计充值人数
    */    
    @Column
    private Long buyNewUserTotalAmountNum;
    
    /**
    * 买量新用户累计充值次数
    */    
    @Column
    private Long buyNewUserTotalAmountCount;
    
    /**
    * 复充人数
    */    
    @Column
    private Long regOrderUserAgain;
    
    /**
    * 首日创角人数
    */    
    @Column
    private Long firstRoleNum;
    
    /**
    * 新用户累计创角人数
    */    
    @Column
    private Long newUserTotalRoleNum;
    
    /**
    * 创角人数
    */    
    @Column
    private Long roleNum;
    
    /**
    * 注册成本=实际消耗/注册人数
    */    
    @Column
    private Double registerCost;
    
    /**
    * 首日回收率
    */    
    @Column
    private Double firstRoi;
    
    /**
    * 买量回收率
    */    
    @Column
    private Double buyRoi;
    
    /**
    * 当日回收率
    */    
    @Column
    private Double todayRoi;
    
    /**
    * 毛利额，毛利=新用户-实际消耗
    */    
    @Column
    private Double grossProfit;
    
    /**
    * 首日付费率
    */    
    @Column
    private Double firstRate;
    
    /**
    * 买量用户付费率
    */    
    @Column
    private Double buyUserRate;
    
    /**
    * 当天付费率
    */    
    @Column
    private Double todayRate;
    
    /**
    * 首日客单价
    */    
    @Column
    private Double firstAvg;
    
    /**
    * 买量客单价
    */    
    @Column
    private Double buyAvg;
    
    /**
    * 当天客单价
    */    
    @Column
    private Double todayAvg;
    
    /**
    * 账面客单价
    */    
    @Column
    private Double paperAvg;
    
    /**
    * 首日充值成本
    */    
    @Column
    private Double firstAmountCost;
    
    /**
    * 买量充值成本
    */    
    @Column
    private Double buyAmountCost;
    
    /**
    * 当天充值成本
    */    
    @Column
    private Double todayAmountCost;
    
    /**
    * 当天复充率
    */    
    @Column
    private Double todayAgainRate;
    
    /**
    * 新增注册ARPU
    */    
    @Column
    private Double newRegArpu;
    
    /**
    * 首日付费ARPU
    */    
    @Column
    private Double firstArpu;
    
    /**
    * 当天付费ARPU
    */    
    @Column
    private Double todayArpu;
    
    /**
    * 账面arpu
    */    
    @Column
    private Double paperArpu;
    
    /**
    * 单日付费100+成本
    */    
    @Column
    private Double hundredUserNumCost;
    
    /**
    * 1日roi
    */    
    @Column
    private Double roi1;
    
    /**
    * 2日roi
    */    
    @Column
    private Double roi2;
    
    /**
    * 3日roi
    */    
    @Column
    private Double roi3;
    
    /**
    * 4日roi
    */    
    @Column
    private Double roi4;
    
    /**
    * 5日roi
    */    
    @Column
    private Double roi5;
    
    /**
    * 6日roi
    */    
    @Column
    private Double roi6;
    
    /**
    * 7日roi
    */    
    @Column
    private Double roi7;
    
    /**
    * 8日roi
    */    
    @Column
    private Double roi8;
    
    /**
    * 9日roi
    */    
    @Column
    private Double roi9;
    
    /**
    * 10日roi
    */    
    @Column
    private Double roi10;
    
    /**
    * 11日roi
    */    
    @Column
    private Double roi11;
    
    /**
    * 12日roi
    */    
    @Column
    private Double roi12;
    
    /**
    * 13日roi
    */    
    @Column
    private Double roi13;
    
    /**
    * 14日roi
    */    
    @Column
    private Double roi14;
    
    /**
    * 15日roi
    */    
    @Column
    private Double roi15;
    
    /**
    * 16日roi
    */    
    @Column
    private Double roi16;
    
    /**
    * 17日roi
    */    
    @Column
    private Double roi17;
    
    /**
    * 18日roi
    */    
    @Column
    private Double roi18;
    
    /**
    * 19日roi
    */    
    @Column
    private Double roi19;
    
    /**
    * 20日roi
    */    
    @Column
    private Double roi20;
    
    /**
    * 21日roi
    */    
    @Column
    private Double roi21;
    
    /**
    * 22日roi
    */    
    @Column
    private Double roi22;
    
    /**
    * 23日roi
    */    
    @Column
    private Double roi23;
    
    /**
    * 24日roi
    */    
    @Column
    private Double roi24;
    
    /**
    * 25日roi
    */    
    @Column
    private Double roi25;
    
    /**
    * 26日roi
    */    
    @Column
    private Double roi26;
    
    /**
    * 27日roi
    */    
    @Column
    private Double roi27;
    
    /**
    * 28日roi
    */    
    @Column
    private Double roi28;
    
    /**
    * 29日roi
    */    
    @Column
    private Double roi29;
    
    /**
    * 30日roi
    */    
    @Column
    private Double roi30;
    
    /**
    * 60日ROI
    */    
    @Column
    private Double roi60;
    
    /**
    * 90日ROI
    */    
    @Column
    private Double roi90;
    
    /**
    * 180日ROI
    */    
    @Column
    private Double roi180;
    
    /**
    * 1年ROI
    */    
    @Column
    private Double roi1yaer;
    
    /**
    * 总ROI
    */    
    @Column
    private Double roiTotal;
    
    /**
    * 付费趋势第1日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD1;
    
    /**
    * 付费趋势第2日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD2;
    
    /**
    * 付费趋势第3日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD3;
    
    /**
    * 付费趋势第4日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD4;
    
    /**
    * 付费趋势第5日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD5;
    
    /**
    * 付费趋势第6日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD6;
    
    /**
    * 付费趋势第7日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD7;
    
    /**
    * 付费趋势第8日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD8;
    
    /**
    * 付费趋势第9日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD9;
    
    /**
    * 付费趋势第10日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD10;
    
    /**
    * 付费趋势第11日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD11;
    
    /**
    * 付费趋势第12日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD12;
    
    /**
    * 付费趋势第13日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD13;
    
    /**
    * 付费趋势第14日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD14;
    
    /**
    * 付费趋势第15日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD15;
    
    /**
    * 付费趋势第16日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD16;
    
    /**
    * 付费趋势第17日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD17;
    
    /**
    * 付费趋势第18日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD18;
    
    /**
    * 付费趋势第19日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD19;
    
    /**
    * 付费趋势第20日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD20;
    
    /**
    * 付费趋势第21日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD21;
    
    /**
    * 付费趋势第22日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD22;
    
    /**
    * 付费趋势第23日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD23;
    
    /**
    * 付费趋势第24日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD24;
    
    /**
    * 付费趋势第25日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD25;
    
    /**
    * 付费趋势第26日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD26;
    
    /**
    * 付费趋势第27日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD27;
    
    /**
    * 付费趋势第28日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD28;
    
    /**
    * 付费趋势第29日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountD29;
    
    /**
    * 付费趋势第30日总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM1;
    
    /**
    * 付费趋势第二月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM2;
    
    /**
    * 付费趋势第三月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM3;
    
    /**
    * 付费趋势六月总：金额/人数/增/回/倍
    */    
    @Column
    private String amountM6;
    
    /**
    * 付费趋势一年总：金额/人数/增/回/倍
    */    
    @Column
    private String amountY1;
    
    /**
    * 付费趋势总：增/回/倍
    */    
    @Column
    private String amountSum;
    
    /**
    * 投手游戏第1天新用户充值
    */    
    @Column
    private Double da1;
    
    /**
    * 投手游戏第2天新用户充值
    */    
    @Column
    private Double da2;
    
    /**
    * 投手游戏第3天新用户充值
    */    
    @Column
    private Double da3;
    
    /**
    * 投手游戏第4天新用户充值
    */    
    @Column
    private Double da4;
    
    /**
    * 投手游戏第5天新用户充值
    */    
    @Column
    private Double da5;
    
    /**
    * 投手游戏第6天新用户充值
    */    
    @Column
    private Double da6;
    
    /**
    * 投手游戏第7天新用户充值
    */    
    @Column
    private Double da7;
    
    /**
    * 投手游戏第8天新用户充值
    */    
    @Column
    private Double da8;
    
    /**
    * 投手游戏第9天新用户充值
    */    
    @Column
    private Double da9;
    
    /**
    * 投手游戏第10天新用户充值
    */    
    @Column
    private Double da10;
    
    /**
    * 投手游戏第11天新用户充值
    */    
    @Column
    private Double da11;
    
    /**
    * 投手游戏第12天新用户充值
    */    
    @Column
    private Double da12;
    
    /**
    * 投手游戏第13天新用户充值
    */    
    @Column
    private Double da13;
    
    /**
    * 投手游戏第14天新用户充值
    */    
    @Column
    private Double da14;
    
    /**
    * 投手游戏第15天新用户充值
    */    
    @Column
    private Double da15;
    
    /**
    * 投手游戏第16天新用户充值
    */    
    @Column
    private Double da16;
    
    /**
    * 投手游戏第17天新用户充值
    */    
    @Column
    private Double da17;
    
    /**
    * 投手游戏第18天新用户充值
    */    
    @Column
    private Double da18;
    
    /**
    * 投手游戏第19天新用户充值
    */    
    @Column
    private Double da19;
    
    /**
    * 投手游戏第20天新用户充值
    */    
    @Column
    private Double da20;
    
    /**
    * 投手游戏第21天新用户充值
    */    
    @Column
    private Double da21;
    
    /**
    * 投手游戏第22天新用户充值
    */    
    @Column
    private Double da22;
    
    /**
    * 投手游戏第23天新用户充值
    */    
    @Column
    private Double da23;
    
    /**
    * 投手游戏第24天新用户充值
    */    
    @Column
    private Double da24;
    
    /**
    * 投手游戏第25天新用户充值
    */    
    @Column
    private Double da25;
    
    /**
    * 投手游戏第26天新用户充值
    */    
    @Column
    private Double da26;
    
    /**
    * 投手游戏第27天新用户充值
    */    
    @Column
    private Double da27;
    
    /**
    * 投手游戏第28天新用户充值
    */    
    @Column
    private Double da28;
    
    /**
    * 投手游戏第29天新用户充值
    */    
    @Column
    private Double da29;
    
    /**
    * 投手游戏第30天新用户充值
    */    
    @Column
    private Double da30;
    
    /**
    * 投手游戏第2月新用户充值
    */    
    @Column
    private Double m2;
    
    /**
    * 投手游戏第3月新用户充值
    */    
    @Column
    private Double m3;
    
    /**
    * 投手游戏第6月新用户充值
    */    
    @Column
    private Double m6;
    
    /**
    * 投手游戏第1年新用户充值
    */    
    @Column
    private Double y1;
    
    /**
    * 至今充值金额
    */    
    @Column
    private Double total;
    
    /**
    * 投手游戏第1天新用户人数
    */    
    @Column
    private Long da1Num;
    
    /**
    * 投手游戏第2天新用户人数
    */    
    @Column
    private Long da2Num;
    
    /**
    * 投手游戏第3天新用户人数
    */    
    @Column
    private Long da3Num;
    
    /**
    * 投手游戏第4天新用户人数
    */    
    @Column
    private Long da4Num;
    
    /**
    * 投手游戏第5天新用户人数
    */    
    @Column
    private Long da5Num;
    
    /**
    * 投手游戏第6天新用户人数
    */    
    @Column
    private Long da6Num;
    
    /**
    * 投手游戏第7天新用户人数
    */    
    @Column
    private Long da7Num;
    
    /**
    * 投手游戏第8天新用户人数
    */    
    @Column
    private Long da8Num;
    
    /**
    * 投手游戏第9天新用户人数
    */    
    @Column
    private Long da9Num;
    
    /**
    * 投手游戏第10天新用户人数
    */    
    @Column
    private Long da10Num;
    
    /**
    * 投手游戏第11天新用户人数
    */    
    @Column
    private Long da11Num;
    
    /**
    * 投手游戏第12天新用户人数
    */    
    @Column
    private Long da12Num;
    
    /**
    * 投手游戏第13天新用户人数
    */    
    @Column
    private Long da13Num;
    
    /**
    * 投手游戏第14天新用户人数
    */    
    @Column
    private Long da14Num;
    
    /**
    * 投手游戏第15天新用户人数
    */    
    @Column
    private Long da15Num;
    
    /**
    * 投手游戏第16天新用户人数
    */    
    @Column
    private Long da16Num;
    
    /**
    * 投手游戏第17天新用户人数
    */    
    @Column
    private Long da17Num;
    
    /**
    * 投手游戏第18天新用户人数
    */    
    @Column
    private Long da18Num;
    
    /**
    * 投手游戏第19天新用户人数
    */    
    @Column
    private Long da19Num;
    
    /**
    * 投手游戏第20天新用户人数
    */    
    @Column
    private Long da20Num;
    
    /**
    * 投手游戏第21天新用户人数
    */    
    @Column
    private Long da21Num;
    
    /**
    * 投手游戏第22天新用户人数
    */    
    @Column
    private Long da22Num;
    
    /**
    * 投手游戏第23天新用户人数
    */    
    @Column
    private Long da23Num;
    
    /**
    * 投手游戏第24天新用户人数
    */    
    @Column
    private Long da24Num;
    
    /**
    * 投手游戏第25天新用户人数
    */    
    @Column
    private Long da25Num;
    
    /**
    * 投手游戏第26天新用户人数
    */    
    @Column
    private Long da26Num;
    
    /**
    * 投手游戏第27天新用户人数
    */    
    @Column
    private Long da27Num;
    
    /**
    * 投手游戏第28天新用户人数
    */    
    @Column
    private Long da28Num;
    
    /**
    * 投手游戏第29天新用户人数
    */    
    @Column
    private Long da29Num;
    
    /**
    * 投手游戏第30天新用户人数
    */    
    @Column
    private Long da30Num;
    
    /**
    * 投手游戏第2月新用户人数
    */    
    @Column
    private Long m2Num;
    
    /**
    * 投手游戏第3月新用户人数
    */    
    @Column
    private Long m3Num;
    
    /**
    * 投手游戏第6月新用户人数
    */    
    @Column
    private Long m6Num;
    
    /**
    * 投手游戏第1年新用户人数
    */    
    @Column
    private Long y1Num;
    
    /**
    * 至今充值人数
    */    
    @Column
    private Long totalNum;
    

}


