package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@Table(AdsRoleRechargeRanking.TABLE_NAME)
@PK({"id"})
public class AdsRoleRechargeRanking implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_role_recharge_ranking";
     
    /**
    * 主键ID
    */
    private String id;
    
    /**
    * 角色ID
    */    
    @Column
    private String roleId;
    
    /**
    * 游戏SDK
    */    
    @Column
    private String sourceSystem;
    
    /**
    * 游戏ID
    */    
    @Column
    private Long gameId;
    
    /**
    * 游戏名字
    */    
    @Column
    private String gameName;
    
    /**
    * 游戏应用类型
    */    
    @Column
    private Long classify;
    
    /**
    * 区服ID
    */    
    @Column
    private Long serverId;
    
    /**
    * 区服名字
    */    
    @Column
    private String serverName;
    
    /**
    * 合服ID
    */    
    @Column
    private Long serverIdMerge;
    
    /**
    * 合服名字
    */    
    @Column
    private String serverNameMerge;
    
    /**
    * 父游戏ID
    */    
    @Column
    private Long parentGameId;
    
    /**
    * 角色名称
    */    
    @Column
    private String roleName;
    
    /**
    * 角色创建时间
    */    
    @Column
    private LocalDateTime createTime;
    
    /**
    * 角色vip
    */    
    @Column
    private Long roleVip;
    
    /**
    * 角色等级
    */    
    @Column
    private Long roleLevel;
    
    /**
    * 角色战力
    */    
    @Column
    private Long combatNum;
    
    /**
    * 用户ID
    */    
    @Column
    private Long userId;
    
    /**
    * 用户账号
    */    
    @Column
    private String username;
    
    /**
    * 渠道ID
    */    
    @Column
    private Long agentId;
    
    /**
    * 渠道名字
    */    
    @Column
    private String agentName;
    
    /**
    * 用户注册时间
    */    
    @Column
    private LocalDateTime regTime;
    
    /**
    * 玩家操作系统
    */    
    @Column
    private String os;
    
    /**
    * 用户等级标签(暂无)
    */    
    @Column
    private String userLabel;
    
    /**
    * 用户最近充值游戏
    */    
    @Column
    private Long userLastGameId;
    
    /**
    * 用户最近充值游戏
    */    
    @Column
    private Long userLastGameName;
    
    /**
    * 用户最近充值时间
    */    
    @Column
    private LocalDateTime userLastOrderTime;
    
    /**
    * 角色最近充值时间
    */    
    @Column
    private LocalDateTime roleLastOrderTime;
    
    /**
    * 角色充值时间
    */    
    @Column
    private LocalDate day;
    
    /**
    * 角色今日充值
    */    
    @Column
    private BigDecimal todayAmount;
    
    /**
    * 角色首充
    */    
    @Column
    private BigDecimal firstAmount;
    
    /**
    * 角色累计充值
    */    
    @Column
    private BigDecimal totalAmount;
    
    /**
    * 角色累计充值次数
    */    
    @Column
    private Long totalAmountCount;
    
    /**
    * 角色充值平均单价
    */    
    @Column
    private Long totalAvgAmount;
    
    /**
    * 角色最近活跃时间
    */    
    @Column
    private LocalDateTime roleActiveTime;
    
    /**
    * 用户最近活跃时间
    */    
    @Column
    private LocalDateTime userActiveTime;
    
    /**
    * 父游戏名称
    */    
    @Column
    private LocalDateTime parentGameName;
    
    
}


