package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@Table(TGameUser.TABLE_NAME)
@PK({"sourceSystem", "id"})
public class TGameUser implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "dm_game_order.t_game_user";
     
    /**
    * SDK来源
    */
    private String sourceSystem;
    
    /**
    * id
    */
    private Long id;
    
    /**
    * 用户名
    */    
    @Column
    private String username;
    
    /**
    * 昵称
    */    
    @Column
    private String nickname;
    
    /**
    * 注册手机号
    */    
    @Column
    private String regMobile;
    
    /**
    * 注册邮箱
    */    
    @Column
    private String regEmail;
    
    /**
    * 绑定邮箱
    */    
    @Column
    private String email;
    
    /**
    * 绑定手机号码
    */    
    @Column
    private String mobile;
    
    /**
    * 设备来源 mobile,android,iphone,ipad,web,pc,mac,wxapp
    */    
    @Column
    private String fromDevice;
    
    /**
    * 设备ID android 为imei ios 为idfa
    */    
    @Column
    private String deviceId;
    
    /**
    * 游戏ID
    */    
    @Column
    private Integer gameId;
    
    /**
    * 运营商ID
    */    
    @Column
    private Integer opId;
    
    /**
    * 所属渠道ID
    */    
    @Column
    private Integer agentId;
    
    /**
    * 渠道名称
    */    
    @Column
    private String agentGame;
    
    /**
    * 1 为试玩状态 2为正常状态，3为冻结状态
    */    
    @Column
    private Integer status;
    
    /**
    * 父Id
    */    
    @Column
    private Integer parentMemId;
    
    /**
    * 注册时间
    */    
    @Column
    private LocalDateTime createTime;
    
    /**
    * 更改时间
    */    
    @Column
    private LocalDateTime upLocalDateTimeTime;
    
    /**
    * 是否切换 1 切换 2不切换
    */    
    @Column
    private Integer isSwitch;
    
    /**
    * 切量时间 指定切量时间后的订单都会被切量
    */    
    @Column
    private LocalDateTime switchTime;
    
    /**
    * 切量金额 大于指定切量金额的订单都才被切量
    */    
    @Column
    private Long switchMoney;
    
    /**
    * 累计充值次数
    */    
    @Column
    private Integer rechargeCount;
    
    /**
    * 累计充值金额
    */    
    @Column
    private BigDecimal rechargeMoney;
    
    /**
    * 最近充值时间
    */    
    @Column
    private LocalDateTime lastRechargeTime;
    
    /**
    * 平台币余额
    */    
    @Column
    private Double platformCoin;
    
    /**
    * 创角数
    */    
    @Column
    private Integer roleCount;
    
    /**
    * 是否GS
    */    
    @Column
    private Integer isGs;
    
    /**
    * 拥有角色最高vip
    */    
    @Column
    private Integer vipMax;
    
    /**
    * 广告id
    */    
    @Column
    private String adId;
    
    /**
    * 计划ID
    */    
    @Column
    private String promotionId;
    
    /**
    * 项目ID(广告ID)
    */    
    @Column
    private String projectId;
    
    /**
    * 创意ID
    */    
    @Column
    private String advertiserId;
    
    /**
    * 分享用户id
    */    
    @Column
    private Long shareUserId;
    
    /**
    * 关联用户id
    */    
    @Column
    private Long relationUserId;
    
    /**
    * 关联用户建立时间
    */    
    @Column
    private LocalDateTime relationCreateTime;
    
    /**
    * 来源用户id
    */    
    @Column
    private Long associationUserId;
    
    /**
    * 用户注册IP
    */    
    @Column
    private String ip;
    
  

}


