package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author tianhua
 */
@Data
@Table(TGameVip.TABLE_NAME)
@PK({"sourceSystem", "id"})
public class TGameVip implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "dm_game_order.t_game_vip";

    /**
     * SDK来源
     */
    private String sourceSystem;

    /**
    * 自增ID
    */
    private Long id;
    
    /**
    * 超父游戏ID
    */    
    @Column
    private Long superGameId;
    
    /**
    * 父游戏ID
    */    
    @Column
    private Long parentGameId;
    
    /**
    * 充值金额最小
    */    
    @Column
    private BigDecimal rechargeMoneyMin;

    /**
     * 充值金额最大
     */
    @Column
    private BigDecimal rechargeMoneyMax;
    
    /**
    * vip档位
    */    
    @Column
    private Integer vipLevel;

    
    /**
    * 创建时间
    */    
    @Column
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    @Column
    private Long createBy;

    /**
    * 更新时间
    */    
    @Column
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    @Column
    private Long updateBy;
  
}


