package com.zanxiang.game.data.serve.pojo.entity;

import lombok.Data;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Table(TPayCallCpLog.TABLE_NAME)
@PK({"id"})
public class TPayCallCpLog implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "dm_game_order.t_pay_call_cp_log";
     
    /**
    * 自增ID
    */
    private Long id;
    
    /**
    * 订单号
    */    
    @Column
    private String orderId;
    
    /**
    * CP订单号
    */    
    @Column
    private String cpOrderId;
    
    /**
    * 充值成功标志，1为待处理，2为成功，3为失败
    */    
    @Column
    private Integer status;
    
    /**
    * 充值回调标志，1为待处理，2为成功，3为失败
    */    
    @Column
    private Integer cpStatus;
    
    /**
    * CP回调地址
    */    
    @Column
    private String cpPaybackUrl;
    
    /**
    * CP回调参数
    */    
    @Column
    private String params;
    
    /**
    * CP附加参数
    */    
    @Column
    private String ext;
    
    /**
    * 通知次数
    */    
    @Column
    private Integer notifyCnt;
    
    /**
    * 创建时间
    */    
    @Column
    private LocalDateTime createTime;
    
    /**
    * 更新时间
    */    
    @Column
    private LocalDateTime updateTime;
    
  
}


