package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ActiveDataTrendVO {

    /**
     * 活跃人数（注册留存数据）
     */
    @ApiModelProperty(notes = "活跃人数（注册留存数据）")
    private Long activeNum;

    /**
     * 留存率（注册留存数据）
     */
    @ApiModelProperty(notes = "留存率（注册留存数据）")
    private BigDecimal regActiveRate;

    /**
     * 第N天的新增付费用户（付费留存数据）
     */
    @ApiModelProperty(notes = "第N天的新增付费用户（付费留存数据）")
    private Long newUserAmountNum;

    /**
     * 第N天的老活跃用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "第N天的老活跃用户数（付费留存数据）")
    private Long oldActiveUserNum;

    /**
     * 累计到第N天的付费用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的付费用户数（付费留存数据）")
    private Long newUserTotalAmountNum;

    /**
     * 累计到第N天的活跃用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的活跃用户数（付费留存数据）")
    private Long newActiveUserTotalNum;

    /**
     * 付费留存率（付费留存数据）
     */
    @ApiModelProperty(notes = "付费留存率（付费留存数据）")
    private BigDecimal amountActiveRate;

    /**
     * 第N天的新增创角用户数（创角留存数据）
     */
    @ApiModelProperty(notes = "第N天的新增创角用户数（创角留存数据）")
    private Long roleNewUserNum;

    /**
     * 第N天的老活跃用户数（创角留存数据）
     */
    @ApiModelProperty(notes = "第N天的老活跃用户数（创角留存数据）")
    private Long roleOldActiveUserNum;

    /**
     * 累计到第N天的创角用户数（创角留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的创角用户数（创角留存数据）")
    private Long roleNewUserTotalNum;

    /**
     * 累计到第N天的活跃用户数（创角留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的活跃用户数（创角留存数据）")
    private Long roleNewActiveUserTotalNum;

    /**
     * 创角留存率（创角留存数据）
     */
    @ApiModelProperty(notes = "创角留存率（创角留存数据）")
    private BigDecimal roleActiveRate;

}
