package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class AdsRoleRechargeRanking {
     
    /**
    * 主键ID
    */    
    @ApiModelProperty(value = "主键ID")
    private String id;
    
    /**
    * 角色ID
    */    
    @ApiModelProperty(value = "角色ID")
    private String roleId;
    
    /**
    * 游戏SDK
    */    
    @ApiModelProperty(value = "游戏SDK")
    private String sourceSystem;
    
    /**
    * 游戏ID
    */    
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;
    
    /**
    * 游戏名字
    */    
    @ApiModelProperty(value = "游戏名字")
    private String gameName;
    
    /**
    * 游戏应用类型
    */    
    @ApiModelProperty(value = "游戏应用类型")
    private Long classify;
    
    /**
    * 区服ID
    */    
    @ApiModelProperty(value = "区服ID")
    private Long serverId;
    
    /**
    * 区服名字
    */    
    @ApiModelProperty(value = "区服名字")
    private String serverName;
    
    /**
    * 合服ID
    */    
    @ApiModelProperty(value = "合服ID")
    private Long serverIdMerge;
    
    /**
    * 合服名字
    */    
    @ApiModelProperty(value = "合服名字")
    private String serverNameMerge;
    
    /**
    * 父游戏ID
    */    
    @ApiModelProperty(value = "父游戏ID")
    private Long parentGameId;
    
    /**
    * 角色名称
    */    
    @ApiModelProperty(value = "角色名称")
    private String roleName;
    
    /**
    * 角色创建时间
    */    
    @ApiModelProperty(value = "角色创建时间")
    private LocalDateTime createTime;
    
    /**
    * 角色vip
    */    
    @ApiModelProperty(value = "角色vip")
    private Long roleVip;
    
    /**
    * 角色等级
    */    
    @ApiModelProperty(value = "角色等级")
    private Long roleLevel;
    
    /**
    * 角色战力
    */    
    @ApiModelProperty(value = "角色战力")
    private Long combatNum;
    
    /**
    * 用户ID
    */    
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    
    /**
    * 用户账号
    */    
    @ApiModelProperty(value = "用户账号")
    private String username;
    
    /**
    * 渠道ID
    */    
    @ApiModelProperty(value = "渠道ID")
    private Long agentId;
    
    /**
    * 渠道名字
    */    
    @ApiModelProperty(value = "渠道名字")
    private String agentName;
    
    /**
    * 用户注册时间
    */    
    @ApiModelProperty(value = "用户注册时间")
    private LocalDateTime regTime;
    
    /**
    * 玩家操作系统
    */    
    @ApiModelProperty(value = "玩家操作系统")
    private String os;
    
    /**
    * 用户等级标签(暂无)
    */    
    @ApiModelProperty(value = "用户等级标签(暂无)")
    private String userLabel;
    
    /**
    * 用户最近充值游戏
    */    
    @ApiModelProperty(value = "用户最近充值游戏")
    private Long userLastGameId;
    
    /**
    * 用户最近充值游戏
    */    
    @ApiModelProperty(value = "用户最近充值游戏")
    private Long userLastGameName;
    
    /**
    * 用户最近充值时间
    */    
    @ApiModelProperty(value = "用户最近充值时间")
    private LocalDateTime userLastOrderTime;
    
    /**
    * 角色最近充值时间
    */    
    @ApiModelProperty(value = "角色最近充值时间")
    private LocalDateTime roleLastOrderTime;
    
    /**
    * 角色充值时间
    */    
    @ApiModelProperty(value = "角色充值时间")
    private LocalDate day;
    
    /**
    * 角色今日充值
    */    
    @ApiModelProperty(value = "角色今日充值")
    private BigDecimal todayAmount;
    
    /**
    * 角色首充
    */    
    @ApiModelProperty(value = "角色首充")
    private BigDecimal firstAmount;
    
    /**
    * 角色累计充值
    */    
    @ApiModelProperty(value = "角色累计充值")
    private BigDecimal totalAmount;
    
    /**
    * 角色累计充值次数
    */    
    @ApiModelProperty(value = "角色累计充值次数")
    private Long totalAmountCount;
    
    /**
    * 角色充值平均单价
    */    
    @ApiModelProperty(value = "角色充值平均单价")
    private Long totalAvgAmount;
    
    /**
    * 角色最近活跃时间
    */    
    @ApiModelProperty(value = "角色最近活跃时间")
    private LocalDateTime roleActiveTime;
    
    /**
    * 用户最近活跃时间
    */    
    @ApiModelProperty(value = "用户最近活跃时间")
    private LocalDateTime userActiveTime;
    
    /**
    * 父游戏名称
    */    
    @ApiModelProperty(value = "父游戏名称")
    private LocalDateTime parentGameName;
    
  
    
}


