package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/7/22
 * @Description 传递给前端的推广每日复充趋势实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AgentDayAgainVO {

    /**
     * 充值次数
     */
    @ApiModelProperty(value =
            """
            C1 -> 充值一次
            C2 -> 充值大于一次
            C3 -> 充值大于两次
            C4 -> 充值大于三次
            C5 -> 充值大于四次
            C6 -> 充值大于五次
            C7 -> 充值大于十次
            C8 -> 充值大于二十次
            """)
    private String cn;

    /**
     * 原
     */
    @ApiModelProperty(value = "原(总量)")
    private Long original;

    /**
     * 现
     */
    @ApiModelProperty(value = "现(总量)")
    private Long present;

    /**
     * 增
     */
    @ApiModelProperty(value = "增(总量)")
    private Long increase;

    /**
     * 移
     */
    @ApiModelProperty(value = "移(总量)")
    private Long decrease;

    /**
     * 比
     */
    @ApiModelProperty(value = "比(总量)")
    private BigDecimal rate;

}
