package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * @author ZhangXianyu
 * @time 2024-03-04
 * @Description 流水监控vo
 **/
@Data
public class FlowMonitorVO implements Serializable {

    /**
     * SDK类型
     */
    @ApiModelProperty(value = "SDK类型")
    private String sourceSystem;


    /**
     * 消耗开始时间
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate costBeginDate;

    /**
     * 消耗结束时间
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate costEndDate;

    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    private LocalDate orderDate;

    /**
     * 10点充值金额
     */
    @ApiModelProperty(value = "10点充值金额")
    private Double tenAmount = 0.0;
    /**
     * 10点环比
     */
    @ApiModelProperty(value = "10点环比")
    private Double tenRate = 0.0;
    /**
     * 10点回收率
     */
    @ApiModelProperty(value = "10点回收率")
    private Double tenRecovery = 0.0;
    /**
     * 14点充值金额
     */
    @ApiModelProperty(value = "14点充值金额")
    private Double fourteenAmount = 0.0;
    /**
     * 14点环比
     */
    @ApiModelProperty(value = "14点环比")
    private Double fourteenRate = 0.0;
    /**
     * 14点回收率
     */
    @ApiModelProperty(value = "14点回收率")
    private Double fourteenRecovery = 0.0;
    /**
     * 17点充值金额
     */
    @ApiModelProperty(value = "17点充值金额")
    private Double seventeenAmount = 0.0;
    /**
     * 17点环比
     */
    @ApiModelProperty(value = "17点环比")
    private Double seventeenRate = 0.0;
    /**
     * 17点回收率
     */
    @ApiModelProperty(value = "17点回收率")
    private Double seventeenRecovery = 0.0;
    /**
     * 24点充值金额
     */
    @ApiModelProperty(value = "24点充值金额")
    private Double twentyfourAmount = 0.0;
    /**
     * 24点环比
     */
    @ApiModelProperty(value = "24点环比")
    private Double twentyfourRate = 0.0;
    /**
     * 24点回收率
     */
    @ApiModelProperty(value = "24点回收率")
    private Double twentyfourRecovery = 0.0;

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private Double costCount = 0.0;

    /**
     * 昨日充值总数
     */
    @ApiModelProperty(value = "yesterday_amount")
    private Double yesterdayAmount = 0.0;
}
