package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameRechargeRankingVO {
    private String id;
    @ApiModelProperty(notes = "SDK来源")
    private String sourceSystem;

    /**
     * 游戏ID
     */
    @ApiModelProperty("游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty("游戏名称")
    private String gameName;

    /**
     * 游戏类别
     */
    @ApiModelProperty("游戏类别")
    private String gameClassify;

    /**
     * 当天充值金额
     */
    @ApiModelProperty("当天充值金额")
    private BigDecimal todayAmount;

    /**
     * 当天买量充值金额
     */
    @ApiModelProperty("当天买量充值金额")
    private BigDecimal todayBuyAmount;

    /**
     * 当天自然量充值金额
     */
    @ApiModelProperty("当天自然量充值金额")
    private BigDecimal todayNatureAmount;

    /**
     * 累计充值今额
     */
    @ApiModelProperty("累计充值金额")
    private BigDecimal totalAmount;

    /**
     * 累计买量充值金额
     */
    @ApiModelProperty("累计买量充值金额")
    private BigDecimal totalBuyAmount;

    /**
     * 累计自然量充值金额
     */
    @ApiModelProperty("累计自然量充值金额")
    private BigDecimal totalNatureAmount;

    /**
     * 平均单价
     */
    @ApiModelProperty("平均单价")
    private BigDecimal avgAmount;

    /**
     * 注册人数
     */
    @ApiModelProperty("注册人数")
    private Long regUserCount;

    /**
     * 累计充值人数
     */
    @ApiModelProperty("累计充值人数")
    private Long totalRechargeUserCount;

    /**
     * 累计充值次数
     */
    @ApiModelProperty("累计充值次数")
    private Long totalRechargeCount;

    /**
     * 累计消耗
     */
    @ApiModelProperty("累计消耗")
    private BigDecimal totalCost;

    /**
     * 回本率
     */
    @ApiModelProperty("回本率")
    private BigDecimal totalRoi;


}
