package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/8/14
 * @Description 前端展示的游戏区服每日数据
 **/
@Data
public class GameServerSumDayVO {

    /**
     * 开服时间
     */
    @ApiModelProperty(value = "开服时间")
    private LocalDate dt;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 区服ID
     */
    @ApiModelProperty(value = "区服ID")
    private String serverId;

    /**
     * 区服名称
     */
    @ApiModelProperty(value = "区服名称")
    private String serverName;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    /**
     * 游戏类别
     */
    @ApiModelProperty(value = "游戏类别")
    private Long classify;

    /**
     * 滚服累计人数
     */
    @ApiModelProperty(value = "滚服累计人数")
    private Long outTotalNum;

    /**
     * 滚服累计付费人数
     */
    @ApiModelProperty(value = "滚服累计付费人数")
    private Long outTotalAmountNum;

    /**
     * 滚服累计付费金额
     */
    @ApiModelProperty(value = "滚服累计付费金额")
    private BigDecimal outTotalAmount;

    /**
     * 滚服累计付费占比
     */
    @ApiModelProperty(value = "滚服累计付费占比")
    private BigDecimal outTotalRate;

    /**
     * 创角累计人数
     */
    @ApiModelProperty(value = "创角累计人数")
    private Long totalRoleNum;

    /**
     * 注册累计人数
     */
    @ApiModelProperty(value = "注册累计人数")
    private Long totalRegNum;

    /**
     * 付费累计人数
     */
    @ApiModelProperty(value = "付费累计人数")
    private Long totalAmountNum;

    /**
     * 付费累计金额
     */
    @ApiModelProperty(value = "付费累计金额")
    private BigDecimal totalAmount;

    /**
     * 区服第1天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da1;

    /**
     * 区服在第2天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da2;

    /**
     * 区服在第3天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da3;

    /**
     * 区服在第4天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da4;

    /**
     * 区服在第5天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da5;

    /**
     * 区服在第6天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da6;

    /**
     * 区服在第7天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da7;

    /**
     * 区服在第8天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da8;

    /**
     * 区服在第9天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da9;

    /**
     * 区服在第10天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da10;

    /**
     * 区服在第11天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da11;

    /**
     * 区服在第12天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da12;

    /**
     * 区服在第13天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da13;

    /**
     * 区服在第14天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da14;

    /**
     * 区服在第15天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da15;

    /**
     * 区服在第16天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da16;

    /**
     * 区服在第17天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da17;

    /**
     * 区服在第18天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da18;

    /**
     * 区服在第19天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da19;

    /**
     * 区服在第20天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da20;

    /**
     * 区服在第21天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da21;

    /**
     * 区服在第22天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da22;

    /**
     * 区服在第23天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da23;

    /**
     * 区服在第24天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da24;

    /**
     * 区服在第25天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da25;

    /**
     * 区服在第26天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da26;

    /**
     * 区服在第27天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da27;

    /**
     * 区服在第28天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da28;

    /**
     * 区服在第29天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String da29;

    @ApiModelProperty(value = "不展示")
    private String da30;
    @ApiModelProperty(value = "不展示")
    private String da31;
    @ApiModelProperty(value = "不展示")
    private String da32;
    @ApiModelProperty(value = "不展示")
    private String da33;
    @ApiModelProperty(value = "不展示")
    private String da34;
    @ApiModelProperty(value = "不展示")
    private String da35;
    @ApiModelProperty(value = "不展示")
    private String da36;
    @ApiModelProperty(value = "不展示")
    private String da37;
    @ApiModelProperty(value = "不展示")
    private String da38;
    @ApiModelProperty(value = "不展示")
    private String da39;

    @ApiModelProperty(value = "不展示")
    private String da40;
    @ApiModelProperty(value = "不展示")
    private String da41;
    @ApiModelProperty(value = "不展示")
    private String da42;
    @ApiModelProperty(value = "不展示")
    private String da43;
    @ApiModelProperty(value = "不展示")
    private String da44;
    @ApiModelProperty(value = "不展示")
    private String da45;
    @ApiModelProperty(value = "不展示")
    private String da46;
    @ApiModelProperty(value = "不展示")
    private String da47;
    @ApiModelProperty(value = "不展示")
    private String da48;
    @ApiModelProperty(value = "不展示")
    private String da49;

    @ApiModelProperty(value = "不展示")
    private String da50;
    @ApiModelProperty(value = "不展示")
    private String da51;
    @ApiModelProperty(value = "不展示")
    private String da52;
    @ApiModelProperty(value = "不展示")
    private String da53;
    @ApiModelProperty(value = "不展示")
    private String da54;
    @ApiModelProperty(value = "不展示")
    private String da55;
    @ApiModelProperty(value = "不展示")
    private String da56;
    @ApiModelProperty(value = "不展示")
    private String da57;
    @ApiModelProperty(value = "不展示")
    private String da58;
    @ApiModelProperty(value = "不展示")
    private String da59;

    @ApiModelProperty(value = "不展示")
    private String da60;
    @ApiModelProperty(value = "不展示")
    private String da61;
    @ApiModelProperty(value = "不展示")
    private String da62;
    @ApiModelProperty(value = "不展示")
    private String da63;
    @ApiModelProperty(value = "不展示")
    private String da64;
    @ApiModelProperty(value = "不展示")
    private String da65;
    @ApiModelProperty(value = "不展示")
    private String da66;
    @ApiModelProperty(value = "不展示")
    private String da67;
    @ApiModelProperty(value = "不展示")
    private String da68;
    @ApiModelProperty(value = "不展示")
    private String da69;

    @ApiModelProperty(value = "不展示")
    private String da70;
    @ApiModelProperty(value = "不展示")
    private String da71;
    @ApiModelProperty(value = "不展示")
    private String da72;
    @ApiModelProperty(value = "不展示")
    private String da73;
    @ApiModelProperty(value = "不展示")
    private String da74;
    @ApiModelProperty(value = "不展示")
    private String da75;
    @ApiModelProperty(value = "不展示")
    private String da76;
    @ApiModelProperty(value = "不展示")
    private String da77;
    @ApiModelProperty(value = "不展示")
    private String da78;
    @ApiModelProperty(value = "不展示")
    private String da79;

    @ApiModelProperty(value = "不展示")
    private String da80;
    @ApiModelProperty(value = "不展示")
    private String da81;
    @ApiModelProperty(value = "不展示")
    private String da82;
    @ApiModelProperty(value = "不展示")
    private String da83;
    @ApiModelProperty(value = "不展示")
    private String da84;
    @ApiModelProperty(value = "不展示")
    private String da85;
    @ApiModelProperty(value = "不展示")
    private String da86;
    @ApiModelProperty(value = "不展示")
    private String da87;
    @ApiModelProperty(value = "不展示")
    private String da88;
    @ApiModelProperty(value = "不展示")
    private String da89;
    @ApiModelProperty(value = "不展示")
    private String da90;

    /**
     * 区服在第4月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m4;

    /**
     * 区服在第5月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m5;

    /**
     * 区服在第6月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m6;

    /**
     * 区服在第7月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m7;

    /**
     * 区服在第8月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m8;

    /**
     * 区服在第9月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m9;

    /**
     * 区服在第10月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m10;

    /**
     * 区服在第11月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m11;

    /**
     * 区服在第1年：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String m12;

    /**
     * 区服至今：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "不展示")
    private String total;

    /**
     * 区服第1天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第1天")
    private GameServerTrendVO da1Trend;

    /**
     * 区服在第2天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第2天")
    private GameServerTrendVO da2Trend;

    /**
     * 区服在第3天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第3天")
    private GameServerTrendVO da3Trend;

    /**
     * 区服在第4天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第4天")
    private GameServerTrendVO da4Trend;

    /**
     * 区服在第5天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第5天")
    private GameServerTrendVO da5Trend;

    /**
     * 区服在第6天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第6天")
    private GameServerTrendVO da6Trend;

    /**
     * 区服在第7天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第7天")
    private GameServerTrendVO da7Trend;

    /**
     * 区服在第8天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第8天")
    private GameServerTrendVO da8Trend;

    /**
     * 区服在第9天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第9天")
    private GameServerTrendVO da9Trend;

    /**
     * 区服在第10天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第10天")
    private GameServerTrendVO da10Trend;

    /**
     * 区服在第11天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第11天")
    private GameServerTrendVO da11Trend;

    /**
     * 区服在第12天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第12天")
    private GameServerTrendVO da12Trend;

    /**
     * 区服在第13天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第13天")
    private GameServerTrendVO da13Trend;

    /**
     * 区服在第14天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第14天")
    private GameServerTrendVO da14Trend;

    /**
     * 区服在第15天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第15天")
    private GameServerTrendVO da15Trend;

    /**
     * 区服在第16天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第16天")
    private GameServerTrendVO da16Trend;

    /**
     * 区服在第17天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第17天")
    private GameServerTrendVO da17Trend;

    /**
     * 区服在第18天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第18天")
    private GameServerTrendVO da18Trend;

    /**
     * 区服在第19天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第19天")
    private GameServerTrendVO da19Trend;

    /**
     * 区服在第20天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第20天")
    private GameServerTrendVO da20Trend;

    /**
     * 区服在第21天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第21天")
    private GameServerTrendVO da21Trend;

    /**
     * 区服在第22天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第22天")
    private GameServerTrendVO da22Trend;

    /**
     * 区服在第23天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第23天")
    private GameServerTrendVO da23Trend;

    /**
     * 区服在第24天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第24天")
    private GameServerTrendVO da24Trend;

    /**
     * 区服在第25天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第25天")
    private GameServerTrendVO da25Trend;

    /**
     * 区服在第26天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第26天")
    private GameServerTrendVO da26Trend;

    /**
     * 区服在第27天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第27天")
    private GameServerTrendVO da27Trend;

    /**
     * 区服在第28天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第28天")
    private GameServerTrendVO da28Trend;

    /**
     * 区服在第29天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第29天")
    private GameServerTrendVO da29Trend;

    /**
     * 区服在第30天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第30天")
    private GameServerTrendVO da30Trend;

    /**
     * 区服第31天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第31天")
    private GameServerTrendVO da31Trend;

    /**
     * 区服在第32天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第32天")
    private GameServerTrendVO da32Trend;

    /**
     * 区服在第33天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第33天")
    private GameServerTrendVO da33Trend;

    /**
     * 区服在第34天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第34天")
    private GameServerTrendVO da34Trend;

    /**
     * 区服在第35天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第35天")
    private GameServerTrendVO da35Trend;

    /**
     * 区服在第36天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第36天")
    private GameServerTrendVO da36Trend;

    /**
     * 区服在第37天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第37天")
    private GameServerTrendVO da37Trend;

    /**
     * 区服在第38天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第38天")
    private GameServerTrendVO da38Trend;

    /**
     * 区服在第39天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第39天")
    private GameServerTrendVO da39Trend;

    /**
     * 区服在第40天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第40天")
    private GameServerTrendVO da40Trend;

    /**
     * 区服在第41天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第41天")
    private GameServerTrendVO da41Trend;

    /**
     * 区服在第42天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第42天")
    private GameServerTrendVO da42Trend;

    /**
     * 区服在第43天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第43天")
    private GameServerTrendVO da43Trend;

    /**
     * 区服在第44天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第44天")
    private GameServerTrendVO da44Trend;

    /**
     * 区服在第45天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第45天")
    private GameServerTrendVO da45Trend;

    /**
     * 区服在第46天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第46天")
    private GameServerTrendVO da46Trend;

    /**
     * 区服在第47天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第47天")
    private GameServerTrendVO da47Trend;

    /**
     * 区服在第48天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第48天")
    private GameServerTrendVO da48Trend;

    /**
     * 区服在第49天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第49天")
    private GameServerTrendVO da49Trend;

    /**
     * 区服在第50天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第50天")
    private GameServerTrendVO da50Trend;

    /**
     * 区服在第51天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第51天")
    private GameServerTrendVO da51Trend;

    /**
     * 区服在第52天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第52天")
    private GameServerTrendVO da52Trend;

    /**
     * 区服在第53天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第53天")
    private GameServerTrendVO da53Trend;

    /**
     * 区服在第54天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第54天")
    private GameServerTrendVO da54Trend;

    /**
     * 区服在第55天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第55天")
    private GameServerTrendVO da55Trend;

    /**
     * 区服在第56天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第56天")
    private GameServerTrendVO da56Trend;

    /**
     * 区服在第57天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第57天")
    private GameServerTrendVO da57Trend;

    /**
     * 区服在第58天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第58天")
    private GameServerTrendVO da58Trend;

    /**
     * 区服在第59天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第59天")
    private GameServerTrendVO da59Trend;

    /**
     * 区服在第60天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第60天")
    private GameServerTrendVO da60Trend;

    /**
     * 区服第61天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第61天")
    private GameServerTrendVO da61Trend;

    /**
     * 区服在第62天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第62天")
    private GameServerTrendVO da62Trend;

    /**
     * 区服在第63天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第63天")
    private GameServerTrendVO da63Trend;

    /**
     * 区服在第64天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第64天")
    private GameServerTrendVO da64Trend;

    /**
     * 区服在第65天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第65天")
    private GameServerTrendVO da65Trend;

    /**
     * 区服在第66天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第66天")
    private GameServerTrendVO da66Trend;

    /**
     * 区服在第67天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第67天")
    private GameServerTrendVO da67Trend;

    /**
     * 区服在第68天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第68天")
    private GameServerTrendVO da68Trend;

    /**
     * 区服在第69天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第69天")
    private GameServerTrendVO da69Trend;

    /**
     * 区服在第70天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第70天")
    private GameServerTrendVO da70Trend;

    /**
     * 区服在第71天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第71天")
    private GameServerTrendVO da71Trend;

    /**
     * 区服在第72天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第72天")
    private GameServerTrendVO da72Trend;

    /**
     * 区服在第73天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第73天")
    private GameServerTrendVO da73Trend;

    /**
     * 区服在第74天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第74天")
    private GameServerTrendVO da74Trend;

    /**
     * 区服在第75天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第75天")
    private GameServerTrendVO da75Trend;

    /**
     * 区服在第76天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第76天")
    private GameServerTrendVO da76Trend;

    /**
     * 区服在第77天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第77天")
    private GameServerTrendVO da77Trend;

    /**
     * 区服在第78天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第78天")
    private GameServerTrendVO da78Trend;

    /**
     * 区服在第79天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第79天")
    private GameServerTrendVO da79Trend;

    /**
     * 区服在第80天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第80天")
    private GameServerTrendVO da80Trend;

    /**
     * 区服在第81天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第81天")
    private GameServerTrendVO da81Trend;

    /**
     * 区服在第82天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第82天")
    private GameServerTrendVO da82Trend;

    /**
     * 区服在第83天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第83天")
    private GameServerTrendVO da83Trend;

    /**
     * 区服在第84天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第84天")
    private GameServerTrendVO da84Trend;

    /**
     * 区服在第85天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第85天")
    private GameServerTrendVO da85Trend;

    /**
     * 区服在第86天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第86天")
    private GameServerTrendVO da86Trend;

    /**
     * 区服在第87天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第87天")
    private GameServerTrendVO da87Trend;

    /**
     * 区服在第88天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第88天")
    private GameServerTrendVO da88Trend;

    /**
     * 区服在第89天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第89天")
    private GameServerTrendVO da89Trend;

    /**
     * 区服在第90天：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第90天")
    private GameServerTrendVO da90Trend;

    /**
     * 区服在第4月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第4月")
    private GameServerTrendVO m4Trend;

    /**
     * 区服在第5月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第5月")
    private GameServerTrendVO m5Trend;

    /**
     * 区服在第6月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第6月")
    private GameServerTrendVO m6Trend;

    /**
     * 区服在第7月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第7月")
    private GameServerTrendVO m7Trend;

    /**
     * 区服在第8月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第8月")
    private GameServerTrendVO m8Trend;

    /**
     * 区服在第9月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第9月")
    private GameServerTrendVO m9Trend;

    /**
     * 区服在第10月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第10月")
    private GameServerTrendVO m10Trend;

    /**
     * 区服在第11月：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第11月")
    private GameServerTrendVO m11Trend;

    /**
     * 区服在第1年：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服第1年")
    private GameServerTrendVO m12Trend;

    /**
     * 区服至今：注册人数/创角人数/活跃人数/付费人数/付费金额/滚服人数/滚服付费人数/滚服付费金额/滚服付费占比
     */
    @ApiModelProperty(value = "区服至今总数据")
    private GameServerTrendVO totalTrend;

}
