package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameServerTrendVO {

    /**
     * 注册人数
     */
    @ApiModelProperty(notes = "注册人数")
    private Long regNum;

    /**
     * 创角人数
     */
    @ApiModelProperty(notes = "创角人数")
    private Long roleNum;

    /**
     * 活跃人数
     */
    @ApiModelProperty(notes = "活跃人数")
    private Long activeNum;

    /**
     * 付费人数
     */
    @ApiModelProperty(notes = "付费人数")
    private Long amountNum;

    /**
     * 付费金额
     */
    @ApiModelProperty(notes = "付费金额")
    private BigDecimal amount;

    /**
     * 滚服人数
     */
    @ApiModelProperty(notes = "滚服人数")
    private Long rollServerNum;

    /**
     * 滚服付费人数
     */
    @ApiModelProperty(notes = "滚服付费人数")
    private Long rollServerAmountNum;

    /**
     * 滚服付费金额
     */
    @ApiModelProperty(notes = "滚服付费金额")
    private BigDecimal rollServerAmount;

    /**
     * 滚服付费占比
     */
    @ApiModelProperty(notes = "滚服付费占比")
    private BigDecimal rollServerAmountRate;

    /**
     * 注册留存DayN活跃人数(注册留存数据)
     */
    @ApiModelProperty(notes = "注册留存DayN活跃人数(注册留存数据)")
    private Long regActiveNum;

    /**
     * 注册留存率(注册留存数据)
     */
    @ApiModelProperty(notes = "注册留存率(注册留存数据)")
    private BigDecimal regActiveRate;

    /**
     * 第N天的新增付费用户（付费留存数据）
     */
    @ApiModelProperty(notes = "第N天的新增付费用户（付费留存数据）")
    private Long newUserAmountNum;

    /**
     * 第N天的老活跃用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "第N天的老活跃用户数（付费留存数据）")
    private Long oldActiveUserNum;

    /**
     * 累计到第N天的付费用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的付费用户数（付费留存数据）")
    private Long newUserTotalAmountNum;

    /**
     * 累计到第N天的活跃用户数（付费留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的活跃用户数（付费留存数据）")
    private Long newActiveUserTotalNum;

    /**
     * 付费留存率（付费留存数据）
     */
    @ApiModelProperty(notes = "付费留存率（付费留存数据）")
    private BigDecimal amountActiveRate;

    /**
     * 第N天的新增创角用户数（创角留存数据）
     */
    @ApiModelProperty(notes = "第N天的新增创角用户数（创角留存数据）")
    private Long roleNewUserNum;

    /**
     * 第N天的老活跃用户数（创角留存数据）
     */
    @ApiModelProperty(notes = "第N天的老活跃用户数（创角留存数据）")
    private Long roleOldActiveUserNum;

    /**
     * 累计到第N天的创角用户数（创角留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的创角用户数（创角留存数据）")
    private Long roleNewUserTotalNum;

    /**
     * 累计到第N天的活跃用户数（创角留存数据）
     */
    @ApiModelProperty(notes = "累计到第N天的活跃用户数（创角留存数据）")
    private Long roleNewActiveUserTotalNum;

    /**
     * 创角留存率（创角留存数据）
     */
    @ApiModelProperty(notes = "创角留存率（创角留存数据）")
    private BigDecimal roleActiveRate;

}
