package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/8/9
 * @Description ltv总计一栏
 **/
@Data
public class LtvDataTotalVO {

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 注册人数
     */
    @ApiModelProperty(value = "注册人数")
    private Long regNum;

    /**
     * 首日新用户充值次数
     */
    @ApiModelProperty(value = "首日新用户充值次数")
    private Long firstNewUserAmountCount;

    /**
     * 首日新用户充值人数
     */
    @ApiModelProperty(value = "首日新用户充值人数")
    private Long firstNewUserAmountNum;

    /**
     * 首日新用户充值金额
     */
    @ApiModelProperty(value = "首日新用户充值金额")
    private BigDecimal firstNewUserAmount;

    /**
     * 老用户充值次数
     */
    @ApiModelProperty(value = "老用户充值次数")
    private Long oldUserCount;

    /**
     * 老用户充值人数
     */
    @ApiModelProperty(value = "老用户充值人数")
    private Long oldUserNum;

    /**
     * 老用户充值金额
     */
    @ApiModelProperty(value = "老用户充值金额")
    private BigDecimal oldUserAmount;

    /**
     * 账面充值次数
     */
    @ApiModelProperty(value = "账面充值次数")
    private Long amountCount;

    /**
     * 账面充值人数
     */
    @ApiModelProperty(value = "账面充值人数")
    private Long amountNum;

    /**
     * 账面充值金额
     */
    @ApiModelProperty(value = "账面充值金额")
    private BigDecimal amount;

    /**
     * 新用户累计充值次数
     */
    @ApiModelProperty(value = "新用户累计充值次数")
    private Long newUserTotalAmountCount;

    /**
     * 新用户累计充值人数
     */
    @ApiModelProperty(value = "新用户累计充值人数")
    private Long newUserTotalAmountNum;

    /**
     * 新用户累计充值金额
     */
    @ApiModelProperty(value = "新用户累计充值金额")
    private BigDecimal newUserTotalAmount;

    /**
     * 首日Roi
     */
    @ApiModelProperty(value = "首日Roi")
    private BigDecimal firstRoi;

    @ApiModelProperty(value = "首日付费率（总）")
    private BigDecimal firstAmountRate;

    @ApiModelProperty(value = "当天付费率（总）")
    private BigDecimal todayAmountRate;

    /**
     * 新用户付费比
     */
    @ApiModelProperty(value = "新用户付费比")
    private BigDecimal newUserRate;

    /**
     * 首日客单价
     */
    @ApiModelProperty(value = "首日客单价")
    private BigDecimal firstAvgAmount;

    /**
     * 当天客单价
     */
    @ApiModelProperty(value = "当天客单价")
    private BigDecimal todayAvgAmount;

    /**
     * 账面客单价
     */
    @ApiModelProperty(value = "账面客单价")
    private BigDecimal avgAmount;

    /**
     * 复充率
     */
    @ApiModelProperty(value = "复充率")
    private BigDecimal userAgainRate;

    /**
     * 新增注册ARPU
     */
    @ApiModelProperty(value = "新增注册ARPU")
    private BigDecimal regUserArpu;

    /**
     * 首日付费ARPU
     */
    @ApiModelProperty(value = "首日付费ARPU")
    private BigDecimal firstAmountArpu;

    /**
     * 当天付费ARPU
     */
    @ApiModelProperty(value = "当天付费ARPU")
    private BigDecimal todayAmountArpu;

    /**
     * 账面ARPU
     */
    @ApiModelProperty(value = "账面ARPU")
    private BigDecimal amountArpu;

    @ApiModelProperty(value = "注册成本 = 消耗 / 注册人数")
    private BigDecimal regCost;

    @ApiModelProperty(value = "总回收率 = 新用户累计充值金额 / 消耗")
    private BigDecimal totalRoi;

    @ApiModelProperty(value = "首日充值成本 = 消耗 / 首日新用户充值人数")
    private BigDecimal firstNewUserRechargeCost;

    @ApiModelProperty(value = "总充值成本 = 消耗 / 新用户累计充值人数")
    private BigDecimal totalRechargeCost;

    @ApiModelProperty(value = "单日付费100+人数")
    private Long hundredUserNum;

    @ApiModelProperty(value = "单日付费100+成本 = 消耗 / 单日付费100+人数")
    private BigDecimal hundredUserNumCost;

    @ApiModelProperty(value = "首日创角人数")
    private Long firstRoleNum;

    @ApiModelProperty(value = "创角人数")
    private Long roleNum;

    @ApiModelProperty(value = "新用户累计创角人数")
    private Long newUserTotalRoleNum;

    @ApiModelProperty(value = "首日创角人数成本")
    private BigDecimal firstRoleNumCost;

    @ApiModelProperty(value = "创角人数成本")
    private BigDecimal roleNumCost;

    @ApiModelProperty(value = "新用户累计创角人数成本")
    private BigDecimal newUserTotalRoleNumCost;

    @ApiModelProperty(value = "首日创角率")
    private BigDecimal firstRoleNumRate;

    @ApiModelProperty(value = "创角率")
    private BigDecimal roleNumRate;

    @ApiModelProperty(value = "新用户累计创角率")
    private BigDecimal newUserTotalRoleNumRate;

    /**
     * 用户LTV1
     */
    @ApiModelProperty(value = "用户LTV1")
    private BigDecimal userLtv1;

    /**
     * 用户LTV2
     */
    @ApiModelProperty(value = "用户LTV2")
    private BigDecimal userLtv2;

    /**
     * 用户LTV3
     */
    @ApiModelProperty(value = "用户LTV3")
    private BigDecimal userLtv3;

    /**
     * 用户LTV4
     */
    @ApiModelProperty(value = "用户LTV4")
    private BigDecimal userLtv4;

    /**
     * 用户LTV5
     */
    @ApiModelProperty(value = "用户LTV5")
    private BigDecimal userLtv5;

    /**
     * 用户LTV6
     */
    @ApiModelProperty(value = "用户LTV6")
    private BigDecimal userLtv6;

    /**
     * 用户LTV7
     */
    @ApiModelProperty(value = "用户LTV7")
    private BigDecimal userLtv7;

    /**
     * 用户LTV8
     */
    @ApiModelProperty(value = "用户LTV8")
    private BigDecimal userLtv8;

    /**
     * 用户LTV9
     */
    @ApiModelProperty(value = "用户LTV9")
    private BigDecimal userLtv9;

    /**
     * 用户LTV10
     */
    @ApiModelProperty(value = "用户LTV10")
    private BigDecimal userLtv10;

    /**
     * 用户LTV11
     */
    @ApiModelProperty(value = "用户LTV11")
    private BigDecimal userLtv11;

    /**
     * 用户LTV12
     */
    @ApiModelProperty(value = "用户LTV12")
    private BigDecimal userLtv12;

    /**
     * 用户LTV13
     */
    @ApiModelProperty(value = "用户LTV13")
    private BigDecimal userLtv13;

    /**
     * 用户LTV14
     */
    @ApiModelProperty(value = "用户LTV14")
    private BigDecimal userLtv14;

    /**
     * 用户LTV15
     */
    @ApiModelProperty(value = "用户LTV15")
    private BigDecimal userLtv15;

    /**
     * 用户LTV16
     */
    @ApiModelProperty(value = "用户LTV16")
    private BigDecimal userLtv16;

    /**
     * 用户LTV17
     */
    @ApiModelProperty(value = "用户LTV17")
    private BigDecimal userLtv17;

    /**
     * 用户LTV18
     */
    @ApiModelProperty(value = "用户LTV18")
    private BigDecimal userLtv18;

    /**
     * 用户LTV19
     */
    @ApiModelProperty(value = "用户LTV19")
    private BigDecimal userLtv19;

    /**
     * 用户LTV20
     */
    @ApiModelProperty(value = "用户LTV20")
    private BigDecimal userLtv20;

    /**
     * 用户LTV21
     */
    @ApiModelProperty(value = "用户LTV21")
    private BigDecimal userLtv21;

    /**
     * 用户LTV22
     */
    @ApiModelProperty(value = "用户LTV22")
    private BigDecimal userLtv22;

    /**
     * 用户LTV23
     */
    @ApiModelProperty(value = "用户LTV23")
    private BigDecimal userLtv23;

    /**
     * 用户LTV24
     */
    @ApiModelProperty(value = "用户LTV24")
    private BigDecimal userLtv24;

    /**
     * 用户LTV25
     */
    @ApiModelProperty(value = "用户LTV25")
    private BigDecimal userLtv25;

    /**
     * 用户LTV26
     */
    @ApiModelProperty(value = "用户LTV26")
    private BigDecimal userLtv26;

    /**
     * 用户LTV27
     */
    @ApiModelProperty(value = "用户LTV27")
    private BigDecimal userLtv27;

    /**
     * 用户LTV28
     */
    @ApiModelProperty(value = "用户LTV28")
    private BigDecimal userLtv28;

    /**
     * 用户LTV29
     */
    @ApiModelProperty(value = "用户LTV29")
    private BigDecimal userLtv29;

    /**
     * 用户LTV30
     */
    @ApiModelProperty(value = "用户LTV30")
    private BigDecimal userLtv30;

    /**
     * 用户LTV31
     */
    @ApiModelProperty(value = "用户LTV31")
    private BigDecimal userLtv31;

    /**
     * 用户LTV32
     */
    @ApiModelProperty(value = "用户LTV32")
    private BigDecimal userLtv32;

    /**
     * 用户LTV33
     */
    @ApiModelProperty(value = "用户LTV33")
    private BigDecimal userLtv33;

    /**
     * 用户LTV34
     */
    @ApiModelProperty(value = "用户LTV34")
    private BigDecimal userLtv34;

    /**
     * 用户LTV35
     */
    @ApiModelProperty(value = "用户LTV35")
    private BigDecimal userLtv35;

    /**
     * 用户LTV36
     */
    @ApiModelProperty(value = "用户LTV36")
    private BigDecimal userLtv36;

    /**
     * 用户LTV37
     */
    @ApiModelProperty(value = "用户LTV37")
    private BigDecimal userLtv37;

    /**
     * 用户LTV38
     */
    @ApiModelProperty(value = "用户LTV38")
    private BigDecimal userLtv38;

    /**
     * 用户LTV39
     */
    @ApiModelProperty(value = "用户LTV39")
    private BigDecimal userLtv39;

    /**
     * 用户LTV40
     */
    @ApiModelProperty(value = "用户LTV40")
    private BigDecimal userLtv40;

    /**
     * 用户LTV41
     */
    @ApiModelProperty(value = "用户LTV41")
    private BigDecimal userLtv41;

    /**
     * 用户LTV42
     */
    @ApiModelProperty(value = "用户LTV42")
    private BigDecimal userLtv42;

    /**
     * 用户LTV43
     */
    @ApiModelProperty(value = "用户LTV43")
    private BigDecimal userLtv43;

    /**
     * 用户LTV44
     */
    @ApiModelProperty(value = "用户LTV44")
    private BigDecimal userLtv44;

    /**
     * 用户LTV45
     */
    @ApiModelProperty(value = "用户LTV45")
    private BigDecimal userLtv45;

    /**
     * 用户LTV46
     */
    @ApiModelProperty(value = "用户LTV46")
    private BigDecimal userLtv46;

    /**
     * 用户LTV47
     */
    @ApiModelProperty(value = "用户LTV47")
    private BigDecimal userLtv47;

    /**
     * 用户LTV48
     */
    @ApiModelProperty(value = "用户LTV48")
    private BigDecimal userLtv48;

    /**
     * 用户LTV49
     */
    @ApiModelProperty(value = "用户LTV49")
    private BigDecimal userLtv49;

    /**
     * 用户LTV50
     */
    @ApiModelProperty(value = "用户LTV50")
    private BigDecimal userLtv50;

    /**
     * 用户LTV51
     */
    @ApiModelProperty(value = "用户LTV51")
    private BigDecimal userLtv51;

    /**
     * 用户LTV52
     */
    @ApiModelProperty(value = "用户LTV52")
    private BigDecimal userLtv52;

    /**
     * 用户LTV53
     */
    @ApiModelProperty(value = "用户LTV53")
    private BigDecimal userLtv53;

    /**
     * 用户LTV54
     */
    @ApiModelProperty(value = "用户LTV54")
    private BigDecimal userLtv54;

    /**
     * 用户LTV55
     */
    @ApiModelProperty(value = "用户LTV55")
    private BigDecimal userLtv55;

    /**
     * 用户LTV56
     */
    @ApiModelProperty(value = "用户LTV56")
    private BigDecimal userLtv56;

    /**
     * 用户LTV57
     */
    @ApiModelProperty(value = "用户LTV57")
    private BigDecimal userLtv57;

    /**
     * 用户LTV58
     */
    @ApiModelProperty(value = "用户LTV58")
    private BigDecimal userLtv58;

    /**
     * 用户LTV59
     */
    @ApiModelProperty(value = "用户LTV59")
    private BigDecimal userLtv59;

    /**
     * 用户LTV60
     */
    @ApiModelProperty(value = "用户LTV60")
    private BigDecimal userLtv60;

    /**
     * 用户LTV61
     */
    @ApiModelProperty(value = "用户LTV61")
    private BigDecimal userLtv61;

    /**
     * 用户LTV62
     */
    @ApiModelProperty(value = "用户LTV62")
    private BigDecimal userLtv62;

    /**
     * 用户LTV63
     */
    @ApiModelProperty(value = "用户LTV63")
    private BigDecimal userLtv63;

    /**
     * 用户LTV64
     */
    @ApiModelProperty(value = "用户LTV64")
    private BigDecimal userLtv64;

    /**
     * 用户LTV65
     */
    @ApiModelProperty(value = "用户LTV65")
    private BigDecimal userLtv65;

    /**
     * 用户LTV66
     */
    @ApiModelProperty(value = "用户LTV66")
    private BigDecimal userLtv66;

    /**
     * 用户LTV67
     */
    @ApiModelProperty(value = "用户LTV67")
    private BigDecimal userLtv67;

    /**
     * 用户LTV68
     */
    @ApiModelProperty(value = "用户LTV68")
    private BigDecimal userLtv68;

    /**
     * 用户LTV69
     */
    @ApiModelProperty(value = "用户LTV69")
    private BigDecimal userLtv69;

    /**
     * 用户LTV70
     */
    @ApiModelProperty(value = "用户LTV70")
    private BigDecimal userLtv70;

    /**
     * 用户LTV71
     */
    @ApiModelProperty(value = "用户LTV71")
    private BigDecimal userLtv71;

    /**
     * 用户LTV72
     */
    @ApiModelProperty(value = "用户LTV72")
    private BigDecimal userLtv72;

    /**
     * 用户LTV73
     */
    @ApiModelProperty(value = "用户LTV73")
    private BigDecimal userLtv73;

    /**
     * 用户LTV74
     */
    @ApiModelProperty(value = "用户LTV74")
    private BigDecimal userLtv74;

    /**
     * 用户LTV75
     */
    @ApiModelProperty(value = "用户LTV75")
    private BigDecimal userLtv75;

    /**
     * 用户LTV76
     */
    @ApiModelProperty(value = "用户LTV76")
    private BigDecimal userLtv76;

    /**
     * 用户LTV77
     */
    @ApiModelProperty(value = "用户LTV77")
    private BigDecimal userLtv77;

    /**
     * 用户LTV78
     */
    @ApiModelProperty(value = "用户LTV78")
    private BigDecimal userLtv78;

    /**
     * 用户LTV79
     */
    @ApiModelProperty(value = "用户LTV79")
    private BigDecimal userLtv79;

    /**
     * 用户LTV80
     */
    @ApiModelProperty(value = "用户LTV80")
    private BigDecimal userLtv80;

    /**
     * 用户LTV81
     */
    @ApiModelProperty(value = "用户LTV81")
    private BigDecimal userLtv81;

    /**
     * 用户LTV82
     */
    @ApiModelProperty(value = "用户LTV82")
    private BigDecimal userLtv82;

    /**
     * 用户LTV83
     */
    @ApiModelProperty(value = "用户LTV83")
    private BigDecimal userLtv83;

    /**
     * 用户LTV84
     */
    @ApiModelProperty(value = "用户LTV84")
    private BigDecimal userLtv84;

    /**
     * 用户LTV85
     */
    @ApiModelProperty(value = "用户LTV85")
    private BigDecimal userLtv85;

    /**
     * 用户LTV86
     */
    @ApiModelProperty(value = "用户LTV86")
    private BigDecimal userLtv86;

    /**
     * 用户LTV87
     */
    @ApiModelProperty(value = "用户LTV87")
    private BigDecimal userLtv87;

    /**
     * 用户LTV88
     */
    @ApiModelProperty(value = "用户LTV88")
    private BigDecimal userLtv88;

    /**
     * 用户LTV89
     */
    @ApiModelProperty(value = "用户LTV89")
    private BigDecimal userLtv89;

    /**
     * 用户LTV90
     */
    @ApiModelProperty(value = "用户LTV90")
    private BigDecimal userLtv90;

    /**
     * 用户LTVm4
     */
    @ApiModelProperty(value = "用户LTVm4")
    private BigDecimal userLtvM4;

    /**
     * 用户LTVm5
     */
    @ApiModelProperty(value = "用户LTVm5")
    private BigDecimal userLtvM5;

    /**
     * 用户LTVm6
     */
    @ApiModelProperty(value = "用户LTVm6")
    private BigDecimal userLtvM6;

    /**
     * 用户LTVm7
     */
    @ApiModelProperty(value = "用户LTVm7")
    private BigDecimal userLtvM7;

    /**
     * 用户LTVm8
     */
    @ApiModelProperty(value = "用户LTVm8")
    private BigDecimal userLtvM8;

    /**
     * 用户LTVm9
     */
    @ApiModelProperty(value = "用户LTVm9")
    private BigDecimal userLtvM9;

    /**
     * 用户LTVm10
     */
    @ApiModelProperty(value = "用户LTVm10")
    private BigDecimal userLtvM10;

    /**
     * 用户LTVm11
     */
    @ApiModelProperty(value = "用户LTVm11")
    private BigDecimal userLtvM11;

    /**
     * 用户LTVy1
     */
    @ApiModelProperty(value = "用户LTVy1")
    private BigDecimal userLtvY1;

    /**
     * 用户LTVtotal
     */
    @ApiModelProperty(value = "用户LTVtotal")
    private BigDecimal userLtvTotal;

    /**
     * 创角LTV1
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv1;

    /**
     * 创角LTV2
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv2;

    /**
     * 创角LTV3
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv3;

    /**
     * 创角LTV4
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv4;

    /**
     * 创角LTV5
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv5;

    /**
     * 创角LTV6
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv6;

    /**
     * 创角LTV7
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv7;

    /**
     * 创角LTV8
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv8;

    /**
     * 创角LTV9
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv9;

    /**
     * 创角LTV10
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv10;

    /**
     * 创角LTV11
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv11;

    /**
     * 创角LTV12
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv12;

    /**
     * 创角LTV13
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv13;

    /**
     * 创角LTV14
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv14;

    /**
     * 创角LTV15
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv15;

    /**
     * 创角LTV16
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv16;

    /**
     * 创角LTV17
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv17;

    /**
     * 创角LTV18
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv18;

    /**
     * 创角LTV19
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv19;

    /**
     * 创角LTV20
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv20;

    /**
     * 创角LTV21
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv21;

    /**
     * 创角LTV22
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv22;

    /**
     * 创角LTV23
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv23;

    /**
     * 创角LTV24
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv24;

    /**
     * 创角LTV25
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv25;

    /**
     * 创角LTV26
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv26;

    /**
     * 创角LTV27
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv27;

    /**
     * 创角LTV28
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv28;

    /**
     * 创角LTV29
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv29;

    /**
     * 创角LTV30
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv30;

    /**
     * 创角LTV31
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv31;

    /**
     * 创角LTV32
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv32;

    /**
     * 创角LTV33
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv33;

    /**
     * 创角LTV34
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv34;

    /**
     * 创角LTV35
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv35;

    /**
     * 创角LTV36
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv36;

    /**
     * 创角LTV37
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv37;

    /**
     * 创角LTV38
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv38;

    /**
     * 创角LTV39
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv39;

    /**
     * 创角LTV40
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv40;

    /**
     * 创角LTV41
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv41;

    /**
     * 创角LTV42
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv42;

    /**
     * 创角LTV43
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv43;

    /**
     * 创角LTV44
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv44;

    /**
     * 创角LTV45
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv45;

    /**
     * 创角LTV46
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv46;

    /**
     * 创角LTV47
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv47;

    /**
     * 创角LTV48
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv48;

    /**
     * 创角LTV49
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv49;

    /**
     * 创角LTV50
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv50;

    /**
     * 创角LTV51
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv51;

    /**
     * 创角LTV52
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv52;

    /**
     * 创角LTV53
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv53;

    /**
     * 创角LTV54
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv54;

    /**
     * 创角LTV55
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv55;

    /**
     * 创角LTV56
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv56;

    /**
     * 创角LTV57
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv57;

    /**
     * 创角LTV58
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv58;

    /**
     * 创角LTV59
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv59;

    /**
     * 创角LTV60
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv60;

    /**
     * 创角LTV61
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv61;

    /**
     * 创角LTV62
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv62;

    /**
     * 创角LTV63
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv63;

    /**
     * 创角LTV64
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv64;

    /**
     * 创角LTV65
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv65;

    /**
     * 创角LTV66
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv66;

    /**
     * 创角LTV67
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv67;

    /**
     * 创角LTV68
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv68;

    /**
     * 创角LTV69
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv69;

    /**
     * 创角LTV70
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv70;

    /**
     * 创角LTV71
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv71;

    /**
     * 创角LTV72
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv72;

    /**
     * 创角LTV73
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv73;

    /**
     * 创角LTV74
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv74;

    /**
     * 创角LTV75
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv75;

    /**
     * 创角LTV76
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv76;

    /**
     * 创角LTV77
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv77;

    /**
     * 创角LTV78
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv78;

    /**
     * 创角LTV79
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv79;

    /**
     * 创角LTV80
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv80;

    /**
     * 创角LTV81
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv81;

    /**
     * 创角LTV82
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv82;

    /**
     * 创角LTV83
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv83;

    /**
     * 创角LTV84
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv84;

    /**
     * 创角LTV85
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv85;

    /**
     * 创角LTV86
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv86;

    /**
     * 创角LTV87
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv87;

    /**
     * 创角LTV88
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv88;

    /**
     * 创角LTV89
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv89;

    /**
     * 创角LTV90
     */
    @ApiModelProperty(value = "创角LTV1-90")
    private BigDecimal roleLtv90;

    /**
     * 创角LTVm4
     */
    @ApiModelProperty(value = "创角LTVm4-m11")
    private BigDecimal roleLtvM4;

    /**
     * 创角LTVm5
     */
    @ApiModelProperty(value = "创角LTVm4-m11")
    private BigDecimal roleLtvM5;

    /**
     * 创角LTVm6
     */
    @ApiModelProperty(value = "创角LTVm4-m11")
    private BigDecimal roleLtvM6;

    /**
     * 创角LTVm7
     */
    @ApiModelProperty(value = "创角LTVm4-m11")
    private BigDecimal roleLtvM7;

    /**
     * 创角LTVm8
     */
    @ApiModelProperty(value = "创角LTVm4-m11")
    private BigDecimal roleLtvM8;

    /**
     * 创角LTVm9
     */
    @ApiModelProperty(value = "创角LTVm4-m11")
    private BigDecimal roleLtvM9;

    /**
     * 创角LTVm10
     */
    @ApiModelProperty(value = "创角LTVm4-m11")
    private BigDecimal roleLtvM10;

    /**
     * 创角LTVm11
     */
    @ApiModelProperty(value = "创角LTVm4-m11")
    private BigDecimal roleLtvM11;

    /**
     * 创角LTVy1
     */
    @ApiModelProperty(value = "创角LTVy1")
    private BigDecimal roleLtvY1;

    /**
     * 创角LTVtotal
     */
    @ApiModelProperty(value = "创角LTVtotal")
    private BigDecimal roleLtvTotal;

    /**
     * 游戏，消耗时间的第1天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da1;

    /**
     * 游戏，消耗时间的第2天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da2;

    /**
     * 游戏，消耗时间的第3天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da3;

    /**
     * 游戏，消耗时间的第4天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da4;

    /**
     * 游戏，消耗时间的第5天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da5;

    /**
     * 游戏，消耗时间的第6天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da6;

    /**
     * 游戏，消耗时间的第7天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da7;

    /**
     * 游戏，消耗时间的第8天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da8;

    /**
     * 游戏，消耗时间的第9天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da9;

    /**
     * 游戏，消耗时间的第10天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da10;

    /**
     * 游戏，消耗时间的第11天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da11;

    /**
     * 游戏，消耗时间的第12天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da12;

    /**
     * 游戏，消耗时间的第13天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da13;

    /**
     * 游戏，消耗时间的第14天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da14;

    /**
     * 游戏，消耗时间的第15天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da15;

    /**
     * 游戏，消耗时间的第16天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da16;

    /**
     * 游戏，消耗时间的第17天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da17;

    /**
     * 游戏，消耗时间的第18天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da18;

    /**
     * 游戏，消耗时间的第19天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da19;

    /**
     * 游戏，消耗时间的第20天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da20;

    /**
     * 游戏，消耗时间的第21天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da21;

    /**
     * 游戏，消耗时间的第22天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da22;

    /**
     * 游戏，消耗时间的第23天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da23;

    /**
     * 游戏，消耗时间的第24天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da24;

    /**
     * 游戏，消耗时间的第25天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da25;

    /**
     * 游戏，消耗时间的第26天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da26;

    /**
     * 游戏，消耗时间的第27天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da27;

    /**
     * 游戏，消耗时间的第28天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da28;

    /**
     * 游戏，消耗时间的第29天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da29;

    /**
     * 游戏，消耗时间的第30天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da30;

    /**
     * 游戏，消耗时间的第31天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da31;

    /**
     * 游戏，消耗时间的第32天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da32;

    /**
     * 游戏，消耗时间的第33天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da33;

    /**
     * 游戏，消耗时间的第34天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da34;

    /**
     * 游戏，消耗时间的第35天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da35;

    /**
     * 游戏，消耗时间的第36天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da36;

    /**
     * 游戏，消耗时间的第37天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da37;

    /**
     * 游戏，消耗时间的第38天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da38;

    /**
     * 游戏，消耗时间的第39天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da39;

    /**
     * 游戏，消耗时间的第40天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da40;

    /**
     * 游戏，消耗时间的第41天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da41;

    /**
     * 游戏，消耗时间的第42天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da42;

    /**
     * 游戏，消耗时间的第43天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da43;

    /**
     * 游戏，消耗时间的第44天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da44;

    /**
     * 游戏，消耗时间的第45天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da45;

    /**
     * 游戏，消耗时间的第46天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da46;

    /**
     * 游戏，消耗时间的第47天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da47;

    /**
     * 游戏，消耗时间的第48天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da48;

    /**
     * 游戏，消耗时间的第49天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da49;

    /**
     * 游戏，消耗时间的第50天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da50;

    /**
     * 游戏，消耗时间的第51天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da51;

    /**
     * 游戏，消耗时间的第52天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da52;

    /**
     * 游戏，消耗时间的第53天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da53;

    /**
     * 游戏，消耗时间的第54天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da54;

    /**
     * 游戏，消耗时间的第55天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da55;

    /**
     * 游戏，消耗时间的第56天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da56;

    /**
     * 游戏，消耗时间的第57天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da57;

    /**
     * 游戏，消耗时间的第58天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da58;

    /**
     * 游戏，消耗时间的第59天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da59;

    /**
     * 游戏，消耗时间的第60新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da60;

    /**
     * 游戏，消耗时间的第61天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da61;

    /**
     * 游戏，消耗时间的第62天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da62;

    /**
     * 游戏，消耗时间的第63天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da63;

    /**
     * 游戏，消耗时间的第64天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da64;

    /**
     * 游戏，消耗时间的第65天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da65;

    /**
     * 游戏，消耗时间的第66天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da66;

    /**
     * 游戏，消耗时间的第67天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da67;

    /**
     * 游戏，消耗时间的第68天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da68;

    /**
     * 游戏，消耗时间的第69天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da69;

    /**
     * 游戏，消耗时间的第70天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da70;

    /**
     * 游戏，消耗时间的第71天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da71;

    /**
     * 游戏，消耗时间的第72天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da72;

    /**
     * 游戏，消耗时间的第73天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da73;

    /**
     * 游戏，消耗时间的第74天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da74;

    /**
     * 游戏，消耗时间的第75天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da75;

    /**
     * 游戏，消耗时间的第76天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da76;

    /**
     * 游戏，消耗时间的第77天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da77;

    /**
     * 游戏，消耗时间的第78天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da78;

    /**
     * 游戏，消耗时间的第79天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da79;

    /**
     * 游戏，消耗时间的第80天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da80;

    /**
     * 游戏，消耗时间的第81天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da81;

    /**
     * 游戏，消耗时间的第82天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da82;

    /**
     * 游戏，消耗时间的第83天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da83;

    /**
     * 游戏，消耗时间的第84天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da84;

    /**
     * 游戏，消耗时间的第85天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da85;

    /**
     * 游戏，消耗时间的第86天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da86;

    /**
     * 游戏，消耗时间的第87天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da87;

    /**
     * 游戏，消耗时间的第88天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da88;

    /**
     * 游戏，消耗时间的第89天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da89;

    /**
     * 游戏，消耗时间的第90天新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1-90天新用户充值")
    private BigDecimal da90;

    /**
     * 游戏，消耗时间的第4月新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第4-11月新用户充值")
    private BigDecimal m4;

    /**
     * 游戏，消耗时间的第5月新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第4-11月新用户充值")
    private BigDecimal m5;

    /**
     * 游戏，消耗时间的第6月新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第4-11月新用户充值")
    private BigDecimal m6;

    /**
     * 游戏，消耗时间的第7月新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第4-11月新用户充值")
    private BigDecimal m7;

    /**
     * 游戏，消耗时间的第8月新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第4-11月新用户充值")
    private BigDecimal m8;

    /**
     * 游戏，消耗时间的第9月新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第4-11月新用户充值")
    private BigDecimal m9;

    /**
     * 游戏，消耗时间的第10月新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第4-11月新用户充值")
    private BigDecimal m10;

    /**
     * 游戏，消耗时间的第11月新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第4-11月新用户充值")
    private BigDecimal m11;

    /**
     * 游戏，消耗时间的第1年新用户充值
     */
    @ApiModelProperty(value = "游戏，消耗时间的第1年新用户充值")
    private BigDecimal y1;

    /**
     * 至今充值金额
     */
    @ApiModelProperty(value = "至今充值金额")
    private BigDecimal total;

    /**
     * 注册人数
     */
    @ApiModelProperty(value = "注册人数ltv")
    private Integer regUserCnt;

    /**
     * 创角人数
     */
    @ApiModelProperty(value = "创角人数ltv")
    private Integer firstRoleNumLtv;

}
