package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author tianhua
 * @time 2023/9/6
 * @Description 订单详情中的cp回调数据显示实体
 **/
@Data
public class OrderCPDetailVO {

    @ApiModelProperty(notes = "主键id")
    private Long id;

    @ApiModelProperty(notes = "订单号")
    private String orderId;

    @ApiModelProperty(notes = "CP订单号")
    private String cpOrderId;

    @ApiModelProperty(notes = "充值成功标志，1为待处理，2为成功，3为失败")
    private Integer status;

    @ApiModelProperty(notes = "充值回调标志，1为待处理，2为成功，3为失败")
    private Integer cpStatus;

    @ApiModelProperty(notes = "CP回调地址")
    private String cpPaybackUrl;

    @ApiModelProperty(notes = "CP回调参数")
    private String params;

    @ApiModelProperty(notes = "CP附加参数")
    private String ext;

    @ApiModelProperty(notes = "通知次数")
    private Integer notifyCnt;

    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

}
