package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/25
 * @Description 充值折线图实体对象
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class OverallSummaryAmountLineDataVO {

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    private LocalDate dt;

    /**
     * 充值
     */
    @ApiModelProperty(value = "充值")
    private BigDecimal amount;

    /**
     * 买量充值
     */
    @ApiModelProperty(value = "买量充值")
    private BigDecimal buyAmount;

    /**
     * 自然量充值
     */
    @ApiModelProperty(value = "自然量充值")
    private BigDecimal natureAmount;

    /**
     * 首日新用户充值
     */
    @ApiModelProperty(value = "首日新用户充值（前端不显示）")
    private BigDecimal todayFirstNewUserAmount;

    /**
     * 首日Roi
     */
    @ApiModelProperty(value = "首日Roi")
    private BigDecimal firstRoi;

}
