package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/8/15
 * @Description 投手游戏每日数据总计实体
 **/
@Data
public class PitcherGameDataDayTotalVO {

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 推广计划数量
     */
    @ApiModelProperty(value = "推广计划数量")
    private Long planCount;

    /**
     * 推广账号数量
     */
    @ApiModelProperty(value = "推广账号数量")
    private Long accountCount;

    /**
     * 推广渠道数量
     */
    @ApiModelProperty(value = "推广渠道数量")
    private Long agentCount;

    /**
     * 注册人数-通过广告首次登录小游戏的独立用户数
     */
    @ApiModelProperty(value = "注册人数-通过广告首次登录小游戏的独立用户数")
    private Long registerNum;

    /**
     * 新增付费次数
     */
    @ApiModelProperty(value = "新增付费次数")
    private Long firstNewUserAmountCount;

    /**
     * 新增付费人数
     */
    @ApiModelProperty(value = "新增付费人数")
    private Long firstNewUserAmountNum;

    /**
     * 新增付费金额
     */
    @ApiModelProperty(value = "新增付费金额")
    private BigDecimal firstNewUserAmount;

    /**
     * 账面充值次数
     */
    @ApiModelProperty(value = "账面充值次数")
    private Long amountCount;

    /**
     * 账面充值人数
     */
    @ApiModelProperty(value = "账面充值人数")
    private Long amountNum;

    /**
     * 账面充值金额
     */
    @ApiModelProperty(value = "账面充值金额")
    private BigDecimal amount;

    /**
     * 老用户充值次数(每日)
     */
    @ApiModelProperty(value = "老用户充值次数(每日)")
    private Long oldAmountCount;

    /**
     * 老用户充值人数(每日)
     */
    @ApiModelProperty(value = "老用户充值人数(每日)")
    private Long oldAmountNum;

    /**
     * 老用户充值金额(每日)
     */
    @ApiModelProperty(value = "老用户充值金额(每日)")
    private BigDecimal oldAmount;

    /**
     * 至今充值次数
     */
    @ApiModelProperty(value = "至今充值次数")
    private Long newUserTotalAmountCount;

    /**
     * 至今充值人数
     */
    @ApiModelProperty(value = "至今充值人数")
    private Long newUserTotalAmountNum;

    /**
     * 至今充值金额
     */
    @ApiModelProperty(value = "至今充值金额")
    private BigDecimal newUserTotalAmount;

    /**
     * 单日付费100+人数
     */
    @ApiModelProperty(value = "单日付费100+人数")
    private Long hundredUserNum;

    /**
     * 买量新用户累计充值金额
     */
    @ApiModelProperty(value = "买量新用户累计充值金额")
    private BigDecimal buyNewUserTotalAmount;

    /**
     * 买量新用户累计充值人数
     */
    @ApiModelProperty(value = "买量新用户累计充值人数")
    private Long buyNewUserTotalAmountNum;

    /**
     * 买量新用户累计充值次数
     */
    @ApiModelProperty(value = "买量新用户累计充值次数")
    private Long buyNewUserTotalAmountCount;

    /**
     * 复充人数
     */
    @ApiModelProperty(value = "复充人数")
    private Long regOrderUserAgain;

    /**
     * 首日创角人数
     */
    @ApiModelProperty(value = "首日创角人数")
    private Long firstRoleNum;

    /**
     * 新用户累计创角人数
     */
    @ApiModelProperty(value = "新用户累计创角人数")
    private Long newUserTotalRoleNum;

    /**
     * 创角人数
     */
    @ApiModelProperty(value = "创角人数")
    private Long roleNum;

    /**
     * 注册成本=实际消耗/注册人数
     */
    @ApiModelProperty(value = "注册成本=实际消耗/注册人数")
    private BigDecimal registerCost;

    /**
     * 首日回收率
     */
    @ApiModelProperty(value = "首日回收率")
    private BigDecimal firstRoi;

    /**
     * 买量回收率
     */
    @ApiModelProperty(value = "买量回收率")
    private BigDecimal buyRoi;

    /**
     * 当日回收率
     */
    @ApiModelProperty(value = "当日回收率")
    private BigDecimal todayRoi;

    /**
     * 毛利额，毛利=新用户-实际消耗
     */
    @ApiModelProperty(value = "毛利额，毛利=新用户-实际消耗")
    private BigDecimal grossProfit;

    /**
     * 首日付费率
     */
    @ApiModelProperty(value = "首日付费率")
    private BigDecimal firstRate;

    /**
     * 买量用户付费率
     */
    @ApiModelProperty(value = "买量用户付费率")
    private BigDecimal buyUserRate;

    /**
     * 当天付费率
     */
    @ApiModelProperty(value = "当天付费率")
    private BigDecimal todayRate;

    /**
     * 首日客单价
     */
    @ApiModelProperty(value = "首日客单价")
    private BigDecimal firstAvg;

    /**
     * 买量客单价
     */
    @ApiModelProperty(value = "买量客单价")
    private BigDecimal buyAvg;

    /**
     * 当天客单价
     */
    @ApiModelProperty(value = "当天客单价")
    private BigDecimal todayAvg;

    /**
     * 账面客单价
     */
    @ApiModelProperty(value = "账面客单价")
    private BigDecimal paperAvg;

    /**
     * 首日充值成本
     */
    @ApiModelProperty(value = "首日充值成本")
    private BigDecimal firstAmountCost;

    /**
     * 买量充值成本
     */
    @ApiModelProperty(value = "买量充值成本")
    private BigDecimal buyAmountCost;

    /**
     * 当天充值成本
     */
    @ApiModelProperty(value = "当天充值成本")
    private BigDecimal todayAmountCost;

    /**
     * 当天复充率
     */
    @ApiModelProperty(value = "当天复充率")
    private BigDecimal todayAgainRate;

    /**
     * 新增注册ARPU
     */
    @ApiModelProperty(value = "新增注册ARPU")
    private BigDecimal newRegArpu;

    /**
     * 首日付费ARPU
     */
    @ApiModelProperty(value = "首日付费ARPU")
    private BigDecimal firstArpu;

    /**
     * 当天付费ARPU
     */
    @ApiModelProperty(value = "当天付费ARPU")
    private BigDecimal todayArpu;

    /**
     * 账面arpu
     */
    @ApiModelProperty(value = "账面arpu")
    private BigDecimal paperArpu;

    /**
     * 单日付费100+成本
     */
    @ApiModelProperty(value = "单日付费100+成本")
    private BigDecimal hundredUserNumCost;

    /**
     * 1日roi
     */
    @ApiModelProperty(value = "1日roi")
    private BigDecimal roi1;

    /**
     * 2日roi
     */
    @ApiModelProperty(value = "2日roi")
    private BigDecimal roi2;

    /**
     * 3日roi
     */
    @ApiModelProperty(value = "3日roi")
    private BigDecimal roi3;

    /**
     * 4日roi
     */
    @ApiModelProperty(value = "4日roi")
    private BigDecimal roi4;

    /**
     * 5日roi
     */
    @ApiModelProperty(value = "5日roi")
    private BigDecimal roi5;

    /**
     * 6日roi
     */
    @ApiModelProperty(value = "6日roi")
    private BigDecimal roi6;

    /**
     * 7日roi
     */
    @ApiModelProperty(value = "7日roi")
    private BigDecimal roi7;

    /**
     * 8日roi
     */
    @ApiModelProperty(value = "8日roi")
    private BigDecimal roi8;

    /**
     * 9日roi
     */
    @ApiModelProperty(value = "9日roi")
    private BigDecimal roi9;

    /**
     * 10日roi
     */
    @ApiModelProperty(value = "10日roi")
    private BigDecimal roi10;

    /**
     * 11日roi
     */
    @ApiModelProperty(value = "11日roi")
    private BigDecimal roi11;

    /**
     * 12日roi
     */
    @ApiModelProperty(value = "12日roi")
    private BigDecimal roi12;

    /**
     * 13日roi
     */
    @ApiModelProperty(value = "13日roi")
    private BigDecimal roi13;

    /**
     * 14日roi
     */
    @ApiModelProperty(value = "14日roi")
    private BigDecimal roi14;

    /**
     * 15日roi
     */
    @ApiModelProperty(value = "15日roi")
    private BigDecimal roi15;

    /**
     * 16日roi
     */
    @ApiModelProperty(value = "16日roi")
    private BigDecimal roi16;

    /**
     * 17日roi
     */
    @ApiModelProperty(value = "17日roi")
    private BigDecimal roi17;

    /**
     * 18日roi
     */
    @ApiModelProperty(value = "18日roi")
    private BigDecimal roi18;

    /**
     * 19日roi
     */
    @ApiModelProperty(value = "19日roi")
    private BigDecimal roi19;

    /**
     * 20日roi
     */
    @ApiModelProperty(value = "20日roi")
    private BigDecimal roi20;

    /**
     * 21日roi
     */
    @ApiModelProperty(value = "21日roi")
    private BigDecimal roi21;

    /**
     * 22日roi
     */
    @ApiModelProperty(value = "22日roi")
    private BigDecimal roi22;

    /**
     * 23日roi
     */
    @ApiModelProperty(value = "23日roi")
    private BigDecimal roi23;

    /**
     * 24日roi
     */
    @ApiModelProperty(value = "24日roi")
    private BigDecimal roi24;

    /**
     * 25日roi
     */
    @ApiModelProperty(value = "25日roi")
    private BigDecimal roi25;

    /**
     * 26日roi
     */
    @ApiModelProperty(value = "26日roi")
    private BigDecimal roi26;

    /**
     * 27日roi
     */
    @ApiModelProperty(value = "27日roi")
    private BigDecimal roi27;

    /**
     * 28日roi
     */
    @ApiModelProperty(value = "28日roi")
    private BigDecimal roi28;

    /**
     * 29日roi
     */
    @ApiModelProperty(value = "29日roi")
    private BigDecimal roi29;

    /**
     * 30日roi
     */
    @ApiModelProperty(value = "30日roi")
    private BigDecimal roi30;

    /**
     * 60日ROI
     */
    @ApiModelProperty(value = "60日ROI")
    private BigDecimal roi60;

    /**
     * 90日ROI
     */
    @ApiModelProperty(value = "90日ROI")
    private BigDecimal roi90;

    /**
     * 180日ROI
     */
    @ApiModelProperty(value = "180日ROI")
    private BigDecimal roi180;

    /**
     * 1年ROI
     */
    @ApiModelProperty(value = "1年ROI")
    private BigDecimal roi1yaer;

    /**
     * 总ROI
     */
    @ApiModelProperty(value = "总ROI")
    private BigDecimal roiTotal;

    /**
     * 付费趋势第1日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第1日总：金额/人数/增/回/倍")
    private String amountD1;

    /**
     * 付费趋势第2日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第2日总：金额/人数/增/回/倍")
    private String amountD2;

    /**
     * 付费趋势第3日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第3日总：金额/人数/增/回/倍")
    private String amountD3;

    /**
     * 付费趋势第4日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第4日总：金额/人数/增/回/倍")
    private String amountD4;

    /**
     * 付费趋势第5日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第5日总：金额/人数/增/回/倍")
    private String amountD5;

    /**
     * 付费趋势第6日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第6日总：金额/人数/增/回/倍")
    private String amountD6;

    /**
     * 付费趋势第7日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第7日总：金额/人数/增/回/倍")
    private String amountD7;

    /**
     * 付费趋势第8日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第8日总：金额/人数/增/回/倍")
    private String amountD8;

    /**
     * 付费趋势第9日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第9日总：金额/人数/增/回/倍")
    private String amountD9;

    /**
     * 付费趋势第10日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第10日总：金额/人数/增/回/倍")
    private String amountD10;

    /**
     * 付费趋势第11日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第11日总：金额/人数/增/回/倍")
    private String amountD11;

    /**
     * 付费趋势第12日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第12日总：金额/人数/增/回/倍")
    private String amountD12;

    /**
     * 付费趋势第13日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第13日总：金额/人数/增/回/倍")
    private String amountD13;

    /**
     * 付费趋势第14日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第14日总：金额/人数/增/回/倍")
    private String amountD14;

    /**
     * 付费趋势第15日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第15日总：金额/人数/增/回/倍")
    private String amountD15;

    /**
     * 付费趋势第16日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第16日总：金额/人数/增/回/倍")
    private String amountD16;

    /**
     * 付费趋势第17日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第17日总：金额/人数/增/回/倍")
    private String amountD17;

    /**
     * 付费趋势第18日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第18日总：金额/人数/增/回/倍")
    private String amountD18;

    /**
     * 付费趋势第19日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第19日总：金额/人数/增/回/倍")
    private String amountD19;

    /**
     * 付费趋势第20日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第20日总：金额/人数/增/回/倍")
    private String amountD20;

    /**
     * 付费趋势第21日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第21日总：金额/人数/增/回/倍")
    private String amountD21;

    /**
     * 付费趋势第22日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第22日总：金额/人数/增/回/倍")
    private String amountD22;

    /**
     * 付费趋势第23日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第23日总：金额/人数/增/回/倍")
    private String amountD23;

    /**
     * 付费趋势第24日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第24日总：金额/人数/增/回/倍")
    private String amountD24;

    /**
     * 付费趋势第25日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第25日总：金额/人数/增/回/倍")
    private String amountD25;

    /**
     * 付费趋势第26日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第26日总：金额/人数/增/回/倍")
    private String amountD26;

    /**
     * 付费趋势第27日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第27日总：金额/人数/增/回/倍")
    private String amountD27;

    /**
     * 付费趋势第28日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第28日总：金额/人数/增/回/倍")
    private String amountD28;

    /**
     * 付费趋势第29日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第29日总：金额/人数/增/回/倍")
    private String amountD29;

    /**
     * 付费趋势第30日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第30日总：金额/人数/增/回/倍")
    private String amountD30;

    /**
     * 付费趋势第31日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第31日总：金额/人数/增/回/倍")
    private String amountD31;

    /**
     * 付费趋势第32日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第32日总：金额/人数/增/回/倍")
    private String amountD32;

    /**
     * 付费趋势第33日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第33日总：金额/人数/增/回/倍")
    private String amountD33;

    /**
     * 付费趋势第34日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第34日总：金额/人数/增/回/倍")
    private String amountD34;

    /**
     * 付费趋势第35日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第35日总：金额/人数/增/回/倍")
    private String amountD35;

    /**
     * 付费趋势第36日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第36日总：金额/人数/增/回/倍")
    private String amountD36;

    /**
     * 付费趋势第37日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第37日总：金额/人数/增/回/倍")
    private String amountD37;

    /**
     * 付费趋势第38日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第38日总：金额/人数/增/回/倍")
    private String amountD38;

    /**
     * 付费趋势第39日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第39日总：金额/人数/增/回/倍")
    private String amountD39;

    /**
     * 付费趋势第40日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第40日总：金额/人数/增/回/倍")
    private String amountD40;

    /**
     * 付费趋势第41日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第41日总：金额/人数/增/回/倍")
    private String amountD41;

    /**
     * 付费趋势第42日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第42日总：金额/人数/增/回/倍")
    private String amountD42;

    /**
     * 付费趋势第43日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第43日总：金额/人数/增/回/倍")
    private String amountD43;

    /**
     * 付费趋势第44日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第44日总：金额/人数/增/回/倍")
    private String amountD44;

    /**
     * 付费趋势第45日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第45日总：金额/人数/增/回/倍")
    private String amountD45;

    /**
     * 付费趋势第46日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第46日总：金额/人数/增/回/倍")
    private String amountD46;

    /**
     * 付费趋势第47日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第47日总：金额/人数/增/回/倍")
    private String amountD47;

    /**
     * 付费趋势第48日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第48日总：金额/人数/增/回/倍")
    private String amountD48;

    /**
     * 付费趋势第49日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第49日总：金额/人数/增/回/倍")
    private String amountD49;

    /**
     * 付费趋势第50日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第50日总：金额/人数/增/回/倍")
    private String amountD50;

    /**
     * 付费趋势第51日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第51日总：金额/人数/增/回/倍")
    private String amountD51;

    /**
     * 付费趋势第52日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第52日总：金额/人数/增/回/倍")
    private String amountD52;

    /**
     * 付费趋势第53日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第53日总：金额/人数/增/回/倍")
    private String amountD53;

    /**
     * 付费趋势第54日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第54日总：金额/人数/增/回/倍")
    private String amountD54;

    /**
     * 付费趋势第55日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第55日总：金额/人数/增/回/倍")
    private String amountD55;

    /**
     * 付费趋势第56日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第56日总：金额/人数/增/回/倍")
    private String amountD56;

    /**
     * 付费趋势第57日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第57日总：金额/人数/增/回/倍")
    private String amountD57;

    /**
     * 付费趋势第58日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第58日总：金额/人数/增/回/倍")
    private String amountD58;

    /**
     * 付费趋势第59日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第59日总：金额/人数/增/回/倍")
    private String amountD59;

    /**
     * 付费趋势第60日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第60日总：金额/人数/增/回/倍")
    private String amountD60;

    /**
     * 付费趋势第61日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第61日总：金额/人数/增/回/倍")
    private String amountD61;

    /**
     * 付费趋势第62日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第62日总：金额/人数/增/回/倍")
    private String amountD62;

    /**
     * 付费趋势第63日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第63日总：金额/人数/增/回/倍")
    private String amountD63;

    /**
     * 付费趋势第64日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第64日总：金额/人数/增/回/倍")
    private String amountD64;

    /**
     * 付费趋势第65日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第65日总：金额/人数/增/回/倍")
    private String amountD65;

    /**
     * 付费趋势第66日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第66日总：金额/人数/增/回/倍")
    private String amountD66;

    /**
     * 付费趋势第67日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第67日总：金额/人数/增/回/倍")
    private String amountD67;

    /**
     * 付费趋势第68日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第68日总：金额/人数/增/回/倍")
    private String amountD68;

    /**
     * 付费趋势第69日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第69日总：金额/人数/增/回/倍")
    private String amountD69;

    /**
     * 付费趋势第70日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第70日总：金额/人数/增/回/倍")
    private String amountD70;

    /**
     * 付费趋势第71日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第71日总：金额/人数/增/回/倍")
    private String amountD71;

    /**
     * 付费趋势第72日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第72日总：金额/人数/增/回/倍")
    private String amountD72;

    /**
     * 付费趋势第73日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第73日总：金额/人数/增/回/倍")
    private String amountD73;

    /**
     * 付费趋势第74日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第74日总：金额/人数/增/回/倍")
    private String amountD74;

    /**
     * 付费趋势第75日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第75日总：金额/人数/增/回/倍")
    private String amountD75;

    /**
     * 付费趋势第76日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第76日总：金额/人数/增/回/倍")
    private String amountD76;

    /**
     * 付费趋势第77日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第77日总：金额/人数/增/回/倍")
    private String amountD77;

    /**
     * 付费趋势第78日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第78日总：金额/人数/增/回/倍")
    private String amountD78;

    /**
     * 付费趋势第79日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第79日总：金额/人数/增/回/倍")
    private String amountD79;

    /**
     * 付费趋势第80日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第80日总：金额/人数/增/回/倍")
    private String amountD80;

    /**
     * 付费趋势第81日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第81日总：金额/人数/增/回/倍")
    private String amountD81;

    /**
     * 付费趋势第82日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第82日总：金额/人数/增/回/倍")
    private String amountD82;

    /**
     * 付费趋势第83日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第83日总：金额/人数/增/回/倍")
    private String amountD83;

    /**
     * 付费趋势第84日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第84日总：金额/人数/增/回/倍")
    private String amountD84;

    /**
     * 付费趋势第85日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第85日总：金额/人数/增/回/倍")
    private String amountD85;

    /**
     * 付费趋势第86日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第86日总：金额/人数/增/回/倍")
    private String amountD86;

    /**
     * 付费趋势第87日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第87日总：金额/人数/增/回/倍")
    private String amountD87;

    /**
     * 付费趋势第88日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第88日总：金额/人数/增/回/倍")
    private String amountD88;

    /**
     * 付费趋势第89日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第89日总：金额/人数/增/回/倍")
    private String amountD89;

    /**
     * 付费趋势第90日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第90日总：金额/人数/增/回/倍")
    private String amountD90;

    @ApiModelProperty(value = "付费趋势4月总：金额/人数/增/回/倍")
    private String amountM4;
    @ApiModelProperty(value = "付费趋势5月总：金额/人数/增/回/倍")
    private String amountM5;
    @ApiModelProperty(value = "付费趋势6月总：金额/人数/增/回/倍")
    private String amountM6;
    @ApiModelProperty(value = "付费趋势7月总：金额/人数/增/回/倍")
    private String amountM7;
    @ApiModelProperty(value = "付费趋势8月总：金额/人数/增/回/倍")
    private String amountM8;
    @ApiModelProperty(value = "付费趋势9月总：金额/人数/增/回/倍")
    private String amountM9;
    @ApiModelProperty(value = "付费趋势10月总：金额/人数/增/回/倍")
    private String amountM10;
    @ApiModelProperty(value = "付费趋势11月总：金额/人数/增/回/倍")
    private String amountM11;
    @ApiModelProperty(value = "付费趋势12月总：金额/人数/增/回/倍")
    private String amountM12;

    /**
     * 付费趋势总：增/回/倍
     */
    @ApiModelProperty(value = "付费趋势总：增/回/倍")
    private String amountSum;

    /**
     * 投手游戏第1天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第1天新用户充值")
    private BigDecimal da1;

    /**
     * 投手游戏第2天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第2天新用户充值")
    private BigDecimal da2;

    /**
     * 投手游戏第3天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第3天新用户充值")
    private BigDecimal da3;

    /**
     * 投手游戏第4天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第4天新用户充值")
    private BigDecimal da4;

    /**
     * 投手游戏第5天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第5天新用户充值")
    private BigDecimal da5;

    /**
     * 投手游戏第6天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第6天新用户充值")
    private BigDecimal da6;

    /**
     * 投手游戏第7天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第7天新用户充值")
    private BigDecimal da7;

    /**
     * 投手游戏第8天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第8天新用户充值")
    private BigDecimal da8;

    /**
     * 投手游戏第9天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第9天新用户充值")
    private BigDecimal da9;

    /**
     * 投手游戏第10天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第10天新用户充值")
    private BigDecimal da10;

    /**
     * 投手游戏第11天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第11天新用户充值")
    private BigDecimal da11;

    /**
     * 投手游戏第12天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第12天新用户充值")
    private BigDecimal da12;

    /**
     * 投手游戏第13天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第13天新用户充值")
    private BigDecimal da13;

    /**
     * 投手游戏第14天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第14天新用户充值")
    private BigDecimal da14;

    /**
     * 投手游戏第15天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第15天新用户充值")
    private BigDecimal da15;

    /**
     * 投手游戏第16天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第16天新用户充值")
    private BigDecimal da16;

    /**
     * 投手游戏第17天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第17天新用户充值")
    private BigDecimal da17;

    /**
     * 投手游戏第18天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第18天新用户充值")
    private BigDecimal da18;

    /**
     * 投手游戏第19天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第19天新用户充值")
    private BigDecimal da19;

    /**
     * 投手游戏第20天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第20天新用户充值")
    private BigDecimal da20;

    /**
     * 投手游戏第21天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第21天新用户充值")
    private BigDecimal da21;

    /**
     * 投手游戏第22天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第22天新用户充值")
    private BigDecimal da22;

    /**
     * 投手游戏第23天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第23天新用户充值")
    private BigDecimal da23;

    /**
     * 投手游戏第24天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第24天新用户充值")
    private BigDecimal da24;

    /**
     * 投手游戏第25天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第25天新用户充值")
    private BigDecimal da25;

    /**
     * 投手游戏第26天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第26天新用户充值")
    private BigDecimal da26;

    /**
     * 投手游戏第27天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第27天新用户充值")
    private BigDecimal da27;

    /**
     * 投手游戏第28天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第28天新用户充值")
    private BigDecimal da28;

    /**
     * 投手游戏第29天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第29天新用户充值")
    private BigDecimal da29;

    /**
     * 投手游戏第30天新用户充值
     */
    @ApiModelProperty(value = "投手游戏第30天新用户充值")
    private BigDecimal da30;

    /**
     * 投手游戏第2月新用户充值
     */
    @ApiModelProperty(value = "投手游戏第2月新用户充值")
    private BigDecimal m2;

    /**
     * 投手游戏第3月新用户充值
     */
    @ApiModelProperty(value = "投手游戏第3月新用户充值")
    private BigDecimal m3;

    /**
     * 投手游戏第6月新用户充值
     */
    @ApiModelProperty(value = "投手游戏第6月新用户充值")
    private BigDecimal m6;

    /**
     * 投手游戏第1年新用户充值
     */
    @ApiModelProperty(value = "投手游戏第1年新用户充值")
    private BigDecimal y1;

    /**
     * 至今充值金额
     */
    @ApiModelProperty(value = "至今充值金额")
    private BigDecimal total;

    /**
     * 投手游戏第1天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第1天新用户人数")
    private Long da1Num;

    /**
     * 投手游戏第2天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第2天新用户人数")
    private Long da2Num;

    /**
     * 投手游戏第3天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第3天新用户人数")
    private Long da3Num;

    /**
     * 投手游戏第4天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第4天新用户人数")
    private Long da4Num;

    /**
     * 投手游戏第5天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第5天新用户人数")
    private Long da5Num;

    /**
     * 投手游戏第6天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第6天新用户人数")
    private Long da6Num;

    /**
     * 投手游戏第7天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第7天新用户人数")
    private Long da7Num;

    /**
     * 投手游戏第8天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第8天新用户人数")
    private Long da8Num;

    /**
     * 投手游戏第9天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第9天新用户人数")
    private Long da9Num;

    /**
     * 投手游戏第10天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第10天新用户人数")
    private Long da10Num;

    /**
     * 投手游戏第11天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第11天新用户人数")
    private Long da11Num;

    /**
     * 投手游戏第12天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第12天新用户人数")
    private Long da12Num;

    /**
     * 投手游戏第13天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第13天新用户人数")
    private Long da13Num;

    /**
     * 投手游戏第14天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第14天新用户人数")
    private Long da14Num;

    /**
     * 投手游戏第15天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第15天新用户人数")
    private Long da15Num;

    /**
     * 投手游戏第16天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第16天新用户人数")
    private Long da16Num;

    /**
     * 投手游戏第17天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第17天新用户人数")
    private Long da17Num;

    /**
     * 投手游戏第18天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第18天新用户人数")
    private Long da18Num;

    /**
     * 投手游戏第19天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第19天新用户人数")
    private Long da19Num;

    /**
     * 投手游戏第20天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第20天新用户人数")
    private Long da20Num;

    /**
     * 投手游戏第21天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第21天新用户人数")
    private Long da21Num;

    /**
     * 投手游戏第22天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第22天新用户人数")
    private Long da22Num;

    /**
     * 投手游戏第23天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第23天新用户人数")
    private Long da23Num;

    /**
     * 投手游戏第24天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第24天新用户人数")
    private Long da24Num;

    /**
     * 投手游戏第25天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第25天新用户人数")
    private Long da25Num;

    /**
     * 投手游戏第26天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第26天新用户人数")
    private Long da26Num;

    /**
     * 投手游戏第27天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第27天新用户人数")
    private Long da27Num;

    /**
     * 投手游戏第28天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第28天新用户人数")
    private Long da28Num;

    /**
     * 投手游戏第29天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第29天新用户人数")
    private Long da29Num;

    /**
     * 投手游戏第30天新用户人数
     */
    @ApiModelProperty(value = "投手游戏第30天新用户人数")
    private Long da30Num;

    /**
     * 投手游戏第2月新用户人数
     */
    @ApiModelProperty(value = "投手游戏第2月新用户人数")
    private Long m2Num;

    /**
     * 投手游戏第3月新用户人数
     */
    @ApiModelProperty(value = "投手游戏第3月新用户人数")
    private Long m3Num;

    /**
     * 投手游戏第6月新用户人数
     */
    @ApiModelProperty(value = "投手游戏第6月新用户人数")
    private Long m6Num;

    /**
     * 投手游戏第1年新用户人数
     */
    @ApiModelProperty(value = "投手游戏第1年新用户人数")
    private Long y1Num;

    /**
     * 至今充值人数
     */
    @ApiModelProperty(value = "至今充值人数")
    private Long totalNum;

    /**
     * 首日创角成本
     */
    @ApiModelProperty(value = "首日创角成本")
    private BigDecimal firstRoleCost;

    /**
     * 新用户累计创角成本
     */
    @ApiModelProperty(value = "新用户累计创角成本")
    private BigDecimal newUserTotalRoleCost;

    /**
     * 创角成本
     */
    @ApiModelProperty(value = "创角成本")
    private BigDecimal roleNumCost;

    /**
     * 首日创角率
     */
    @ApiModelProperty(value = "首日创角率")
    private BigDecimal firstRoleRate;

    /**
     * 新用户累计创角率
     */
    @ApiModelProperty(value = "新用户累计创角率")
    private BigDecimal newUserTotalRoleRate;

    /**
     * 创角率
     */
    @ApiModelProperty(value = "创角率")
    private BigDecimal roleNumRate;

    /**
     * 新用户付费比
     */
    @ApiModelProperty(value = "新用户付费比")
    private BigDecimal newUserAmountRatio;

    /**
     * 付费趋势第1日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第1日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD1Trend;

    /**
     * 付费趋势第2日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第2日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD2Trend;

    /**
     * 付费趋势第3日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第3日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD3Trend;

    /**
     * 付费趋势第4日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第4日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD4Trend;

    /**
     * 付费趋势第5日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第5日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD5Trend;

    /**
     * 付费趋势第6日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第6日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD6Trend;

    /**
     * 付费趋势第7日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第7日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD7Trend;

    /**
     * 付费趋势第8日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第8日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD8Trend;

    /**
     * 付费趋势第9日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第9日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD9Trend;

    /**
     * 付费趋势第10日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第10日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD10Trend;

    /**
     * 付费趋势第11日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第11日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD11Trend;

    /**
     * 付费趋势第12日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第12日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD12Trend;

    /**
     * 付费趋势第13日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第13日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD13Trend;

    /**
     * 付费趋势第14日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第14日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD14Trend;

    /**
     * 付费趋势第15日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第15日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD15Trend;

    /**
     * 付费趋势第16日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第16日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD16Trend;

    /**
     * 付费趋势第17日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第17日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD17Trend;

    /**
     * 付费趋势第18日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第18日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD18Trend;

    /**
     * 付费趋势第19日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第19日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD19Trend;

    /**
     * 付费趋势第20日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第20日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD20Trend;

    /**
     * 付费趋势第21日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第21日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD21Trend;

    /**
     * 付费趋势第22日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第22日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD22Trend;

    /**
     * 付费趋势第23日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第23日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD23Trend;

    /**
     * 付费趋势第24日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第24日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD24Trend;

    /**
     * 付费趋势第25日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第25日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD25Trend;

    /**
     * 付费趋势第26日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第26日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD26Trend;

    /**
     * 付费趋势第27日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第27日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD27Trend;

    /**
     * 付费趋势第28日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第28日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD28Trend;

    /**
     * 付费趋势第29日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第29日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD29Trend;

    /**
     * 付费趋势第30日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第30日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD30Trend;

    /**
     * 付费趋势第31日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第31日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD31Trend;

    /**
     * 付费趋势第32日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第32日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD32Trend;

    /**
     * 付费趋势第33日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第33日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD33Trend;

    /**
     * 付费趋势第34日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第34日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD34Trend;

    /**
     * 付费趋势第35日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第35日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD35Trend;

    /**
     * 付费趋势第36日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第36日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD36Trend;

    /**
     * 付费趋势第37日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第37日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD37Trend;

    /**
     * 付费趋势第38日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第38日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD38Trend;

    /**
     * 付费趋势第39日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第39日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD39Trend;

    /**
     * 付费趋势第40日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第40日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD40Trend;

    /**
     * 付费趋势第41日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第41日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD41Trend;

    /**
     * 付费趋势第42日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第42日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD42Trend;

    /**
     * 付费趋势第43日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第43日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD43Trend;

    /**
     * 付费趋势第44日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第44日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD44Trend;

    /**
     * 付费趋势第45日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第45日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD45Trend;

    /**
     * 付费趋势第46日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第46日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD46Trend;

    /**
     * 付费趋势第47日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第47日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD47Trend;

    /**
     * 付费趋势第48日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第48日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD48Trend;

    /**
     * 付费趋势第49日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第49日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD49Trend;

    /**
     * 付费趋势第50日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第50日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD50Trend;

    /**
     * 付费趋势第51日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第51日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD51Trend;

    /**
     * 付费趋势第52日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第52日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD52Trend;

    /**
     * 付费趋势第53日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第53日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD53Trend;

    /**
     * 付费趋势第54日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第54日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD54Trend;

    /**
     * 付费趋势第55日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第55日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD55Trend;

    /**
     * 付费趋势第56日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第56日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD56Trend;

    /**
     * 付费趋势第57日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第57日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD57Trend;

    /**
     * 付费趋势第58日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第58日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD58Trend;

    /**
     * 付费趋势第59日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第59日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD59Trend;

    /**
     * 付费趋势第60日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第60日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD60Trend;

    /**
     * 付费趋势第61日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第61日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD61Trend;

    /**
     * 付费趋势第62日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第62日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD62Trend;

    /**
     * 付费趋势第63日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第63日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD63Trend;

    /**
     * 付费趋势第64日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第64日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD64Trend;

    /**
     * 付费趋势第65日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第65日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD65Trend;

    /**
     * 付费趋势第66日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第66日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD66Trend;

    /**
     * 付费趋势第67日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第67日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD67Trend;

    /**
     * 付费趋势第68日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第68日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD68Trend;

    /**
     * 付费趋势第69日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第69日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD69Trend;

    /**
     * 付费趋势第70日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第70日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD70Trend;

    /**
     * 付费趋势第71日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第71日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD71Trend;

    /**
     * 付费趋势第72日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第72日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD72Trend;

    /**
     * 付费趋势第73日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第73日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD73Trend;

    /**
     * 付费趋势第74日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第74日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD74Trend;

    /**
     * 付费趋势第75日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第75日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD75Trend;

    /**
     * 付费趋势第76日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第76日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD76Trend;

    /**
     * 付费趋势第77日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第77日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD77Trend;

    /**
     * 付费趋势第78日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第78日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD78Trend;

    /**
     * 付费趋势第79日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第79日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD79Trend;

    /**
     * 付费趋势第80日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第80日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD80Trend;

    /**
     * 付费趋势第81日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第81日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD81Trend;

    /**
     * 付费趋势第82日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第82日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD82Trend;

    /**
     * 付费趋势第83日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第83日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD83Trend;

    /**
     * 付费趋势第84日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第84日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD84Trend;

    /**
     * 付费趋势第85日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第85日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD85Trend;

    /**
     * 付费趋势第86日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第86日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD86Trend;

    /**
     * 付费趋势第87日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第87日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD87Trend;

    /**
     * 付费趋势第88日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第88日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD88Trend;

    /**
     * 付费趋势第89日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第89日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD89Trend;

    /**
     * 付费趋势第90日总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第90日总：金额/人数/增/回/倍")
    private RechargeTrendVO amountD90Trend;

    /**
     * 付费趋势第4月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第4月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM4Trend;

    /**
     * 付费趋势第5月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第5月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM5Trend;

    /**
     * 付费趋势第6月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第6月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM6Trend;

    /**
     * 付费趋势第7月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第7月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM7Trend;

    /**
     * 付费趋势第8月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第8月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM8Trend;

    /**
     * 付费趋势第9月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第9月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM9Trend;

    /**
     * 付费趋势第10月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第10月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM10Trend;

    /**
     * 付费趋势第11月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第11月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM11Trend;

    /**
     * 付费趋势第12月总：金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "付费趋势第12月总：金额/人数/增/回/倍")
    private RechargeTrendVO amountM12Trend;

    /**
     * 付费趋势总：增/回/倍
     */
    @ApiModelProperty(value = "付费趋势总：增/回/倍")
    private RechargeTrendVO amountSumTrend;

}
