package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author tianhua
 * @time 2023/9/6
 * @Description 返给前端的玩家列表实体（玩家列表、玩家列表总计使用）
 **/
@Data
public class PlayerDataVO {

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private Long id;

    /**
     * 玩家账号
     */
    @ApiModelProperty(notes = "玩家账号")
    private String username;

    /**
     * 玩家昵称
     */
    @ApiModelProperty(notes = "玩家昵称")
    private String nickname;

    /**
     * 注册IP
     */
    @ApiModelProperty(notes = "注册IP")
    private String regIp;

    /**
     * 注册时间
     */
    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime createTime;

    /**
     * 渠道id
     */
    @ApiModelProperty(notes = "渠道id")
    private Long agentId;

    /**
     * 渠道名称
     */
    @ApiModelProperty(notes = "渠道名称")
    private String agentName;

    /**
     * cpId
     */
    @ApiModelProperty(notes = "cpId")
    private Long cpId;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏应用类型id
     */
    @ApiModelProperty(notes = "游戏应用类型id")
    private Long gameCategoryId;

    /**
     * 游戏应用类型名称
     */
    @ApiModelProperty(notes = "游戏应用类型名称")
    private String gameCategoryName;

    /**
     * 归因投放人员id
     */
    @ApiModelProperty(notes = "归因投放人员id")
    private Long pitcherId;

    /**
     * 归因投放人员名字
     */
    @ApiModelProperty(notes = "归因投放人员名字")
    private String pitcherName;

    /**
     * 归因推广账号id
     */
    @ApiModelProperty(notes = "归因推广账号id")
    private Long accountId;

    /**
     * 归因推广账号类型（1：腾讯、2：头条）
     */
    @ApiModelProperty(notes = "归因推广账号类型")
    private String accountType;

    /**
     * 绑定手机号码
     */
    @ApiModelProperty(notes = "绑定手机号码")
    private String mobile;

    /**
     * 充值金额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 充值次数
     */
    @ApiModelProperty(notes = "充值次数")
    private Integer rechargeCount;

    /**
     * 创角色数
     */
    @ApiModelProperty(notes = "创角色数")
    private Integer roleCount;

    /**
     * 最近登录时间
     */
    @ApiModelProperty(notes = "最近登录时间")
    private LocalDateTime updateTime;

    /**
     * 最近充值时间
     */
    @ApiModelProperty(notes = "最近充值时间")
    private LocalDateTime lastRechargeTime;

    /**
     * 玩家状态:1 为试玩状态 2为正常状态，3为冻结状态
     */
    @ApiModelProperty(notes = "玩家状态:1 为试玩状态 2为正常状态，3为冻结状态")
    private String status;

    /**
     * 最新游戏角色名称
     */
    @ApiModelProperty(notes = "最新游戏角色名称")
    private String lastGameRoleName;

    /**
     * 注册充值时间差
     */
    @ApiModelProperty(notes = "注册充值时间差")
    private Long regPayTimeDiff;

    /**
     * 关联游戏id
     */
    @ApiModelProperty(notes = "关联游戏id")
    private Long relationGameId;

    /**
     * 关联游戏名称
     */
    @ApiModelProperty(notes = "关联游戏名称")
    private String relationGameName;

    /**
     * 关联用户id
     */
    @ApiModelProperty(notes = "关联用户id")
    private Long relationUserId;

    /**
     * 关联建立时间
     */
    @ApiModelProperty(notes = "关联建立时间")
    private LocalDateTime relationCreateTime;

    /**
     * 玩家最新染色时间
     */
    @ApiModelProperty(notes = "玩家最新染色时间")
    private LocalDateTime userLastRegTime;

    /**
     * 玩家最新染色渠道ID
     */
    @ApiModelProperty(notes = "玩家最新染色渠道ID")
    private Long userLastRegAgentId;

    /**
     * 玩家最新染色渠道名字
     */
    @ApiModelProperty(notes = "玩家最新染色渠道名字")
    private String userLastAgentName;

    /**
     * 玩家最新染色归因投手
     */
    @ApiModelProperty(notes = "玩家最新染色归因投手")
    private String userLastPitcherName;

}
