package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author tianhua
 * @time 2023/9/6
 * @Description 返给前端的玩家角色列表实体（玩家角色列表、玩家角色列表总计使用）
 **/
@Data
public class PlayerRoleDataVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    /**
     * 玩家账号
     */
    @ApiModelProperty(notes = "玩家账号")
    private String username;

    /**
     * 玩家昵称
     */
    @ApiModelProperty(notes = "玩家昵称")
    private String nickname;

    /**
     * 注册IP
     */
    @ApiModelProperty(notes = "注册IP")
    private String regIp;

    /**
     * 玩家注册时间
     */
    @ApiModelProperty(notes = "玩家注册时间")
    private LocalDateTime regTime;

    /**
     * 注册渠道id
     */
    @ApiModelProperty(notes = "注册渠道id")
    private Long agentId;

    /**
     * 注册渠道名称
     */
    @ApiModelProperty(notes = "注册渠道名称")
    private String agentName;

    /**
     * cp标识id
     */
    @ApiModelProperty(notes = "cp标识id")
    private Long cpId;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏应用类型id
     */
    @ApiModelProperty(notes = "游戏应用类型id")
    private Long gameCategoryId;

    /**
     * 游戏应用类型名称
     */
    @ApiModelProperty(notes = "游戏应用类型名称")
    private String gameCategoryName;

    /**
     * 原始服务器名称
     */
    @ApiModelProperty(notes = "原始服务器名称")
    private String sourceServerName;

    /**
     * 游戏区服
     */
    @ApiModelProperty(notes = "游戏区服")
    private String serverName;

    /**
     * 游戏角色
     */
    @ApiModelProperty(notes = "游戏角色")
    private String roleName;

    /**
     * 游戏角色id
     */
    @ApiModelProperty(notes = "游戏角色id")
    private String roleId;

    /**
     * 角色等级
     */
    @ApiModelProperty(notes = "角色等级")
    private Long roleLevel;

    /**
     * 游戏战力
     */
    @ApiModelProperty(notes = "游戏战力")
    private Long rolePower;

    /**
     * 角色vip
     */
    @ApiModelProperty(notes = "角色vip")
    private Long roleVipLevel;

    /**
     * 操作系统
     */
    @ApiModelProperty(notes = "操作系统")
    private String os;

    /**
     * 充值金额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 充值次数
     */
    @ApiModelProperty(notes = "充值次数")
    private Integer rechargeCount;

    /**
     * 角色创建时间
     */
    @ApiModelProperty(notes = "角色创建时间")
    private LocalDateTime createTime;

    /**
     * 最近登录时间
     */
    @ApiModelProperty(notes = "最近登录时间")
    private LocalDateTime lastLoginTime;

    /**
     * 游戏角色更新时间
     */
    @ApiModelProperty(notes = "游戏角色更新时间")
    private LocalDateTime updateTime;

    /**
     * 最近充值时间
     */
    @ApiModelProperty(notes = "最近充值时间")
    private LocalDateTime lastRechargeTime;

    /**
     * 归因投放人员id
     */
    @ApiModelProperty(notes = "归因投放人员id")
    private Long pitcherId;

    /**
     * 归因投放人员名字
     */
    @ApiModelProperty(notes = "归因投放人员名字")
    private String pitcherName;

    /**
     * 归因推广账号id
     */
    @ApiModelProperty(notes = "归因推广账号id")
    private Long accountId;

    /**
     * 归因推广账号类型（1：腾讯、2：头条）
     */
    @ApiModelProperty(notes = "归因推广账号类型（1：腾讯、2：头条）")
    private String accountType;

    /**
     * 注册充值时间差(秒)
     */
    @ApiModelProperty(notes = "注册充值时间差(秒)")
    private Long regPayTimeDiff;

    /**
     * 角色国家属性
     */
    @ApiModelProperty(notes = "角色国家属性")
    private String country;
}
