package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class RechargeTrendVO {
    /**
     * 充值人数
     */
    @ApiModelProperty(notes = "充值人数")
    private Long rechargeUserCount;

    /**
     * 充值金额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 增(第N天减第N-1天金额除总消耗)
     */
    @ApiModelProperty(notes = "增")
    private BigDecimal increase;

    /**
     * 回(第N天的金额除总消耗)
     */
    @ApiModelProperty(notes = "回")
    private BigDecimal back;

    /**
     * 倍(第N天的金额除第一天的金额)
     */
    @ApiModelProperty(notes = "倍")
    private BigDecimal multiples;

    /**
     * 总充值金额 d1-dn 的总充值金额
     */
    @ApiModelProperty(notes = "总充值金额（不展示）")
    private BigDecimal rechargeMoneyTotal;
}
