package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.PromotionDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.PromotionDayTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.TencentPromotionDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.TencentPromotionDayTotalDTO;
import com.zanxiang.game.data.serve.pojo.vo.PromotionDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.PromotionDayVO;
import com.zanxiang.game.data.serve.pojo.vo.TencentPromotionDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.TencentPromotionDayVO;
import com.zanxiang.game.data.serve.utils.Page;

public interface IAdsPromotionDayService {

    /**
     * 广告监控数据
     * @param dto
     * @return
     */
    Page<PromotionDayVO> getPromotionDayData(PromotionDayDTO dto);

    /**
     * 广告监控数据总计
     * @param dto
     * @return
     */
    PromotionDayTotalVO getPromotionDayTotalData(PromotionDayTotalDTO dto);

    /**
     * 广告监控每日数据
     * @param dto
     * @return
     */
    Page<PromotionDayVO> getPromotionDayListData(PromotionDayDTO dto);

    /**
     * 广告监控数据(腾讯广告)
     * @param dto
     * @return
     */
    Page<TencentPromotionDayVO> getTencentPromotionDayData(TencentPromotionDayDTO dto);

    /**
     * 广告监控数据总计(腾讯广告)
     * @param dto
     * @return
     */
    TencentPromotionDayTotalVO getTencentPromotionDayTotalData(TencentPromotionDayTotalDTO dto);

    /**
     * 广告监控每日数据(腾讯广告)
     * @param dto
     * @return
     */
    Page<TencentPromotionDayVO> getTencentPromotionDayListData(TencentPromotionDayDTO dto);

}
