package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.GameUserConfigCreateOrUpdateDTO;
import com.zanxiang.game.data.serve.pojo.dto.GameUserConfigListDTO;
import com.zanxiang.game.data.serve.pojo.vo.GameUserConfigListVO;
import com.zanxiang.game.data.serve.utils.Page;

public interface IGameUserConfigService {

    /**
     * 有效创角配置列表
     * @param dto
     * @return
     */
    Page<GameUserConfigListVO> validRoleConfigList(GameUserConfigListDTO dto);

    /**
     * 新增有效创角配置
     * @param dto
     * @return
     */
    Boolean create(GameUserConfigCreateOrUpdateDTO dto);

    /**
     * 删除有效创角配置
     * @param id
     * @return
     */
    Boolean delete(Long id);

    /**
     * 修改有效创角配置
     * @param dto
     * @return
     */
    Boolean update(GameUserConfigCreateOrUpdateDTO dto);
}
