package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.*;
import com.zanxiang.game.data.serve.pojo.vo.*;
import com.zanxiang.game.data.serve.utils.Page;

public interface IMediaDataService {

    /**
     * 推广媒体每日数据
     * @param dto PitcherGameMediaDataDayDTO
     * @return Page<PitcherGameMediaDataDayVO>
     */
    Page<PitcherGameMediaDataDayVO> getPitcherGameMediaDataDay(PitcherGameMediaDataDayDTO dto);

    /**
     * 推广媒体每日数据总计
     * @param dto PitcherGameMediaDataDayTotalDTO
     * @return PitcherGameMediaDataDayVO
     */
    PitcherGameMediaDataDayVO getPitcherGameMediaDataDayTotal(PitcherGameMediaDataDayTotalDTO dto);

    /**
     * 推广媒体总数据
     * @param dto PitcherGameMediaDataTotalDTO
     * @return Page<PitcherGameMediaDataTotalVO>
     */
    Page<PitcherGameMediaDataTotalVO> getPitcherGameMediaDataTotal(PitcherGameMediaDataTotalDTO dto);

    /**
     * 推广媒体总数据总计
     * @param dto PitcherGameMediaDataTotalSumDTO
     * @return PitcherGameMediaDataTotalVO
     */
    PitcherGameMediaDataTotalVO getPitcherGameMediaDataTotalSum(PitcherGameMediaDataTotalSumDTO dto);

    /**
     * 投手媒体每日数据
     * @param dto PitcherMediaDataDayDTO
     * @return Page<PitcherMediaDataDayVO>
     */
    Page<PitcherMediaDataDayVO> getPitcherMediaDataDay(PitcherMediaDataDayDTO dto);

    /**
     * 投手媒体每日数据总计
     * @param dto PitcherMediaDataDayTotalDTO
     * @return PitcherMediaDataDayVO
     */
    PitcherMediaDataDayVO getPitcherMediaDataDayTotal(PitcherMediaDataDayTotalDTO dto);

    /**
     * 投手媒体总数据
     * @param dto PitcherMediaDataTotalDTO
     * @return Page<PitcherMediaDataTotalVO>
     */
    Page<PitcherMediaDataTotalVO> getPitcherMediaDataTotal(PitcherMediaDataTotalDTO dto);

    /**
     * 投手媒体总数据总计
     * @param dto PitcherMediaDataTotalSumDTO
     * @return PitcherMediaDataTotalVO
     */
    PitcherMediaDataTotalVO getPitcherMediaDataTotalSum(PitcherMediaDataTotalSumDTO dto);

    /**
     * 游戏媒体每日数据
     * @param dto GameMediaDataDayDTO
     * @return Page<GameMediaDataDayVO>
     */
    Page<GameMediaDataDayVO> getGameMediaDataDay(GameMediaDataDayDTO dto);

    /**
     * 游戏媒体每日数据总计
     * @param dto GameMediaDataDayTotalDTO
     * @return GameMediaDataDayVO
     */
    GameMediaDataDayVO getGameMediaDataDayTotal(GameMediaDataDayTotalDTO dto);

    /**
     * 游戏媒体总数据
     * @param dto GameMediaDataTotalDTO
     * @return Page<GameMediaDataTotalVO>
     */
    Page<GameMediaDataTotalVO> getGameMediaDataTotal(GameMediaDataTotalDTO dto);

    /**
     * 游戏媒体总数据总计
     * @param dto GameMediaDataTotalSumDTO
     * @return GameMediaDataTotalVO
     */
    GameMediaDataTotalVO getGameMediaDataTotalSum(GameMediaDataTotalSumDTO dto);


}
