package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.PlayerBannedListDTO;
import com.zanxiang.game.data.serve.pojo.dto.PlayerDataListDTO;
import com.zanxiang.game.data.serve.pojo.dto.PlayerLoginLogDataListDTO;
import com.zanxiang.game.data.serve.pojo.dto.PlayerRoleDataListDTO;
import com.zanxiang.game.data.serve.pojo.vo.PlayerDataVO;
import com.zanxiang.game.data.serve.pojo.vo.PlayerRoleDataVO;
import com.zanxiang.game.data.serve.utils.Page;

import java.util.Map;

/**
 * @author tianhua
 * @time 2023/9/6
 * @Description
 **/
public interface IPlayerDataService {

    /**
     * 玩家列表
     * @param dto PlayerDataListDTO
     * @return Page<PlayerDataVO>
     */
    Page<PlayerDataVO> getPlayerDataList(PlayerDataListDTO dto);

    /**
     * 玩家角色列表
     * @param dto PlayerRoleDataListDTO
     * @return Page<PlayerRoleDataVO>
     */
    Page<PlayerRoleDataVO> getPlayerRoleDataList(PlayerRoleDataListDTO dto);

    /**
     * 玩家角色列表总计一栏
     * @param dto PlayerRoleDataListDTO
     * @return Map
     */
    PlayerRoleDataVO getPlayerRoleTotalData(PlayerRoleDataListDTO dto);

    /**
     * 玩家登陆日志列表
     * @param dto PlayerLoginLogDataListDTO
     * @return Page<Map>
     */
    Page<Map> getPlayerLoginLogDataList(PlayerLoginLogDataListDTO dto);

    /**
     * 封禁玩家列表
     * @param dto PlayerBannedListDTO
     * @return Page<Map>
     */
    Page<Map> getPlayerBannedDataList(PlayerBannedListDTO dto);


}
