package com.zanxiang.game.gs.data.serve.controller;

import com.mybatisflex.core.row.Row;
import com.zanxiang.game.gs.data.serve.pojo.dto.BigRDTO;
import com.zanxiang.game.gs.data.serve.pojo.dto.RolePayDTO;
import com.zanxiang.game.gs.data.serve.pojo.vo.BigRVO;
import com.zanxiang.game.gs.data.serve.pojo.vo.PageVO;
import com.zanxiang.game.gs.data.serve.pojo.vo.RolePayVO;
import com.zanxiang.game.gs.data.serve.service.IAdsRoleAmountDataParentService;
import com.zanxiang.game.gs.data.serve.service.IAdsRoleAmountRateParentService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags = {"GS充值付费比"})
@RestController
@RequestMapping("/game/parent")
public class GameParentController {
    @Resource
    private IAdsRoleAmountDataParentService adsRoleAmountDataParentService;
    @Resource
    private IAdsRoleAmountRateParentService adsRoleAmountRateParentService;

    @ApiOperation(value = "大R每日充值比")
//    @PreAuthorize(permissionKey = "gameGs:bigR:list")
    @PostMapping("/bigR/listOfPage")
    public ResultVO<PageVO<BigRVO, Row>> bigRListOfPage(@Validated @RequestBody BigRDTO dto) {
        return ResultVO.ok(adsRoleAmountDataParentService.bigRListOfPage(dto));
    }

    @ApiOperation(value = "GS角色付费留存")
//    @PreAuthorize(permissionKey = "gameGs:rolePay:list")
    @PostMapping("/role/pay/retained/listOfPage")
    public ResultVO<PageVO<RolePayVO, Row>> rolePay(@Validated @RequestBody RolePayDTO dto) {
        return ResultVO.ok(adsRoleAmountRateParentService.rolePayOfPage(dto));
    }

    @ApiOperation(value = "GS角色付费留存总计")
//    @PreAuthorize(permissionKey = "gameGs:rolePay:total")
    @PostMapping("/role/pay/retained/total")
    public ResultVO<RolePayVO> rolePayTotal(@Validated @RequestBody RolePayDTO dto) {
        return ResultVO.ok(adsRoleAmountRateParentService.rolePayTotal(dto));
    }

}
