package com.zanxiang.game.gs.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class BigRDTO extends BaseListDTO {
    @NotNull(message = "SDK来源必填")
    @ApiModelProperty(notes = "必填：SDK来源；默认ZX_ONE")
    private String sourceSystem;
    @ApiModelProperty("排序字段")
    private String sortFiled;
    @ApiModelProperty("排序类型：升序 true;降序 false")
    private Boolean sortAsc = true;

    @ApiModelProperty("充值统计日期开始")
    private LocalDate dtBegin;
    @ApiModelProperty("充值统计日期结束")
    private LocalDate dtEnd;
    @ApiModelProperty("gs id 列表")
    private List<Long> gsIdList;

    @ApiModelProperty("父游戏id")
    private Long parentGameId;

    @ApiModelProperty("角色名称")
    private String roleName;

    @ApiModelProperty("角色创建日期开始")
    private LocalDate roleCreateDayBegin;
    @ApiModelProperty("角色创建日期结束")
    private LocalDate roleCreateDayEnd;

    @ApiModelProperty("超父游戏id")
    private Integer superGameId;
    @ApiModelProperty("角色当前所在区服id列表")
    private List<String> serverIdList;

    @ApiModelProperty("服务日期开始")
    private LocalDate serveDayBegin;
    @ApiModelProperty("服务日期开始")
    private LocalDate serveDayEnd;

    @ApiModelProperty("服务状态：1：服务中；2：服务完成")
    private Integer serveStatus;

    @NotNull(message = "角色来源必填")
    @ApiModelProperty("必填：角色来源：1：区服指派；2：角色指派")
    private Integer roleSource;

    @ApiModelProperty("人工判断角色退游状态：0：未退游；1：退游")
    private Integer humanRemoveGameStatus;

    @ApiModelProperty("系统判断角色退游状态：0：未退游；1：退游")
    private Integer systemRemoveGameStatus;

}
