package com.zanxiang.game.gs.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class RolePayDTO extends BaseListDTO {
    @NotNull(message = "SDK来源必填")
    @ApiModelProperty(notes = "必填：SDK来源；默认ZX_ONE")
    private String sourceSystem;
    @ApiModelProperty("排序字段")
    private String sortFiled;
    @ApiModelProperty("排序类型：升序 true;降序 false")
    private Boolean sortAsc = true;

    @ApiModelProperty("指派日期开始")
    private LocalDate dtBegin;
    @ApiModelProperty("指派日期结束")
    private LocalDate dtEnd;
    @ApiModelProperty("gs id 列表")
    private List<Long> gsIdList;

}
