package com.zanxiang.game.gs.data.serve.pojo.entity.erp;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.lang.Long;
import java.time.LocalDateTime;
import java.lang.String;
import java.lang.Integer;

/**
 * 用户信息表 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "t_sys_user")
public class SysUser {

    @Column(value = "user_id")
    private Long userId;

    /**
     * 登录账号
     */
    @Column(value = "account")
    private String account;

    /**
     * 用户名
     */
    @Column(value = "nickname")
    private String nickname;

    /**
     * 邮箱
     */
    @Column(value = "email")
    private String email;

    /**
     * 手机号
     */
    @Column(value = "phone")
    private String phone;

    @Column(value = "sex")
    private Integer sex;

    @Column(value = "avatar")
    private String avatar;

    @Column(value = "password")
    private String password;

    @Column(value = "enabled")
    private Integer enabled;

    @Column(value = "del_flag")
    private String delFlag;

    @Column(value = "login_ip")
    private String loginIp;

    @Column(value = "login_date")
    private LocalDateTime loginDate;

    @Column(value = "remark")
    private String remark;

    @Column(value = "create_by")
    private Long createBy;

    @Column(value = "create_time")
    private LocalDateTime createTime;

    @Column(value = "update_by")
    private Long updateBy;

    @Column(value = "update_time")
    private LocalDateTime updateTime;


}
