package com.zanxiang.game.gs.data.serve.pojo.entity.game.order;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.lang.Long;
import java.time.LocalDateTime;
import java.lang.String;
import java.lang.Integer;

/**
 * 授权分组 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "t_game_auth_group")
public class GameAuthGroup {

    /**
     * SDK来源
     */
    @Column(value = "source_system")
    private String sourceSystem;

    /**
     * 主键
     */
    @Column(value = "id")
    private Long id;

    /**
     * 组名称
     */
    @Column(value = "group_name")
    private String groupName;

    /**
     * 0正常1删除
     */
    @Column(value = "is_delete",isLogicDelete = true)
    private Integer isDelete;

    /**
     * 创建者
     */
    @Column(value = "create_by")
    private Long createBy;

    /**
     * 创建时间
     */
    @Column(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    @Column(value = "update_by")
    private Long updateBy;

    /**
     * 更新时间
     */
    @Column(value = "update_time")
    private LocalDateTime updateTime;


}
