package com.zanxiang.game.gs.data.serve.pojo.entity.game.order;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.lang.Long;
import java.time.LocalDateTime;
import java.lang.String;
import java.lang.Integer;

/**
 * 游戏区服表 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "t_game_server")
public class GameServer {

    /**
     * SDK来源
     */
    @Column(value = "source_system")
    private String sourceSystem;

    @Column(value = "id")
    private Integer id;

    /**
     * 游戏ID
     */
    @Column(value = "game_id")
    private Integer gameId;

    /**
     * 小区服id
     */
    @Column(value = "server_id")
    private String serverId;

    /**
     * 区服名称 1服
     */
    @Column(value = "server_name")
    private String serverName;

    /**
     * 大区服id
     */
    @Column(value = "regional_id")
    private Integer regionalId;

    /**
     * 大区服名称
     */
    @Column(value = "regional_name")
    private Integer regionalName;

    /**
     * 父游戏id
     */
    @Column(value = "parent_app_id")
    private Integer parentAppId;

    /**
     * 区服标识
     */
    @Column(value = "ser_code")
    private String serCode;

    /**
     * 新服描述 例如
     */
    @Column(value = "ser_desc")
    private String serDesc;

    /**
     * 开服时间
     */
    @Column(value = "start_time")
    private LocalDateTime startTime;

    /**
     * 新服状态，1为预告，2为已开服
     */
    @Column(value = "status")
    private Integer status;

    /**
     * 伪删除，2 正常，1 删除
     */
    private Integer isDelete;

    /**
     * 删除时间
     */
    @Column(value = "delete_time")
    private LocalDateTime deleteTime;

    /**
     * 创建时间
     */
    @Column(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @Column(value = "update_time")
    private LocalDateTime updateTime;

    @Column(value = "game_name")
    private String gameName;

    @Column(value = "classify")
    private Integer classify;

    /**
     * 父游戏ID
     */
    @Column(value = "parent_game_id")
    private Long parentGameId;

    /**
     * 父游戏名称
     */
    @Column(value = "parent_game_name")
    private String parentGameName;

    /**
     * 父游戏类型
     */
    @Column(value = "parent_game_classify")
    private Integer parentGameClassify;

    /**
     * 超父游戏ID
     */
    @Column(value = "supper_game_id")
    private Integer supperGameId;

    /**
     * 超父游戏名称
     */
    @Column(value = "supper_game_name")
    private String supperGameName;


}
