package com.zanxiang.game.gs.data.serve.pojo.entity.game.order;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.lang.Long;
import java.time.LocalDateTime;
import java.lang.String;
import java.lang.Integer;

/**
 * 游戏区服合服子服记录表 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "t_game_server_son_merge")
public class GameServerSonMerge {

    /**
     * 主键
     */
    @Column(value = "id")
    private Long id;

    /**
     * SDK来源
     */
    @Column(value = "source_system")
    private String sourceSystem;

    /**
     * 合服包含的子服列表
     */
    @Column(value = "son_server_ids")
    private String sonServerIds;

    /**
     * 超父游戏ID
     */
    @Column(value = "game_id")
    private Long gameId;

    /**
     * 区服id
     */
    @Column(value = "server_id")
    private String serverId;

    /**
     * 区服名称
     */
    @Column(value = "server_name")
    private String serverName;

    /**
     * 区服冠名
     */
    @Column(value = "nick_name")
    private String nickName;

    /**
     * 开服时间
     */
    @Column(value = "start_time")
    private LocalDateTime startTime;

    /**
     * 0正常1删除
     */
    @Column(value = "is_delete")
    private Integer isDelete;

    /**
     * 创建者id
     */
    @Column(value = "create_by")
    private Long createBy;

    /**
     * 创建时间
     */
    @Column(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新者id
     */
    @Column(value = "update_by")
    private Long updateBy;

    /**
     * 更新时间
     */
    @Column(value = "update_time")
    private LocalDateTime updateTime;

    /**
     * 是否原始服:1是，0否
     */
    @Column(value = "is_source_server")
    private Integer isSourceServer;

    /**
     * 合服的主服ID
     */
    @Column(value = "main_server_id")
    private String mainServerId;

    /**
     * 是否参与过合服:1是，0否
     */
    @Column(value = "is_merge")
    private Integer isMerge;

    /**
     * 合服包含的原始服列表
     */
    @Column(value = "source_server_ids")
    private String sourceServerIds;

    /**
     * 合服时间
     */
    @Column(value = "merge_time")
    private LocalDateTime mergeTime;

    /**
     * gsID
     */
    @Column(value = "gs_ids")
    private String gsIds;

    /**
     * 客服id
     */
    @Column(value = "customer_ids")
    private String customerIds;


}
