package com.zanxiang.game.gs.data.serve.pojo.entity.game.order;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.lang.Long;
import java.time.LocalDateTime;
import java.lang.String;
import java.lang.Integer;

/**
 * 角色操作表 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "t_role_operate")
public class RoleOperate {

    /**
     * 游戏ID
     */
    @Column(value = "source_system")
    private String sourceSystem;

    @Column(value = "id")
    private Long id;

    /**
     * 游戏id
     */
    @Column(value = "game_id")
    private Long gameId;

    /**
     * 区服id
     */
    @Column(value = "server_id")
    private String serverId;

    /**
     * 用户id
     */
    @Column(value = "user_id")
    private Long userId;

    /**
     * 角色id
     */
    @Column(value = "role_id")
    private String roleId;

    /**
     * 是否发送邮件
     */
    @Column(value = "is_send_mail")
    private Integer isSendMail;

    /**
     * 最新发送礼物id
     */
    @Column(value = "send_gift_id")
    private Long sendGiftId;

    /**
     * 是否转端
     */
    @Column(value = "is_change_game_type")
    private Integer isChangeGameType;

    /**
     * 是否添加企微
     */
    @Column(value = "is_add_corp_wechat")
    private Integer isAddCorpWechat;

    /**
     * 企微号
     */
    @Column(value = "add_corp_user_id")
    private String addCorpUserId;

    /**
     * 客户微信
     */
    @Column(value = "user_wechat")
    private String userWechat;

    /**
     * 客户手机
     */
    @Column(value = "user_phone")
    private String userPhone;

    /**
     * 是否退游
     */
    @Column(value = "is_remove_game")
    private Integer isRemoveGame;

    /**
     * 是否唤醒
     */
    @Column(value = "is_wake_up")
    private Integer isWakeUp;

    /**
     * 备注
     */
    @Column(value = "remark")
    private String remark;

    /**
     * GS
     */
    @Column(value = "gs_id")
    private Long gsId;

    /**
     * 客服
     */
    @Column(value = "customer_service_id")
    private Long customerServiceId;

    /**
     * 运营
     */
    @Column(value = "oper_user_id")
    private Long operUserId;

    /**
     * 投手
     */
    @Column(value = "put_user_id")
    private Long putUserId;

    /**
     * 创建时间
     */
    @Column(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    @Column(value = "create_by")
    private Long createBy;

    /**
     * 更新时间
     */
    @Column(value = "update_time")
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    @Column(value = "update_by")
    private Long updateBy;

    /**
     * 1 删除  0正常
     */
    @Column(value = "is_delete", isLogicDelete = true)
    private Integer isDelete;

    /**
     * 企业iD
     */
    @Column(value = "corp_id")
    private String corpId;

    /**
     * 企微客户id
     */
    @Column(value = "external_user_id")
    private String externalUserId;

    /**
     * GS账号(记录GS人员id)
     */
    @Column(value = "gs_account")
    private Long gsAccount;


}
