package com.zanxiang.game.gs.data.serve.pojo.entity.game.parent;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.lang.String;
import java.lang.Integer;

/**
 * 角色父游戏当天充值数据 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "ads_role_amount_data_today_parent")
public class AdsRoleAmountDataTodayParent {

    /**
     * 充值日期
     */
    @Column(value = "day")
    private LocalDate day;

    @Column(value = "game_id")
    private String gameId;

    /**
     * 角色ID
     */
    @Column(value = "role_id")
    private String roleId;

    /**
     * 系统
     */
    @Column(value = "source_system")
    private String sourceSystem;

    /**
     * 角色当天充值金额
     */
    @Column(value = "today_amount")
    private BigDecimal todayAmount;

    /**
     * 父游戏ID
     */
    @Column(value = "parent_game_id")
    private Integer parentGameId;

    /**
     * 区服ID
     */
    @Column(value = "server_id")
    private String serverId;

    /**
     * 角色当天充值次数
     */
    @Column(value = "today_count")
    private Integer todayCount;

    /**
     * 游戏充值金额
     */
    @Column(value = "game_amount")
    private BigDecimal gameAmount;

    /**
     * 区服充值金额
     */
    @Column(value = "server_amount")
    private BigDecimal serverAmount;

    /**
     * 游戏充值比
     */
    @Column(value = "game_proportion")
    private BigDecimal gameProportion;

    /**
     * 区服充值比
     */
    @Column(value = "server_proportion")
    private BigDecimal serverProportion;

    @Column(value = "concat_game")
    private String concatGame;

    @Column(value = "gs_id")
    private Long gsId;
}
