package com.zanxiang.game.gs.data.serve.pojo.entity.game.parent;

import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import lombok.Builder;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.lang.String;
import java.lang.Integer;

/**
 * 游戏GS管理-GS角色付费留存 实体类。
 *
 * @author shaosong
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "ads_role_amount_rate_parent")
public class AdsRoleAmountRateParent {

    /**
     * gsID
     */
    @Column(value = "gs_id")
    private Integer gsId;

    /**
     * gs开始管理时间
     */
    @Column(value = "dt")
    private LocalDate dt;

    /**
     * 付费角色数量
     */
    @Column(value = "role_amount_num")
    private Integer roleAmountNum;

    /**
     * 付费次数
     */
    @Column(value = "order_count")
    private Integer orderCount;

    /**
     * 付费金额
     */
    @Column(value = "total_amount")
    private BigDecimal totalAmount;

    /**
     * 指派角色数量
     */
    @Column(value = "role_num")
    private Integer roleNum;

    /**
     * ARPPU（人均付费金额）=付费金额/付费角色数量
     */
    @Column(value = "gs_arppu")
    private BigDecimal gsArppu;

    /**
     * 客单价（平均每次付费金额）=付费金额/付费次数
     */
    @Column(value = "gs_avg")
    private BigDecimal gsAvg;

    /**
     * 付费率=付费角色数量/指派角色数量
     */
    @Column(value = "gs_rate")
    private BigDecimal gsRate;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da1")
    private String da1;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da2")
    private String da2;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da3")
    private String da3;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da4")
    private String da4;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da5")
    private String da5;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da6")
    private String da6;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da7")
    private String da7;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da8")
    private String da8;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da9")
    private String da9;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da10")
    private String da10;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da11")
    private String da11;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da12")
    private String da12;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da13")
    private String da13;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da14")
    private String da14;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da15")
    private String da15;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da16")
    private String da16;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da17")
    private String da17;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da18")
    private String da18;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da19")
    private String da19;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da20")
    private String da20;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da21")
    private String da21;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da22")
    private String da22;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da23")
    private String da23;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da24")
    private String da24;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da25")
    private String da25;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da26")
    private String da26;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da27")
    private String da27;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da28")
    private String da28;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da29")
    private String da29;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da30")
    private String da30;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da31")
    private String da31;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da32")
    private String da32;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da33")
    private String da33;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da34")
    private String da34;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da35")
    private String da35;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da36")
    private String da36;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da37")
    private String da37;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da38")
    private String da38;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da39")
    private String da39;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da40")
    private String da40;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da41")
    private String da41;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da42")
    private String da42;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da43")
    private String da43;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da44")
    private String da44;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da45")
    private String da45;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da46")
    private String da46;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da47")
    private String da47;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da48")
    private String da48;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da49")
    private String da49;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da50")
    private String da50;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da51")
    private String da51;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da52")
    private String da52;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da53")
    private String da53;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da54")
    private String da54;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da55")
    private String da55;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da56")
    private String da56;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da57")
    private String da57;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da58")
    private String da58;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da59")
    private String da59;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da60")
    private String da60;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da61")
    private String da61;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da62")
    private String da62;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da63")
    private String da63;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da64")
    private String da64;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da65")
    private String da65;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da66")
    private String da66;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da67")
    private String da67;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da68")
    private String da68;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da69")
    private String da69;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da70")
    private String da70;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da71")
    private String da71;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da72")
    private String da72;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da73")
    private String da73;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da74")
    private String da74;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da75")
    private String da75;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da76")
    private String da76;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da77")
    private String da77;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da78")
    private String da78;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da79")
    private String da79;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da80")
    private String da80;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da81")
    private String da81;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da82")
    private String da82;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da83")
    private String da83;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da84")
    private String da84;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da85")
    private String da85;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da86")
    private String da86;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da87")
    private String da87;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da88")
    private String da88;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da89")
    private String da89;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "da90")
    private String da90;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m4")
    private String m4;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m5")
    private String m5;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m6")
    private String m6;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m7")
    private String m7;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m8")
    private String m8;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m9")
    private String m9;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m10")
    private String m10;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m11")
    private String m11;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "m12")
    private String m12;

    /**
     * 活跃人数/付费人数/付费累计人数/付费金额/付费率/活跃留存率/付费留存率
     */
    @Column(value = "total")
    private String total;


}
