package com.zanxiang.game.module.base.pojo.params;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author : lingfeng
 * @time : 2024-05-27
 * @description : 消息推送接口参数
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PushMsgParam implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 充值消息
     */
    public static final String MSG_TYPE_RECHARGE = "MSG_TYPE_RECHARGE";

    /**
     * 等级消息
     */
    public static final String MSG_TYPE_LEVEL = "MSG_TYPE_LEVEL";

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 游戏服务器id
     */
    private String serverId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色当前等级
     */
    private Long roleLevel;

}
