package com.zanxiang.game.module.base.pojo.vo;

import com.zanxiang.game.module.base.pojo.enums.GameAuthEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏授权用户
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GameAuthUserVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 角色
     */
    private GameAuthEnum gameAuthEnum;

    /**
     * 角色授权
     */
    private String gameAuth;

    /**
     * 授权游戏id列表
     */
    private List<Long> gameIdList;

    /**
     * 授权游戏列表
     */
    private List<GameAuthBean> gameAuthBeanList;

    /**
     * 投手列表
     */
    private List<Long> pitcherList;

    @Data
    public static class GameAuthBean implements Serializable {

        private static final long serialVersionUID = 1L;

        /**
         * 游戏id
         */
        private Long gameId;

        /**
         * 是否包含自然量
         */
        private Boolean defaultAgent;
    }
}
