package com.zanxiang.game.module.base.rpc;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2023-07-27
 * @description : SDK订单接口
 */
public interface IOrderServiceRpc {

    /**
     * cp通知
     *
     * @param orderId 订单id
     * @param payKey  支付关键
     * @return boolean
     */
    boolean orderCpCall(String orderId, String payKey);

    /**
     * 米大师支付回调
     *
     * @param orderId 订单id
     * @param payKey  支付关键
     * @return {@link Map}<{@link String}, {@link Object}>
     */
    Map<String, Object> miPayNotify(String orderId, String payKey);
}
