package com.zanxiang.game.module.manage.controller.api;

import com.zanxiang.game.module.manage.pojo.params.UserAppletSubmitParam;
import com.zanxiang.game.module.manage.service.IUserAppletService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2024-04-29
 * @description : 小程序接口
 */
@Api(tags = {"小程序接口"})
@RestController
@RequestMapping("/api/applet")
@Slf4j
public class AppletServerApi {

    @Autowired
    private IUserAppletService userAppletService;

    @ApiOperation(value = "小程序登录信息提交")
    @PostMapping(value = "/user/submit")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Map<String, String>> userAppletSubmit(@Validated @RequestBody UserAppletSubmitParam param) {
        return ResultVO.ok(userAppletService.userAppletSubmit(param));
    }
}
