package com.zanxiang.game.module.manage.controller.api;

import com.zanxiang.game.module.manage.pojo.params.ChatSubmitParam;
import com.zanxiang.game.module.manage.pojo.params.OpenGameServerParam;
import com.zanxiang.game.module.manage.service.api.CpServerApiService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2024-04-25
 * @description : Cp服务端接口
 */
@Api(tags = {"Cp服务端接口"})
@RestController
@RequestMapping("/api")
@Slf4j
public class CpServerApi {

    @Autowired
    private CpServerApiService cpServerApiService;

    @ApiOperation(value = "cp提交游戏聊天记录")
    @PostMapping(value = "/chat/msg/submit")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> chatMsgSubmit(@Validated @RequestBody ChatSubmitParam param) {
        return ResultVO.ok(cpServerApiService.chatMsgSubmit(param));
    }

    @ApiOperation(value = "CP开服通知")
    @PostMapping(value = "/open/game/server")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> list(@Validated @RequestBody OpenGameServerParam param) {
        return ResultVO.ok(cpServerApiService.openGameServer(param));
    }
}
