package com.zanxiang.game.module.manage.pojo.dto;

import com.zanxiang.module.util.excel.ExcelAnno;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-10-10
 * @description : 游戏区服excel
 */
@Data
public class GameServerExcelDTO {

    /**
     * 区服名称
     */
    @ExcelAnno(title = "区服名称")
    private String serverName;

    // -------- 新增原始服字段 --------

    /**
     * 区服id
     */
    @ExcelAnno(title = "区服ID")
    private String serverId;

    /**
     * 开服时间
     */
    @ExcelAnno(title = "开服时间", stringToDateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 区服冠名
     */
    @ExcelAnno(title = "区服冠名")
    private String nickName;

    // -------- 合服字段 --------

    /**
     * 合服id列表
     */
    @ExcelAnno(title = "合区id列表")
    private String serverIds;

    /**
     * 合服主服id
     */
    @ExcelAnno(title = "合服主服id")
    private String mainServerId;

    /**
     * 合服时间
     */
    @ExcelAnno(title = "合服时间", stringToDateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime mergeTime;
}
