package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 玩家角色
 */
@Data
public class GameUserRoleDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 玩家用户id
     */
    private Long userId;

    /**
     * 游戏用户id, 对应game_user主键id
     */
    private Long gameUserId;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 游戏服务器id,默认为0
     */
    private String serverId;

    /**
     * 所在服务器名称
     */
    private String serverName;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色等级
     */
    private Long roleLevel;

    /**
     * 角色VIP
     */
    private Long roleVipLevel;

    /**
     * 玩家角色战力
     */
    private Long rolePower;

    /**
     * 平台币余额
     */
    private BigDecimal platformCoin;

    /**
     * 充值金额
     */
    private BigDecimal rechargeMoney;

    /**
     * 充值次数
     */
    private Integer rechargeCount;

    /**
     * 最近充值时间
     */
    private LocalDateTime lastRechargeTime;

    /**
     * 扩展信息
     */
    private String ext;

    /**
     * 操作系统
     */
    private String os;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 角色最后登录时间
     */
    private LocalDateTime lastLoginTime;
}
