package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 注释游戏支付商户配置表
 *
 * @author xufeng
 * @date 2022-06-16 18:56
 */
@Data
public class PayMerchantDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 支付渠道id
     */
    private Long payWayId;

    /**
     * 支付渠道名称
     */
    private String payWayName;

    /**
     * 商户号登录账号
     */
    private String account;

    /**
     * 商户号登录密码
     */
    private String password;

    /**
     * 管理员
     */
    private String manager;

    /**
     * 绑定手机号
     */
    private String mobile;

    /**
     * 绑定邮箱
     */
    private String email;

    /**
     * 支付配置
     */
    private String payConfig;

    /**
     * 最大支付额度锁 0 正常 1 锁定
     */
    private Integer maxPayLock;

    /**
     * 最大支付额度
     */
    private BigDecimal maxPayAmount;

    /**
     * 总支付金额
     */
    private BigDecimal totalPayAmount;

    /**
     * 月已用支付额度
     */
    private BigDecimal mouthPayAmount;

    /**
     * 月更新日期
     */
    private LocalDateTime mouthUpdateDate;

    /**
     * 周已用额度
     */
    private BigDecimal weakerPayAmount;

    /**
     * 周更新日期
     */
    private LocalDateTime weakerUpdateDate;

    /**
     * 日已用额度
     */
    private BigDecimal dayPayAmount;

    /**
     * 日更新日期
     */
    private LocalDateTime dayUpdateDate;

    /**
     * 备注
     */
    private String remark;
}
