package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.Agent;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2023-06-09
 * @description : 渠道列表查询
 */
@Data
public class AgentListParam extends BaseListDTO<Agent> {

    /**
     * 渠道名称
     */
    @ApiModelProperty(notes = "渠道名称")
    private String agentName;

    @ApiModelProperty(notes = "渠道标识")
    private String agentKey;

    /**
     * 账号类型
     */
    @ApiModelProperty(notes = "账号类型")
    private Integer accountType;

    /**
     * 账号id
     */
    @ApiModelProperty(notes = "账号id")
    private Long accountId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 回传策略 id
     */
    @ApiModelProperty(notes = "回传策略 id")
    private Long backPolicyId;

    /**
     * 投放状态
     */
    @ApiModelProperty(notes = "投放状态")
    private Integer putStatus;

    /**
     * 投手
     */
    @ApiModelProperty(notes = "投手")
    private Long putUserId;

    /**
     * 创建开始时间
     */
    @ApiModelProperty(notes = "创建开始时间")
    private LocalDate createBeginTime;

    /**
     * 创建结束时间
     */
    @ApiModelProperty(notes = "创建结束时间")
    private LocalDate createEndTime;
}
