package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2024-04-25
 * @description : 游戏聊天内容提交
 */
@Data
public class ChatSubmitParam {

    /**
     * 加密标识
     */
    @NotNull(message = "加密标识不可为空")
    @ApiModelProperty(notes = "加密标识")
    private String sign;

    /**
     * 请求时间
     */
    @NotNull(message = "请求时间不可为空")
    @ApiModelProperty(notes = "请求时间, 时间戳 : 13位")
    private Long signTime;

    /**
     * 超父游戏id
     */
    @NotNull(message = "超父游戏id不可为空")
    @ApiModelProperty(notes = "超父游戏id")
    private Long gameId;

    /**
     * 区服id
     */
    @NotBlank(message = "区服id不可为空")
    @ApiModelProperty(notes = "区服id, 必传")
    private String serverId;

    /**
     * 聊天内容
     */
    @NotEmpty(message = "聊天内容不可为空")
    @ApiModelProperty(notes = "聊天内容, 必传")
    private Map<String, Object> chatContentMap;
}
