package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Set;

/**
 * @author tianhua
 * @version 1.0
 * @description: 批量操作参数列表
 * @date 2023/12/28 15:53
 */
@Data
public class GameAdPolicyBatchOperationParam {

    /**
     * id列表(需要批量操作的ID)
     */
    @NotEmpty(message = "id列表不能传空")
    @ApiModelProperty("id列表(需要批量操作的ID)")
    private List<Long> ids;

    /**
     * 规则下的账号白名单（','间隔）
     */
    @ApiModelProperty("规则下的账号白名单")
    private Set<Long> accountWhitelist;

    /**
     * 规则下的账号白名单有效时间类型：1-当日有效（自然日）;2-长期有效
     */
    @ApiModelProperty("规则下的账号白名单有效时间类型：1-当日有效（自然日）;2-长期有效")
    private Integer accountValidTime;

    /**
     * 规则下的广告白名单（','间隔）
     */
    @ApiModelProperty("规则下的广告白名单")
    private Set<Long> adWhitelist;

    /**
     * 规则下的广告白名单有效时间类型：1-当日有效（自然日）;2-长期有效
     */
    @ApiModelProperty("规则下的广告白名单有效时间类型：1-当日有效（自然日）;2-长期有效")
    private Integer adValidTime;

}
