package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-05-21
 * @description : 授权游戏角色分组参数
 */
@Data
public class GameAuthRoleGroupAddParam {

    /**
     * 分组id
     */
    @NotNull(message = "分组id不可为空")
    @ApiModelProperty(notes = "分组id")
    private Long groupId;

    /**
     * 用户id列表
     */
    @NotEmpty(message = "用户id列表不可为空")
    @ApiModelProperty(notes = "用户id列表")
    private List<Long> userIdList;
}
