package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameAuthRoleGroup;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2024-05-21
 * @description : 游戏授权角色分组
 */
@Data
public class GameAuthRoleGroupListParam extends BaseListDTO<GameAuthRoleGroup> {

    /**
     * 分组id
     */
    @NotNull(message = "分组id不可为空")
    @ApiModelProperty(notes = "分组id, 必传")
    private Long groupId;

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Integer userId;

    /**
     * 是否组长
     */
    @ApiModelProperty(notes = "是否组长")
    private Boolean isLeader;

}
