package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-09-11
 * @description : 游戏合并区服
 */
@Data
public class GameMergeServerParam {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id, 传则是修改, 不传则是新增")
    private Long id;

    /**
     * 超父游戏id
     */
    @NotNull(message = "超父游戏id不可为空")
    @ApiModelProperty(notes = "超父游戏id")
    private Long gameId;

    /**
     * 合服的主服id
     */
    @NotBlank(message = "合服的主服id不可为空")
    @ApiModelProperty(notes = "合服的主服id")
    private String mainServerId;

    /**
     * 合并的区服id列表
     */
    @NotEmpty(message = "合并的区服id列表不可为空")
    @ApiModelProperty(notes = "合并的区服id列表")
    private List<String> serverIdList;

    /**
     * 合服区服名称
     */
    @NotBlank(message = "区服名称不可为空")
    @ApiModelProperty(notes = "合服区服名称")
    private String serverName;

    /**
     * 合服时间
     */
    @NotNull(message = "合服时间不可为空")
    @ApiModelProperty(notes = "合服时间")
    private LocalDateTime mergeTime;
}
