package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author : lingfeng
 * @time : 2023-02-16
 * @description : 游戏支付策略添加或者更新
 */
@Data
public class GamePayStrategyAddUpdateParam {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 策略名称
     */
    @NotBlank(message = "策略名称不可为空")
    @ApiModelProperty(notes = "策略名称")
    private String name;

    /**
     * 策略类型 1: 切换规则, 2: 显示规则, 3: 订单起量切换规则
     */
    @NotNull(message = "策略类型不可为空")
    @ApiModelProperty(notes = "策略类型 1: 切换规则, 2: 显示规则, 3: 订单起量切换规则")
    private Integer type;

    /**
     * 关联游戏id
     */
    @NotNull(message = "关联游戏id不可为空")
    @ApiModelProperty(notes = "关联游戏id")
    private Long gameId;

    /**
     * 总支付额度
     */
    @ApiModelProperty(notes = "总支付额度")
    private BigDecimal totalPayAmount;

    /**
     * 月已用额度
     */
    @ApiModelProperty(notes = "月已用额度")
    private BigDecimal mouthPayAmount;

    /**
     * 周已用额度
     */
    @ApiModelProperty(notes = "周已用额度")
    private BigDecimal weakerPayAmount;

    /**
     * 日已用额度
     */
    @ApiModelProperty(notes = "日已用额度")
    private BigDecimal dayPayAmount;
}
