package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GamePayStrategy;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-02-16
 * @description : 游戏策略查询
 */
@Data
public class GamePayStrategyListParam extends BaseListDTO<GamePayStrategy> {

    /**
     * 策略名称
     */
    @ApiModelProperty(notes = "策略名称")
    private String name;

    /**
     * 策略类型 1: 切换规则, 2: 显示规则, 3: 订单起量切换规则
     */
    @ApiModelProperty(notes = "策略类型 1: 切换规则, 2: 显示规则, 3: 订单起量切换规则")
    private Integer type;

    /**
     * 关联游戏id
     */
    @ApiModelProperty(notes = "关联游戏id")
    private Long gameId;

    /**
     * 状态 1 不可用 0 可用
     */
    @ApiModelProperty(notes = "状态 1 不可用 0 可用")
    private Integer status;
}
