package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.GameRemitLog;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2023-08-08
 * @description : 提现记录查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GameRemitLogListParam extends BaseListDTO<GameRemitLog> {

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Long userId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 交易订单号
     */
    @ApiModelProperty(notes = "交易订单号")
    private String merchantOrderNo;

    /**
     * 提现开始时间
     */
    @ApiModelProperty(notes = "提现开始时间")
    private LocalDate startTime;

    /**
     * 提现结束时间
     */
    @ApiModelProperty(notes = "提现结束时间")
    private LocalDate endTime;
}
