package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-08-07
 * @description : 游戏区服添加更新参数
 */
@Data
public class GameServerAddUpdateParam {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id, 传则是更新, 不传则是添加, 非必传")
    private Long id;

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空")
    @ApiModelProperty(notes = "游戏id, 必传")
    private Long gameId;

    /**
     * 区服id
     */
    @NotBlank(message = "区服id不可为空")
    @ApiModelProperty(notes = "区服id, 必传")
    private String serverId;

    /**
     * 区服名称
     */
    @NotBlank(message = "区服名称不可为空")
    @ApiModelProperty(notes = "区服名称, 必传")
    private String serverName;

    /**
     * 区服冠名
     */
    @ApiModelProperty(notes = "区服冠名, 非必传")
    private String nickName;

    /**
     * 开服时间
     */
    @NotNull(message = "开服时间不可为空")
    @ApiModelProperty(notes = "开服时间, 必传")
    private LocalDateTime startTime;
}
