package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.manage.enums.GameServerAssignEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Set;

/**
 * @author : lingfeng
 * @time : 2024-03-13
 * @description : 区服指派
 */
@Data
public class GameServerAssignParam {

    /**
     * 指派类型
     */
    @ApiModelProperty(notes = "指派类型")
    @NotNull(message = "指派类型不可为空")
    private GameServerAssignEnum assignType;

    /**
     * 区服的主键
     */
    @ApiModelProperty(notes = "区服的主键")
    @NotNull(message = "区服主键id不可为空")
    private List<Long> idList;

    /**
     * 指派的人员id
     */
    @NotEmpty(message = "指派的人员id不可为空")
    @ApiModelProperty(notes = "指派的人员id")
    private Set<Long> assignUserIdList;
}
