package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2023-08-09
 * @description : 有效用户配置
 */
@Data
public class GameUserConfigAddUpdateParam {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id, 传则是更新, 不传则是添加")
    private Long id;

    /**
     * 游戏id
     */
    @NotNull(message = "游戏id不可为空, 必传")
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏角色等级
     */
    @NotNull(message = "游戏角色等级不可为空, 必传")
    @ApiModelProperty(notes = "游戏角色等级")
    private Long roleLevel;
}
