package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/12/7 15:10
 */
@Data
public class GameVipAddBatchParam {

    /**
     * 游戏id
     */
    @NotNull(message = "超父游戏id不能为空")
    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    /**
     * 游戏id
     */
    @NotNull(message = "父游戏id不能为空")
    @ApiModelProperty("父游戏id")
    private List<Long> parentGameId;

    /**
     * 游戏VIP参数列表
     */
    @NotNull(message = "新增的游戏vip不能为空")
    @ApiModelProperty("游戏VIP参数列表")
    private List<GameVipParam> list;

    /**
     * 内部类
     */
    @Data
    public static class GameVipParam {
        /**
         * 充值金额最小(包含)
         */
        @NotNull(message = "充值金额最小不能为空")
        @ApiModelProperty("充值金额最小(包含)")
        private BigDecimal rechargeMoneyMin;

        /**
         * 充值金额最大(不包含)
         */
        @NotNull(message = "充值金额最大不能为空")
        @ApiModelProperty("充值金额最大(不包含)")
        private BigDecimal rechargeMoneyMax;

        /**
         * vip档位
         */
        @NotNull(message = "vip档位不能为空")
        @ApiModelProperty("vip档位")
        private Integer vipLevel;
    }

}
