package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁管理更新参数
 */
@Data
public class IpBanUpdateParam {

    /**
     * ip
     */
    @NotBlank(message = "ip参数不可为空")
    @ApiModelProperty(notes = "ip")
    private String ip;

    /**
     * 状态
     */
    @NotNull(message = "封禁状态不可为空")
    @ApiModelProperty(notes = "状态, 0 : 解封, 1 : 封禁")
    private Integer status;
}
