package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.manage.enums.KfActionEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2023-11-28
 * @description : 客服接口参数
 */
@Data
public class KfApiParam {

    /**
     * 游戏应用id
     */
    @NotBlank(message = "游戏应用参数不可为空")
    @ApiModelProperty(notes = "游戏应用参数")
    private String appId;

    /**
     * 行为动作
     */
    @NotNull(message = "接口行为")
    @ApiModelProperty(notes = "行为动作")
    private KfActionEnum action;

    /**
     * 接口body参数
     */
    @ApiModelProperty(notes = "接口body参数")
    private Map<String, Object> param;
}
