package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-04-25
 * @description : 开服参数
 */
@Data
public class OpenGameServerParam {

    /**
     * 加密标识
     */
    @NotNull(message = "加密标识不可为空")
    @ApiModelProperty(notes = "加密标识")
    private String sign;

    /**
     * 请求时间
     */
    @NotNull(message = "请求时间不可为空")
    @ApiModelProperty(notes = "请求时间, 时间戳 : 13位")
    private Long signTime;

    /**
     * 超父游戏id
     */
    @NotNull(message = "超父游戏id不可为空")
    @ApiModelProperty(notes = "超父游戏id")
    private Long gameId;

    /**
     * 区服id
     */
    @NotBlank(message = "区服id不可为空")
    @ApiModelProperty(notes = "区服id, 必传")
    private String serverId;

    /**
     * 区服名称
     */
    @NotBlank(message = "区服名称不可为空")
    @ApiModelProperty(notes = "区服名称, 必传")
    private String serverName;

    /**
     * 开服时间
     */
    @NotNull(message = "开服时间不可为空")
    @ApiModelProperty(notes = "开服时间, 必传")
    private LocalDateTime startTime;

    /**
     * 区服冠名
     */
    @ApiModelProperty(notes = "区服冠名, 非必传")
    private String nickName;
}
