package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-28
 * @description : 应用添加更新
 */
@Data
public class PayApplicationAddUpdateParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键, 不传是新建, 传是更新")
    private Long id;

    /**
     * 应用appId
     */
    @ApiModelProperty(notes = "应用appId")
    private String appId;

    /**
     * 应用原始id
     */
    @ApiModelProperty(notes = "应用原始id")
    private String ghId;

    /**
     * 应用密钥
     */
    @ApiModelProperty(notes = "应用密钥")
    private String appSecret;

    /**
     * 应用名称
     */
    @ApiModelProperty(notes = "应用名称")
    private String appName;

    /**
     * 应用类型, 1 : 小程序, 2 : 公众号,3 : 支付宝应用
     */
    @ApiModelProperty(notes = "应用类型, 1 : 小程序, 2 : 公众号,3 : 支付宝应用")
    private Integer type;

    /**
     * 类型名称
     */
    @ApiModelProperty(notes = "类型名称")
    private String typeName;

    /**
     * 应用主体
     */
    @ApiModelProperty(notes = "应用主体")
    private String company;

    /**
     * 登录账号
     */
    @ApiModelProperty(notes = "登录账号")
    private String account;

    /**
     * 登录密码
     */
    @ApiModelProperty(notes = "登录密码")
    private String password;

    /**
     * 管理员
     */
    @ApiModelProperty(notes = "管理员")
    private String manager;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 应用地址
     */
    @ApiModelProperty(notes = "应用地址")
    private String path;

    /**
     * 应用头像
     */
    @ApiModelProperty(notes = "应用头像")
    private String headImg;

    /**
     * 应用二维码
     */
    @ApiModelProperty(notes = "应用二维码")
    private String qrCode;

    /**
     * 商户号
     */
    @ApiModelProperty(notes = "商户号")
    private String merchantNo;
}
