package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.PayApplication;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 注释游戏应用表
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class PayApplicationListParam extends BaseListDTO<PayApplication> {

    /**
     * 应用名称
     */
    @ApiModelProperty(notes = "应用名称")
    private String name;

    /**
     * 类型,1 : 小程序, 2 : 公众号,3 : 支付宝应用
     */
    @ApiModelProperty(notes = "类型,1 : 小程序, 2 : 公众号,3 : 支付宝应用")
    private Integer type;

    /**
     * 应用appId
     */
    @ApiModelProperty(notes = "应用appId")
    private String appId;

    /**
     * 应用主体
     */
    @ApiModelProperty(notes = "应用主体")
    private String company;
}
