package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-11-29
 * @description : 支付盒子
 */
@Data
public class PayBoxAddUpdateParam {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键, 不传是新建, 传是更新")
    private Long id;

    /**
     * 支付盒子名称
     */
    @ApiModelProperty(notes = "支付盒子名称")
    @NotBlank(message = "支付盒子名称不可为空")
    private String name;

    /**
     * 关联应用appId
     */
    @ApiModelProperty(notes = "关联应用appId")
    @NotNull(message = "关联应用appId不可为空")
    private String payApplicationAppId;

    /**
     * 商户号列表
     */
    @ApiModelProperty(notes = "商户号列表")
    @NotEmpty(message = "商户列表不可为空")
    private List<String> merchantNos;

    /**
     * 盒子类型 1、商城百货 2、商城美妆 2、商城内容
     */
    @ApiModelProperty(notes = "1、商城百货 2、商城美妆 3、商城内容")
    @NotNull(message = "盒子类型不可为空")
    private Integer storeType;

    /**
     * 描述
     */
    @ApiModelProperty(notes = "描述")
    private String remark;
}
