package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.mybatis.entity.PayBox;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 支付盒子参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PayBoxListParam extends BaseListDTO<PayBox> {

    /**
     * 盒子名称
     */
    @ApiModelProperty(notes = "盒子名称")
    private String name;

    /**
     * 关联应用appId
     */
    @ApiModelProperty(notes = "关联应用appId, 下拉选择关联应用名称得时候传appId过来")
    private String payApplicationAppId;

    /**
     * 关联应用类型
     */
    @ApiModelProperty(notes = "关联应用类型")
    private Integer payApplicationType;

    /**
     * 关联应用主体
     */
    @ApiModelProperty(notes = "关联应用主体")
    private String payApplicationCompany;

    /**
     * 商户号
     */
    @ApiModelProperty(notes = "商户号, 做下拉框选择")
    private String merchantNo;

    /**
     * 商户名称
     */
    @ApiModelProperty(notes = "商户主体")
    private String merchantName;
}
