package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-02-13
 * @description : 商户添加更新参数
 */
@Data
public class PayMerchantAddUpdateParam {

    /**
     * 商户id
     */
    @ApiModelProperty(notes = "商户id, 传则更新, 不传则添加")
    private Long id;

    /**
     * 商户平台
     */
    @NotNull(message = "商户平台id不可为空")
    @ApiModelProperty(notes = "商户平台id")
    private Long payWayId;

    /**
     * 商户号
     */
    @NotBlank(message = "商户号不可为空")
    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    /**
     * 商户名称
     */
    @NotBlank(message = "商户名称不可为空")
    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    /**
     * 商户主体
     */
    @NotBlank(message = "商户主体不可为空")
    @ApiModelProperty(notes = "商户主体")
    private String merchantCompany;

    /**
     * 支付类型id列表
     */
    @ApiModelProperty(notes = "支付类型id列表")
    private List<Long> payDeviceIdList;

    /**
     * 登录账号
     */
    @ApiModelProperty(notes = "登录账号")
    private String account;

    /**
     * 登录密码
     */
    @ApiModelProperty(notes = "登录密码")
    private String password;

    /**
     * 管理员
     */
    @ApiModelProperty(notes = "管理员")
    private String manager;

    /**
     * 绑定手机号
     */
    @ApiModelProperty(notes = "绑定手机号")
    private String mobile;

    /**
     * 联系邮箱
     */
    @ApiModelProperty(notes = "联系邮箱")
    private String email;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 密钥
     */
    @ApiModelProperty(notes = "密钥")
    private String secretKey;
}
