package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;


/**
 * @author shishaosong
 */
@ApiModel
@Data
public class RoleOperateParam {

    @NotEmpty
    @ApiModelProperty("角色信息")
    private List<RoleInfoParam> roleInfoList;

    /**
     * 是否转端
     */
    @ApiModelProperty("1:已转端，0：未转端")
    private Integer isChangeGameType;

    /**
     * 是否添加企微
     */
    @ApiModelProperty("1:已添加企微，0：未添加企微")
    private Integer isAddCorpWechat;

    /**
     * 企微号
     */
    @ApiModelProperty("企微号")
    private String addCorpUserId;

    /**
     * 客户微信
     */
    @ApiModelProperty("客户微信")
    private String userWechat;

    /**
     * 客户手机
     */
    @ApiModelProperty("客户手机")
    private String userPhone;

    /**
     * 是否退游
     */
    @ApiModelProperty("1:已退游，0：未退游")
    private Integer isRemoveGame;

    /**
     * 是否唤醒
     */
    @ApiModelProperty("1:已唤醒，0：未唤醒")
    private Integer isWakeUp;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 投手
     */
    @ApiModelProperty("投手")
    private Long putUserId;

    /**
     * GS账号
     */
    @ApiModelProperty("GS账号")
    private Long gsAccount;

    /**
     * 企业id
     */
    @ApiModelProperty("企业id")
    private String corpId;

    /**
     * 企微客户id
     */
    @ApiModelProperty("企微客户id")
    private String externalUserId;

}
