package com.zanxiang.game.module.manage.pojo.params;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zanxiang.game.module.mybatis.entity.UserBan;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * @author : lingfeng
 * @time : 2022-06-29
 * @description : 玩家封禁列表查询
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserBanListParam extends BaseListDTO<UserBan> {

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private String userId;

    /**
     * 用户账号
     */
    @ApiModelProperty(notes = "玩家账号")
    private String userName;

    /**
     * 用户昵称
     */
    @ApiModelProperty(notes = "玩家昵称")
    private String userNickName;

    /**
     * 注册开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(notes = "注册开始时间")
    private LocalDate regBeginTime;

    /**
     * 注册结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(notes = "注册结束时间")
    private LocalDate regEndTime;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "开始时间")
    private LocalDate beginDate;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "结束时间")
    private LocalDate endDate;
}
