package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 用户信息更新参数
 */
@Data
public class UserUpdateParam {

    /**
     * 用户id
     */
    @NotNull(message = "玩家id不可为空")
    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    /**
     * 用户名
     */
    @NotBlank(message = "玩家账号")
    @ApiModelProperty(notes = "玩家账号")
    private String username;

    /**
     * 真实姓名
     */
    @ApiModelProperty(notes = "真实姓名")
    private String realName;

    /**
     * 证件号码
     */
    @ApiModelProperty(notes = "证件号码")
    private String idCard;

    /**
     * 绑定手机号码
     */
    @ApiModelProperty(notes = "绑定手机号码")
    private String mobile;

    /**
     * 绑定支付宝账号
     */
    @ApiModelProperty(notes = "绑定支付宝账号")
    private String aliPay;

    /**
     * 密码
     */
    @ApiModelProperty(notes = "密码")
    private String password;
}
