package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/12/29 13:49
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameAdRuleConditionVO {

    /**
     * 条件序号
     */
    @ApiModelProperty(notes = "条件序号")
    private Integer id;

    /**
     * 监控的数据时间段类型：1-今日;2-过去3天（包括今日）;3-过去5天（包括今日）;4-过去7天（包括今日）;
     * 5-过去3天（不包括今日）;6-过去5天（不包括今日）;7-过去7天（不包括今日）;
     * 8-广告开始消耗首日（0）;9-广告开始消耗（累计3天）;10-广告开始消耗（累计5天）;11-广告开始消耗（累计7天）;
     */
    @ApiModelProperty(notes = "监控的数据时间段类型：1-今日;2-过去3天（包括今日）;3-过去5天（包括今日）;4-过去7天（包括今日）;\n" +
            "                5-过去3天（不包括今日）;6-过去5天（不包括今日）;7-过去7天（不包括今日）;\n" +
            "                8-广告开始消耗首日（0）;9-广告开始消耗（累计3天）;10-广告开始消耗（累计5天）;11-广告开始消耗（累计7天）;")
    private Integer monitorTimeType;

    /**
     * 指标类型：1-消耗;2-预算;3-点击率;4-ecpm(千次曝光成本);5-注册;6-注册成本(消耗/注册人数);7-付费人数;8-付费率(付费人数/注册人数)
     * 9-付费成本(消耗/付费人数);10-arpu(付费金额/注册人数);11-ROI1(首日付费金额/消耗);12-ROI2(?/消耗);13-ROI3;
     * 14-ROI4;15-ROI5;16-ROI6;17-ROI7;18-LTV1;19-LTV2;20-LTV3;21-LTV4;22-LTV5;23-LTV6;24-LTV7;
     */
    @ApiModelProperty(notes = "指标类型：1-消耗;2-预算;3-点击率;4-ecpm(千次曝光成本);5-注册;6-注册成本(消耗/注册人数);7-付费人数;8-付费率(付费人数/注册人数)\n" +
            "                 9-付费成本(消耗/付费人数);10-arpu(付费金额/注册人数);11-ROI1(首日付费金额/消耗);12-ROI2(?/消耗);13-ROI3;\n" +
            "                 14-ROI4;15-ROI5;16-ROI6;17-ROI7;18-LTV1;19-LTV2;20-LTV3;21-LTV4;22-LTV5;23-LTV6;24-LTV7;")
    private Integer dataType;

    /**
     * 判断条件类型：1-大于;2-大于等于;3-等于;4-小于等于;5-小于
     */
    @ApiModelProperty(notes = "1-大于;2-大于等于;3-等于;4-小于等于;5-小于")
    private Integer conditionType;

    /**
     * 具体数据数值
     */
    @ApiModelProperty(notes = "具体数值")
    private BigDecimal dataNum;

}
