package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2022-07-12
 * @description : 游戏虚拟支付展示
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameAnalogPayVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private String id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 配置信息
     */
    @ApiModelProperty(notes = "游戏id")
    private PayConfigBean payConfig;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @Builder
    public static class PayConfigBean {

        /**
         * 米大师支付应用id
         */
        @ApiModelProperty(notes = "米大师支付应用id")
        private String appId;

        /**
         * 米大师现网AppKey
         */
        @ApiModelProperty(notes = "米大师现网AppKey")
        private String appKey;

        /**
         * 米大师沙箱AppKey
         */
        @ApiModelProperty(notes = "米大师沙箱AppKey")
        private String appKeyDev;

        /**
         * 人民币元宝比例
         */
        @ApiModelProperty(notes = "人民币元宝比例")
        private String exchangeRate;

        /**
         * IOS充值提示
         */
        @ApiModelProperty(notes = "IOS充值提示")
        private String iosTips;
    }
}
