package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-07-10
 * @description : 壳包控制配置
 */
@Data
public class GameAppletShellListVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 是否在申诉
     */
    @ApiModelProperty(notes = "是否在申诉")
    private Boolean isAppeal;

    /**
     * 线上版本号
     */
    @ApiModelProperty(notes = "线上版本号")
    private String proVersion;

    /**
     * 提审版本号
     */
    @ApiModelProperty(notes = "提审版本号")
    private String arraignVersion;

    /**
     * 壳包控制类型, 0:关闭, 1:开启, 2:新用户开启, 老用户关闭, 3:角色等级控制开启
     */
    @ApiModelProperty(notes = "壳包控制类型, 0:关闭, 1:开启, 2:新用户开启, 老用户关闭, 3:角色等级控制开启")
    private Integer proControlType;

    /**
     * 壳包控制等级, 类型为3时, 必填
     */
    @ApiModelProperty(notes = "壳包控制等级, 类型为3时, 必填")
    private Long proControlLevel;

    /**
     * 壳跳出按钮开关
     */
    @ApiModelProperty(notes = "壳跳出按钮开关")
    private Boolean isSkipSwitch;

    /**
     * 创建人id
     */
    @ApiModelProperty(notes = "创建人id")
    private Long createBy;

    /**
     * 创建人名字
     */
    @ApiModelProperty(notes = "创建人名字")
    private String createByName;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新操作人
     */
    @ApiModelProperty(notes = "更新操作人id")
    private Long updateBy;

    /**
     * 更新操作人名字
     */
    @ApiModelProperty(notes = "更新操作人名字")
    private String updateByName;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
