package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-07-06
 * @description : 游起起量规则配置
 */
@Data
public class GamePayStrategyListVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 策略名称
     */
    @ApiModelProperty(notes = "策略名称")
    private String name;

    /**
     * 策略类型 1: 切换规则, 2: 显示规则, 3: 订单起量切换规则
     */
    @ApiModelProperty(notes = "策略类型 1: 切换规则, 2: 显示规则, 3: 订单起量切换规则")
    private Integer type;

    /**
     * 策略类型名称
     */
    @ApiModelProperty(notes = "策略类型名称")
    private String typeName;

    /**
     * 关联游戏id
     */
    @ApiModelProperty(notes = "关联游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏类型id
     */
    @ApiModelProperty(notes = "游戏类型id")
    private Long gameCategoryId;

    /**
     * 游戏类型名称
     */
    @ApiModelProperty(notes = "游戏类型名称")
    private String gameCategory;

    /**
     * 商户号日金额
     */
    @ApiModelProperty(notes = "日已用额度")
    private BigDecimal dayPayAmount;

    /**
     * 商户号周金额
     */
    @ApiModelProperty(notes = "周已用额度")
    private BigDecimal weakerPayAmount;

    /**
     * 商户号月金额
     */
    @ApiModelProperty(notes = "月已用额度")
    private BigDecimal mouthPayAmount;

    /**
     * 商户号总金额
     */
    @ApiModelProperty(notes = "总支付额度")
    private BigDecimal totalPayAmount;

    /**
     * 商户信息
     */
    @ApiModelProperty(notes = "商户信息")
    private Map<String, String> payMerchantMap;

    /**
     * 状态 1 不可用 0 可用
     */
    @ApiModelProperty(notes = "状态 1 不可用 0 可用")
    private Integer status;

}
