package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : xufeng
 * @time : 2022-06-30
 * @description : 游戏支付配置表
 */
@Data
public class GamePayWayListVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id, 获取接口拿到的id是啥就传啥")
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id, 任何时候都能拿到, 不可为空")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏类型id
     */
    @ApiModelProperty(notes = "游戏类型id")
    private Long gameCategoryId;

    /**
     * 游戏类型名称
     */
    @ApiModelProperty(notes = "游戏类型名称")
    private String gameCategory;

    /**
     * 支付方式id
     */
    @ApiModelProperty(notes = "支付方式id")
    private Long payWayId;

    /**
     * 支付方式
     */
    @ApiModelProperty(notes = "支付方式")
    private String payWayName;

    /**
     * 支付类型id
     */
    @ApiModelProperty(notes = "支付类型id")
    private Long payDeviceId;

    /**
     * 支付类型名称
     */
    @ApiModelProperty(notes = "支付类型名称")
    private String payDeviceName;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 状态, 0 : 可用, 1 : 不可用
     */
    @ApiModelProperty(notes = "状态, 0 : 可用, 1 : 不可用")
    private Integer status;

    /**
     * 米大师支付配置
     */
    @ApiModelProperty(notes = "米大师支付配置")
    private MiPayConfigBean miPayConfig;

    /**
     * 微信支付配置
     */
    @ApiModelProperty(notes = "微信支付配置")
    private WxPayConfigBean wxPayConfig;

    /**
     * 支付宝支付配置
     */
    @ApiModelProperty(notes = "支付宝支付配置")
    private AliPayConfigBean aliPayConfig;

    @Data
    public static class AliPayConfigBean {

        /**
         * 支付应用appId
         */
        @ApiModelProperty(notes = "支付应用appId")
        private String appId;

        /**
         * 支付应用名称
         */
        @ApiModelProperty(notes = "支付应用名称")
        private String appName;
    }

    @Data
    public static class WxPayConfigBean {

        /**
         * 支付盒子id
         */
        @ApiModelProperty(notes = "支付盒子id")
        private Long payBoxId;

        /**
         * 支付盒子名称
         */
        @ApiModelProperty(notes = "支付盒子名称")
        private String payBoxName;

        /**
         * 客服消息卡片图片地址
         */
        @ApiModelProperty(notes = "客服支付, 消息卡片图片地址")
        private String thumbUrl;

        /**
         * 微信应用appId
         */
        @ApiModelProperty(notes = "支付应用appId")
        private String appId;

        /**
         * 微信应用名称
         */
        @ApiModelProperty(notes = "微信应用名称")
        private String appName;

        /**
         * 商户号
         */
        @ApiModelProperty(notes = "商户号")
        private String merchantNo;

        /**
         * 商户名称
         */
        @ApiModelProperty(notes = "商户名称")
        private String merchantName;
    }

    @Data
    public static class MiPayConfigBean {

        /**
         * 米大师支付应用id
         */
        @ApiModelProperty(notes = "米大师支付应用id")
        private String appId;

        /**
         * 米大师现网AppKey
         */
        @ApiModelProperty(notes = "米大师现网AppKey")
        private String appKey;

        /**
         * 米大师沙箱AppKey
         */
        @ApiModelProperty(notes = "米大师沙箱AppKey")
        private String appKeyDev;
    }
}