package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-08-08
 * @description : 提现记录
 */
@Data
public class GameRemitLogVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Long userId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 交易订单号
     */
    @ApiModelProperty(notes = "交易订单号")
    private String merchantOrderNo;

    /**
     * 金额(单位 : 分)
     */
    @ApiModelProperty(notes = "金额(单位 : 分)")
    private Long amount;

    /**
     * 提现平台
     */
    @ApiModelProperty(notes = "提现平台")
    private String payPlatform;

    /**
     * 提现账号
     */
    @ApiModelProperty(notes = "提现账号")
    private String payAccount;

    /**
     * 提现时间
     */
    @ApiModelProperty(notes = "提现时间")
    private LocalDateTime createdTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
