package com.zanxiang.game.module.manage.pojo.vo;

import com.zanxiang.module.util.excel.ExcelAnno;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-08-23
 * @description : 玩家角色表格
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameUserRoleExcelVO {

    /**
     * 玩家id
     */
    @ExcelAnno(title = "玩家id")
    private Long userId;

    /**
     * 玩家账号
     */
    @ExcelAnno(title = "玩家账号")
    private String username;

    /**
     * 玩家昵称
     */
    @ExcelAnno(title = "玩家昵称")
    private String nickname;

    /**
     * 注册IP
     */
    @ExcelAnno(title = "注册IP")
    private String regIp;

    /**
     * 玩家注册时间
     */
    @ExcelAnno(title = "玩家注册时间")
    private LocalDateTime regTime;

    /**
     * 注册渠道名称
     */
    @ExcelAnno(title = "注册渠道名称")
    private String agentName;

    /**
     * cp名称
     */
    @ExcelAnno(title = "cp名称")
    private String cpName;

    /**
     * 游戏名称
     */
    @ExcelAnno(title = "游戏名称")
    private String gameName;

    /**
     * 游戏应用类型名称
     */
    @ExcelAnno(title = "游戏应用类型名称")
    private String gameCategoryName;

    /**
     * 原始服务器名称
     */
    @ExcelAnno(title = "原始服务器名称")
    private String sourceServerName;

    /**
     * 游戏区服
     */
    @ExcelAnno(title = "游戏区服")
    private String serverName;

    /**
     * 游戏角色
     */
    @ExcelAnno(title = "游戏角色")
    private String roleName;

    /**
     * 游戏角色id
     */
    @ExcelAnno(title = "游戏角色id")
    private String roleId;

    /**
     * 角色等级
     */
    @ExcelAnno(title = "角色等级")
    private Long roleLevel;

    /**
     * 游戏战力
     */
    @ExcelAnno(title = "游戏战力")
    private Long rolePower;

    /**
     * 角色vip
     */
    @ExcelAnno(title = "角色vip")
    private Long roleVipLevel;

    /**
     * 操作系统
     */
    @ExcelAnno(title = "操作系统")
    private String os;

    /**
     * 充值金额
     */
    @ExcelAnno(title = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 充值次数
     */
    @ExcelAnno(title = "充值次数")
    private Integer rechargeCount;

    /**
     * 角色创建时间
     */
    @ExcelAnno(title = "角色创建时间")
    private LocalDateTime createTime;

    /**
     * 最近登录时间
     */
    @ExcelAnno(title = "最近登录时间")
    private LocalDateTime lastLoginTime;

    /**
     * 游戏角色更新时间
     */
    @ExcelAnno(title = "游戏角色更新时间")
    private LocalDateTime updateTime;

    /**
     * 最近充值时间
     */
    @ExcelAnno(title = "最近充值时间")
    private LocalDateTime lastRechargeTime;

    /**
     * 归因投放人员名字
     */
    @ExcelAnno(title = "归因投放人员名字")
    private String pitcherName;

    /**
     * 归因推广账号id
     */
    @ExcelAnno(title = "归因推广账号id")
    private Long accountId;

    /**
     * 归因推广账号类型（1：腾讯、2：头条）
     */
    @ExcelAnno(title = "因推广账号类型（1：腾讯、2：头条）")
    private Integer accountType;

    /**
     * 注册充值时间差
     */
    @ExcelAnno(title = "注册充值时间差")
    private Long regPayTimeDiff;
}
