package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-06-26
 * @description : 米大师统计
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MiPaySumListVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 小游戏应用id
     */
    @ApiModelProperty(notes = "小游戏应用id")
    private String appId;

    /**
     * 米大师应用id
     */
    @ApiModelProperty(notes = "米大师应用id")
    private String miPayAppId;

    /**
     * 最大支付额度锁 0 正常 1 锁定
     */
    @ApiModelProperty(notes = "最大支付额度锁 0 正常 1 锁定")
    private Integer maxPayLock;

    /**
     * 最大支付额度
     */
    @ApiModelProperty(notes = "最大支付额度")
    private BigDecimal maxPayAmount;

    /**
     * 总支付金额
     */
    @ApiModelProperty(notes = "总支付金额")
    private BigDecimal totalPayAmount;

    /**
     * 月已用支付额度
     */
    @ApiModelProperty(notes = "月已用支付额度")
    private BigDecimal mouthPayAmount;

    /**
     * 周已用额度
     */
    @ApiModelProperty(notes = "周已用额度")
    private BigDecimal weakerPayAmount;

    /**
     * 日已用额度
     */
    @ApiModelProperty(notes = "日已用额度")
    private BigDecimal dayPayAmount;

    /**
     * 状态 1 不可用 0 正常
     */
    @ApiModelProperty(notes = "状态 1 不可用 0 正常")
    private Integer status;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
