package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-11-07
 * @description : 订单
 */
@Data
public class OrderVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 日期
     */
    @ApiModelProperty(notes = "日期")
    private LocalDate dateTime;

    /**
     * 游戏订单号
     */
    @ApiModelProperty(notes = "游戏订单号")
    private String orderId;

    /**
     * cp订单号
     */
    @ApiModelProperty(notes = "CP订单号")
    private String cpOrderId;

    /**
     * 商户订单号
     */
    @ApiModelProperty(notes = "商户订单号")
    private String merchantOrderNo;

    /**
     * 玩家ID
     */
    @ApiModelProperty(notes = "玩家ID")
    private Long userId;

    /**
     * 玩家账号
     */
    @ApiModelProperty(notes = "玩家账号")
    private String username;

    /**
     * 注册时间
     */
    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime regTime;

    /**
     * 渠道ID
     */
    @ApiModelProperty(notes = "渠道ID")
    private Long agentId;

    /**
     * 渠道名称
     */
    @ApiModelProperty(notes = "渠道名称")
    private String agentName;

    /**
     * cpId
     */
    @ApiModelProperty(notes = "cpId")
    private Long cpId;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "CP名称")
    private String cpName;

    /**
     * 归因投放人员id
     */
    @ApiModelProperty(notes = "归因投放人员id")
    private Long pitcherId;

    /**
     * 归因投放人员名字
     */
    @ApiModelProperty(notes = "归因投放人员名字")
    private String pitcherName;

    /**
     * 归因推广账号id
     */
    @ApiModelProperty(notes = "归因推广账号id")
    private Long accountId;

    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    @ApiModelProperty(notes = "推广账号类型（1：腾讯、2：头条）")
    private Integer accountType;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏ID")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏类型
     */
    @ApiModelProperty(notes = "游戏类型ID")
    private Long gameCategoryId;

    /**
     * 游戏类型
     */
    @ApiModelProperty(notes = "游戏类型名称")
    private String gameCategoryName;

    /**
     * 游戏商品ID
     */
    @ApiModelProperty(notes = "游戏商品ID")
    private String productId;

    /**
     * 产品名称
     */
    @ApiModelProperty(notes = "产品名称")
    private String productName;

    /**
     * 订单金额
     */
    @ApiModelProperty(notes = "订单金额")
    private BigDecimal amount;

    /**
     * 订单实付金额
     */
    @ApiModelProperty(notes = "订单实付金额")
    private BigDecimal realAmount;

    /**
     * 支付方式id
     */
    @ApiModelProperty(notes = "支付方式id")
    private Long payWayId;

    /**
     * 支付方式
     */
    @ApiModelProperty(notes = "支付方式名称")
    private String payWayName;

    /**
     * 支付场景id
     */
    @ApiModelProperty(notes = "支付场景id")
    private Long payDeviceId;

    /**
     * 支付场景
     */
    @ApiModelProperty(notes = "支付场景名称")
    private String payDeviceName;

    /**
     * 商户号
     */
    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    /**
     * 商户名称
     */
    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    /**
     * 原始服务器名称
     */
    @ApiModelProperty(notes = "原始服务器名称")
    private String sourceServerName;

    /**
     * 所在服务器名称
     */
    @ApiModelProperty(notes = "所在服务器名称")
    private String serverName;

    /**
     * 角色名称
     */
    @ApiModelProperty(notes = "角色名称")
    private String roleName;

    /**
     * 角色等级
     */
    @ApiModelProperty(notes = "角色等级")
    private Long roleLevel;

    /**
     * 角色VIP
     */
    @ApiModelProperty(notes = "角色VIP")
    private Long roleVipLevel;

    /**
     * 客户端操作系统, android, ios, windows, mac
     */
    @ApiModelProperty(notes = "客户端操作系统, android, ios, windows, mac")
    private String deviceSystem;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 支付时间
     */
    @ApiModelProperty(notes = "支付时间")
    private LocalDateTime payTime;

    /**
     * cp最后通知时间
     */
    @ApiModelProperty(notes = "cp最后通知时间")
    private LocalDateTime lastCpNotifyTime;

    /**
     * 支付状态，1待支付，2 支付成功，-1 已取消
     */
    @ApiModelProperty(notes = "支付状态，1待支付，2 支付成功，-1 已取消")
    private Integer status;

    /**
     * CP通知状态，1为待处理，2为成功，-1为失败
     */
    @ApiModelProperty(notes = "CP通知状态，1为待处理，2为成功，-1为失败")
    private Integer cpStatus;

    /**
     * 是否首充 0 否 1 是
     */
    @ApiModelProperty(notes = "是否首充 0 否 1 是")
    private Integer isFirstRecharge;

    /**
     * 注册充值时间差
     */
    @ApiModelProperty(notes = "注册充值时间差")
    private Long regPayTimeDiff;
}
