package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 注释游戏应用表
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayApplicationVO {

    /**
     * 应用id
     */
    @ApiModelProperty(notes = "应用id")
    private Long id;

    /**
     * 应用appId
     */
    @ApiModelProperty(notes = "应用appid")
    private String appId;

    /**
     * 应用原始id
     */
    @ApiModelProperty(notes = "应用原始id")
    private String ghId;

    /**
     * 应用密钥
     */
    @ApiModelProperty(notes = "应用密钥")
    private String appSecret;

    /**
     * 应用名称
     */
    @ApiModelProperty(notes = "应用名称")
    private String appName;

    /**
     * 应用类型, 1 : 小程序, 2 : 公众号,3 : 支付宝应用
     */
    @ApiModelProperty(notes = "应用类型, 1 : 小程序, 2 : 公众号,3 : 支付宝应用")
    private Integer type;

    /**
     * 类型名称
     */
    @ApiModelProperty(notes = "类型名称")
    private String typeName;

    /**
     * 应用主体
     */
    @ApiModelProperty(notes = "应用主体")
    private String company;

    /**
     * 登录账号
     */
    @ApiModelProperty(notes = "登录账号")
    private String account;

    /**
     * 登录密码
     */
    @ApiModelProperty(notes = "登录密码")
    private String password;

    /**
     * 管理员
     */
    @ApiModelProperty(notes = "管理员")
    private String manager;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 状态, 0 正常, 1 不可用
     */
    @ApiModelProperty(notes = "状态, 0 正常, 1 不可用")
    private Integer status;

    /**
     * 应用地址
     */
    @ApiModelProperty(notes = "应用地址")
    private String path;

    /**
     * 应用头像
     */
    @ApiModelProperty(notes = "应用头像")
    private String headImg;

    /**
     * 应用二维码
     */
    @ApiModelProperty(notes = "应用二维码")
    private String qrCode;

    /**
     * 商户号
     */
    @ApiModelProperty(notes = "商户号")
    private String merchantNo;
}
