package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 支付盒子
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayBoxListVO {

    /**
     * 盒子id
     */
    @ApiModelProperty(notes = "盒子id")
    private Integer id;

    /**
     * 盒子名称
     */
    @ApiModelProperty(notes = "盒子名称")
    private String name;

    /**
     * 关联应用名称
     */
    @ApiModelProperty(notes = "关联应用名称")
    private String payApplicationName;

    /**
     * 关联应用类型
     */
    @ApiModelProperty(notes = "关联应用类型")
    private Integer payApplicationType;

    /**
     * 关联应用类型名称
     */
    @ApiModelProperty(notes = "关联应用类型名称")
    private String payApplicationTypeName;

    /**
     * 关联应用appId
     */
    @ApiModelProperty(notes = "关联应用appId")
    private String payApplicationAppId;

    /**
     * 关联应用原始ghId
     */
    @ApiModelProperty(notes = "关联应用原始ghId")
    private String payApplicationGhId;

    /**
     * 关联应用主体名称
     */
    @ApiModelProperty(notes = "关联应用主体名称")
    private String payApplicationCompany;

    /**
     * 商户信息列表
     */
    @ApiModelProperty(notes = "商户信息列表")
    private Map<String, String> payMerchantMap;

    /**
     * 状态: 0 正常, 1 : 不可用
     */
    @ApiModelProperty(notes = "状态: 0 正常, 1 : 不可用")
    private Integer status;

    /**
     * 商城小程序类型 1、商城百货 2、商城美妆 3、商城内容
     */
    @ApiModelProperty(notes = "商城小程序类型 1、商城百货 2、商城美妆 3、商城内容")
    private Integer storeType;

    /**
     * 商城小程序类型名称
     */
    @ApiModelProperty(notes = "商城小程序类型名称")
    private String storeTypeName;

    /**
     * 描述
     */
    @ApiModelProperty(notes = "描述")
    private String remark;
}
