package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 商户列表
 */
@Data
@NoArgsConstructor
@ApiModel
public class PayMerchantListVO {

    /**
     * 商户id
     */
    @ApiModelProperty(notes = "商户id")
    private Long id;

    /**
     * 商户号
     */
    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    /**
     * 商户名称
     */
    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    /**
     * 商户主体
     */
    @ApiModelProperty(notes = "商户主体")
    private String merchantCompany;

    /**
     * 商户平台id
     */
    @ApiModelProperty(notes = "商户平台id")
    private Long payWayId;

    /**
     * 商户平台
     */
    @ApiModelProperty(notes = "商户平台名称")
    private String payWayName;

    /**
     * 支付类型id列表
     */
    @ApiModelProperty(notes = "支付类型id列表")
    private List<Long> payDeviceIdList;

    /**
     * 支付类型名称列表
     */
    @ApiModelProperty(notes = "支付类型名称列表")
    private List<String> payDeviceNameList;

    /**
     * 商户号总收款
     */
    @ApiModelProperty(notes = "商户号总收款")
    private BigDecimal totalPayAmount;

    /**
     * 商户号本月收款
     */
    @ApiModelProperty(notes = "商户号本月收款")
    private BigDecimal mouthPayAmount;

    /**
     * 商户号本周收款
     */
    @ApiModelProperty(notes = "商户号本周收款")
    private BigDecimal weakerPayAmount;

    /**
     * 商户号今日收款
     */
    @ApiModelProperty(notes = "商户号今日收款")
    private BigDecimal dayPayAmount;

    /**
     * 登录账号
     */
    @ApiModelProperty(notes = "登录账号")
    private String account;

    /**
     * 商户号登录密码
     */
    @ApiModelProperty(notes = "商户号登录密码")
    private String password;

    /**
     * 管理员
     */
    @ApiModelProperty(notes = "管理员")
    private String manager;

    /**
     * 绑定手机号
     */
    @ApiModelProperty(notes = "绑定手机号")
    private String mobile;

    /**
     * 联系邮箱
     */
    @ApiModelProperty(notes = "联系邮箱")
    private String email;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 状态, 0 : 正常, 1 : 不可用
     */
    @ApiModelProperty(notes = "状态, 0 : 正常, 1 : 不可用")
    private Integer status;

    /**
     * 密钥
     */
    @ApiModelProperty(notes = "密钥")
    private String secretKey;
}
