package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 下单记录
 */
@Data
@ApiModel
public class UserOrderListVO {

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private String userId;

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private String id;

    /**
     * 商户订单号
     */
    @ApiModelProperty(notes = "商户订单号")
    private String orderId;

    /**
     * 游戏商品名称
     */
    @ApiModelProperty(notes = "游戏商品名称")
    private String productName;

    /**
     * 货物总价
     */
    @ApiModelProperty(notes = "货物总价")
    private BigDecimal amount;

    /**
     * 支付状态，1待支付，2 支付成功，-1 已取消
     */
    @ApiModelProperty(notes = "支付状态，1待支付，2 支付成功，-1 已取消")
    private Integer status;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏应用类型
     */
    @ApiModelProperty(notes = "游戏应用类型")
    private String gameCategoryName;

    /**
     * 充值游戏角色名称
     */
    @ApiModelProperty(notes = "充值游戏角色名称")
    private String roleName;

    /**
     * 订单时间
     */
    @ApiModelProperty(notes = "订单时间")
    private LocalDateTime createTime;

}
