package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameAuthGroupAddUpdateParam;
import com.zanxiang.game.module.manage.pojo.params.GameAuthGroupListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameAuthGroupVO;
import com.zanxiang.game.module.mybatis.entity.GameAuthGroup;

/**
 * @author : lingfeng
 * @time : 2024-05-20
 * @description : 授权分组
 */
public interface IGameAuthGroupService extends IService<GameAuthGroup> {

    /**
     * 分页查询授权分组
     *
     * @param param : 查询参数
     * @return : 返回分页数据
     */
    IPage<GameAuthGroupVO> listOfPage(GameAuthGroupListParam param);

    /**
     * 添加修改分组
     *
     * @param param : 参数
     * @return : 返回执行结果
     */
    boolean addOrUpdate(GameAuthGroupAddUpdateParam param);

    /**
     * 删除
     *
     * @param id : 主键id
     * @return : 返回结果
     */
    boolean deleteById(Long id);
}
