package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GamePayStrategyAddUpdateParam;
import com.zanxiang.game.module.manage.pojo.params.GamePayStrategyListParam;
import com.zanxiang.game.module.manage.pojo.vo.GamePayStrategyListVO;
import com.zanxiang.game.module.mybatis.entity.GamePayStrategy;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 游戏策略
 */
public interface IGamePayStrategyService extends IService<GamePayStrategy> {

    /**
     * 添加或更新
     *
     * @param param 参数
     * @return boolean
     */
    boolean addOrUpdate(GamePayStrategyAddUpdateParam param);

    /**
     * 页面列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link GamePayStrategyListVO}>
     */
    IPage<GamePayStrategyListVO> pageList(GamePayStrategyListParam param);

    /**
     * 状态更新
     *
     * @param id     id
     * @param status 状态
     * @return {@link Boolean}
     */
    Boolean statusUpdate(Long id, Integer status);

    /**
     * 删除通过id
     *
     * @param id id
     * @return boolean
     */
    boolean deleteById(Long id);
}
