package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.vo.GameSupperVO;
import com.zanxiang.game.module.mybatis.entity.GameSupper;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-09-12
 * @description :
 */
public interface IGameSupperService extends IService<GameSupper> {

    /**
     * 根据子游戏获取超父游戏信息
     *
     * @param gameId : 游戏id
     * @return : 返回超父游戏
     */
    GameSupper getGameSupperByGameId(Long gameId);

    /**
     * 获取超父游戏
     *
     * @return {@link List}<{@link GameSupperVO}>
     */
    List<GameSupperVO> getGameSupperList();
}
