package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameUserConfigAddUpdateParam;
import com.zanxiang.game.module.manage.pojo.params.GameUserConfigListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameUserConfigListVO;
import com.zanxiang.game.module.mybatis.entity.GameUserConfig;

/**
 * @author : lingfeng
 * @time : 2023-08-09
 * @description : 有效用户配置
 */
public interface IGameUserConfigService extends IService<GameUserConfig> {

    /**
     * 添加或更新
     *
     * @param param 参数
     * @return boolean
     */
    boolean addOrUpdate(GameUserConfigAddUpdateParam param);

    /**
     * 列表页面
     *
     * @param param 参数
     * @return {@link IPage}<{@link GameUserConfigListVO}>
     */
    IPage<GameUserConfigListVO> listOfPage(GameUserConfigListParam param);

    /**
     * 删除通过id
     *
     * @param id id
     * @return boolean
     */
    boolean deleteById(Long id);
}
