package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.module.manage.pojo.params.IpBanAddParam;
import com.zanxiang.game.module.manage.pojo.params.IpBanListParam;
import com.zanxiang.game.module.manage.pojo.params.IpBanUpdateParam;
import com.zanxiang.game.module.manage.pojo.vo.IpBanVO;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁管理
 */
public interface IIpBanService {

    /**
     * 查询ip封禁列表
     *
     * @param param : 查询参数
     * @return {@link IPage}<{@link IpBanVO}>
     */
    IPage<IpBanVO> list(IpBanListParam param);

    /**
     * 添加封禁ip
     *
     * @param param : 添加的ip列表
     * @return {@link Boolean}
     */
    Boolean addIp(IpBanAddParam param);

    /**
     * ip封禁或者解封
     *
     * @param param : ip封禁更新参数
     * @return {@link Boolean}
     */
    Boolean ipBanOrRemove(IpBanUpdateParam param);
}
