package com.zanxiang.game.module.manage.service;

import com.zanxiang.game.module.manage.pojo.params.KfApiParam;
import com.zanxiang.game.module.manage.pojo.vo.KfGameVO;
import org.springframework.web.multipart.MultipartFile;
import reactor.util.function.Tuple2;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-11-28
 * @description :
 */
public interface IKfMsgService {

    /**
     * 消息上传
     *
     * @param param : 接口参数
     * @param files : 文件
     * @return : 返回发送结果
     */
    Tuple2<String, String> uploadMsg(KfApiParam param, MultipartFile files);

    /**
     * 获取游戏列表
     *
     * @return : 返回游戏列表
     */
    List<KfGameVO> getKfGameList();

    /**
     * 腾讯通用api接口
     *
     * @param param : 请求参数
     * @return : 返回结果
     */
    String kfApi(KfApiParam param);
}
