package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.dto.KfWebSocketMsgDTO;
import com.zanxiang.game.module.manage.pojo.params.KfWebSocketMsgParam;
import com.zanxiang.game.module.mybatis.entity.KfQuickReply;
import reactor.util.function.Tuple2;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-03-05
 * @description : 客服快捷回复
 */
public interface IKfQuickReplyService extends IService<KfQuickReply> {

    /**
     * 添加快捷回复
     *
     * @param param : 参数
     * @return : 返回结果
     */
    boolean quickReplyAdd(KfWebSocketMsgParam.QuickReplyBean param);

    /**
     * 删除快捷回复
     *
     * @param param : 参数
     * @return : 返回结果
     */
    boolean quickReplyDelete(KfWebSocketMsgParam.QuickReplyBean param);

    /**
     * 更新快捷回复
     *
     * @param param : 参数
     * @return : 返回结果
     */
    boolean quickReplyUpdate(KfWebSocketMsgParam.QuickReplyBean param);

    /**
     * 分页查询
     *
     * @param pageBean : 分页参数
     * @return : 返回
     */
    Tuple2<KfWebSocketMsgDTO.PageBean, List<KfWebSocketMsgDTO.QuickReplyBean>> quickReplyList(KfWebSocketMsgParam.PageBean pageBean);
}
