package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.dto.KfWebSocketMsgDTO;
import com.zanxiang.game.module.mybatis.entity.KfSessionUser;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-02-23
 * @description : 客服聊天玩家信息
 */
public interface IKfSessionUserService extends IService<KfSessionUser> {

    /**
     * 查询玩家信息
     *
     * @param openId : 玩家id
     * @param gameId : 游戏id
     * @return : 返回玩家信息
     */
    KfSessionUser getById(String openId, Long gameId);

    /**
     * 获取待接入列表
     *
     * @param gameId : 游戏id
     * @return : 返回待接入列表
     */
    List<KfWebSocketMsgDTO.WaitUserBean> getWaitUserList(Long gameId);
}
