package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.KfUserUpdateParam;
import com.zanxiang.game.module.mybatis.entity.KfUser;

/**
 * @author : lingfeng
 * @time : 2023-11-28
 * @description : 客服用户信息
 */
public interface IKfUserService extends IService<KfUser> {

    /**
     * 获取客服用户信息
     *
     * @param kfUserId : 用户id
     * @param appId    : 应用id
     * @return : 返回用户信息
     */
    KfUser getKfUser(Long kfUserId, String appId);

    /**
     * 获取授权信息
     *
     * @param appId : 应用id
     * @return : 返回授权信息
     */
    String getAuthCode(String appId);

    /**
     * 授权信息更新
     *
     * @param param : 授权参数
     * @return : 返回更新结果
     */
    Boolean kfUserUpdate(KfUserUpdateParam param);
}
