package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.ListenCall;

/**
 * @author : lingfeng
 * @time : 2024-01-16
 * @description : 监听呼叫
 */
public interface IListenCallService extends IService<ListenCall> {

    /**
     * 监测异常发送钉钉通知
     *
     * @param gameId  : 游戏id
     * @param isSuper : 是否超父
     * @param content : 通知内容
     */
    void sendDingTalkMsg(Long gameId, boolean isSuper, String content);

    /**
     * 监测异常电话通知
     *
     * @param gameId     : 游戏id
     * @param isSuper    : 是否超父
     * @param listenName : 模块名称
     */
    void sendPhoneTalkMsg(Long gameId, boolean isSuper, String listenName);

}
