package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.MiPaySumListParam;
import com.zanxiang.game.module.manage.pojo.vo.MiPaySumListVO;
import com.zanxiang.game.module.mybatis.entity.MiPaySum;

import java.math.BigDecimal;

/**
 * @author : lingfeng
 * @time : 2023-06-21
 * @description :
 */
public interface IMiPaySumService extends IService<MiPaySum> {

    /**
     * 添加
     *
     * @param gameId     游戏id
     * @param appId      应用程序id
     * @param miPayAppId mi支付应用程序id
     */
    void add(Long gameId, String appId, String miPayAppId);

    /**
     * 页面列表
     *
     * @param param 前端传递的查询参数实体
     * @return {@link IPage}<{@link MiPaySumListVO}>
     */
    IPage<MiPaySumListVO> pageList(MiPaySumListParam param);

    /**
     * 状态更新
     *
     * @param id     主键id
     * @param status 状态
     * @return boolean
     */
    boolean statusUpdate(Long id, Integer status);

    /**
     * 米大师最大支付额度修改
     *
     * @param id          id
     * @param maxPayCount 马克斯支付数
     * @return boolean
     */
    boolean maxPayCountUpdate(Long id, BigDecimal maxPayCount);
}
