package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.dto.PayBoxDTO;
import com.zanxiang.game.module.manage.pojo.params.PayBoxAddUpdateParam;
import com.zanxiang.game.module.manage.pojo.params.PayBoxListParam;
import com.zanxiang.game.module.manage.pojo.vo.PayBoxChoiceVO;
import com.zanxiang.game.module.manage.pojo.vo.PayBoxListVO;
import com.zanxiang.game.module.mybatis.entity.PayBox;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 支付盒子
 */
public interface IPayBoxService extends IService<PayBox> {

    /**
     * 支付框选择列表
     *
     * @return {@link List}<{@link PayBoxChoiceVO}>
     */
    List<PayBoxChoiceVO> payBoxChoiceList();

    /**
     * 列表
     *
     * @param param 参数
     * @return {@link IPage}<{@link PayBoxListVO}>
     */
    IPage<PayBoxListVO> pageList(PayBoxListParam param);

    /**
     * 支付应用添加或者更新
     *
     * @param param : 参数
     * @return : 返回结果
     */
    Boolean addOrUpdate(PayBoxAddUpdateParam param);

    /**
     * 状态更新
     *
     * @param id     id
     * @param status 状态
     * @return {@link Boolean}
     */
    Boolean statusUpdate(Long id, Integer status);

    /**
     * 删除通过id
     *
     * @param id id
     * @return boolean
     */
    boolean deleteById(Long id);

    /**
     * 通过支付盒子id
     *
     * @param payBoxId 盒子支付id
     * @return {@link PayBoxDTO}
     */
    PayBoxDTO getByPayBoxId(Long payBoxId);
}
