package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.UserNameAuthListParam;
import com.zanxiang.game.module.manage.pojo.vo.UserCardVO;
import com.zanxiang.game.module.mybatis.entity.UserCard;

/**
 * @author : lingfeng
 * @time : 2022-09-26
 * @description : 用户实名认证
 */
public interface IUserCardService extends IService<UserCard> {

    /**
     * 获取玩家实名认证列表
     *
     * @param param : 查询参数
     * @return {@link IPage}<{@link UserCardVO}>
     */
    IPage<UserCardVO> getUserCardList(UserNameAuthListParam param);

    /**
     * 通过用户id
     *
     * @param userId 用户id
     * @return {@link UserCardVO}
     */
    UserCardVO getByUserId(Long userId);
}
