package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-06-27
 * @description : CP推送数据错误日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_cp_push_error_log")
public class CpPushErrorLog implements Serializable {

    private static final long serialVersionUID = 1L;

    public final static Integer STATUS_VALID = 0;
    public final static Integer STATUS_INVALID = 1;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 数据分类
     */
    private String dataType;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 玩家应用唯一标识
     */
    private String openId;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 请求参数
     */
    private String param;

    /**
     * 异常消息
     */
    private String errorMsg;

    /**
     * 有效状态, 0 : 有效, 1 : 无效,可删除
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
