package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-03-14
 * @description : cp发送消息记录
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_cp_send_msg_log")
public class CpSendMsgLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消息id
     */
    @TableId(value = "msg_id", type = IdType.INPUT)
    private String msgId;

    /**
     * 任务id
     */
    private Long taskId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 角色执行人数
     */
    private Integer roleCount;

    /**
     * 成功人数
     */
    private Long successCount;

    /**
     * 失败人数
     */
    private Long failCount;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}