package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-07-06
 * @description : 小游戏壳包控制
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_applet_shell")
public class GameAppletShell implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 是否在申诉
     */
    private Boolean isAppeal;

    /**
     * 线上版本号
     */
    private String proVersion;

    /**
     * 提审版本号
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String arraignVersion;

    /**
     * 壳包控制类型, 0:关闭, 1:开启, 2:新用户开启, 老用户关闭, 3:角色等级控制开启
     */
    private Integer proControlType;

    /**
     * 壳包控制等级, 类型为3时, 必填
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long proControlLevel;

    /**
     * 壳跳出按钮开关
     */
    private Boolean isSkipSwitch;

    /**
     * 状态 0正常 1 不可用
     */
    private Integer status;

    /**
     * 0正常,1 删除
     */
    private Integer isDelete;

    /**
     * 创建人
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新操作人
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 测试版本
     */
    private String testVersion;

    /**
     * 省份屏蔽
     */
    private String provShield;

}
