package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 注释游戏策略
 *
 * @author xufeng
 * @date 2022-07-01 11:38
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_pay_strategy")
public class GamePayStrategy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 策略名称
     */
    private String name;

    /**
     * 策略类型 1: 切换规则, 2: 显示规则, 3: 订单起量切换规则
     */
    private Integer type;

    /**
     * 关联游戏id
     */
    private Long gameId;

    /**
     * 总支付额度
     */
    private BigDecimal totalPayAmount;

    /**
     * 月已用额度
     */
    private BigDecimal mouthPayAmount;

    /**
     * 周已用额度
     */
    private BigDecimal weakerPayAmount;

    /**
     * 日已用额度
     */
    private BigDecimal dayPayAmount;

    /**
     * 状态 1 不可用 0 可用
     */
    private Integer status;

    /**
     * 是否已删除 1 已删除 0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
