package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 游戏支付配置表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_pay_way")
public class GamePayWay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 支付渠道id
     */
    private Long payWayId;

    /**
     * 支付方式id
     */
    private Long payDeviceId;

    /**
     * 支付名称
     */
    private String payName;

    /**
     * 支付盒子id
     */
    private Long payBoxId;

    /**
     * 应用appId
     */
    private String appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 客服消息卡片图片地址
     */
    private String thumbUrl;

    /**
     * 描述
     */
    private String remark;

    /**
     * 状态 1 不可用 0 可用
     */
    private Integer status;

    /**
     * 是否已删除 1 已删除 0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}