package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏策略具体配置表
 * @date 2023/11/29 14:01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_policy_config")
public class GamePolicyConfig {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 超父游戏ID
     */
    private Long superGameId;

    /**
     * 策略类型:1-追踪玩家;2-玩家流失;3-新用户追踪
     */
    private Long type;

    /**
     * 游戏策略的配置参数，json数据:amount-金额;time-时间（小时）
     */
    private String configParam;

    /**
     * 配置说明
     */
    private String configExplain;

    /**
     * 告警人员(字符串)
     */
    private String userIds;

    /**
     * 排除标签ID(字符串)
     */
    private String tagIds;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 1 正常  0 删除
     */
    private Boolean enabled;

}
