package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-03-13
 * @description : 游戏区服指派记录
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_server_assign_log")
public class GameServerAssignLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 指派类型
     */
    private String assignType;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 旧的客服ids
     */
    private String oldUserIds;

    /**
     * 新的客服ids
     */
    private String newUserIds;

    /**
     * 创建者id
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}