package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 游戏vip档位表(TGameVip)实体类
 *
 * @author makejava
 * @since 2023-11-20 14:12:05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game_vip")
public class GameVip implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 超父游戏ID
     */
    private Long superGameId;

    /**
     * 父游戏ID
     */
    private Long parentGameId;

    /**
     * 充值金额最小
     */
    private BigDecimal rechargeMoneyMin;

    /**
     * 充值金额最大
     */
    private BigDecimal rechargeMoneyMax;

    /**
     * vip档位
     */
    private Integer vipLevel;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 1 删除  0正常
     */
    private Integer isDelete;

}

