package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-02-23
 * @description : ${description}
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_kf_room_msg")
public class KfRoomMsg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消息id
     */
    @TableId(value = "msg_id", type = IdType.INPUT)
    private String msgId;

    /**
     * 消息类型
     */
    private String msgType;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 玩家open_id
     */
    private String openId;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 客服id
     */
    private Long kfUserId;

    /**
     * 已读状态
     */
    private Boolean readStatus;

    /**
     * 房间id
     */
    private Long roomId;

    /**
     * 消息归属
     */
    private String msgOwner;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 源数据
     */
    private String source;

    /**
     * 排序时间
     */
    private Long sortTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}