package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-02-23
 * @description : ${description}
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_kf_session_user")
public class KfSessionUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 玩家openId
     */
    private String openId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 是否待接入
     */
    private Boolean isWait;

    /**
     * 开始等待时间
     */
    private LocalDateTime waitStartTime;

    /**
     * 最近角色id
     */
    private String lastRoleId;

    /**
     * 最近角色名称
     */
    private String lastRoleName;

    /**
     * 游戏服务器id,默认为0
     */
    private String serverId;

    /**
     * 所在服务器名称
     */
    private String serverName;

    /**
     * 消息来源
     */
    private String sessionFrom;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}