package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-03-11
 * @description : 客服系统回复
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_kf_system_reply")
public class KfSystemReply {

    /**
     * 游戏
     */
    @TableId(value = "game_id", type = IdType.INPUT)
    private Long gameId;

    /**
     * APPID
     */
    private String appId;

    /**
     * 下班回复
     */
    private String sysReply;

    /**
     * 上班回复
     */
    private String workSysReply;

    /**
     * 充值回复开关
     */
    private Boolean rechargeReplySwitch;

    /**
     * 充值回复金额限定
     */
    private Integer rechargeReplyAmount;

    /**
     * 充值回复内容
     */
    private String rechargeReplyContent;

    /**
     * 充值回复图片
     */
    private String rechargeReplyPicture;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}