package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-06-21
 * @description : 米大师支付统计
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_mi_pay_sum")
public class MiPaySum implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 小游戏应用id
     */
    private String appId;

    /**
     * 米大师应用id
     */
    private String miPayAppId;

    /**
     * 最大支付额度锁 0 正常 1 锁定
     */
    private Integer maxPayLock;

    /**
     * 最大支付额度
     */
    private BigDecimal maxPayAmount;

    /**
     * 总支付金额
     */
    private BigDecimal totalPayAmount;

    /**
     * 月已用支付额度
     */
    private BigDecimal mouthPayAmount;

    /**
     * 月更新日期
     */
    private LocalDateTime mouthUpdateDate;

    /**
     * 周已用额度
     */
    private BigDecimal weakerPayAmount;

    /**
     * 周更新日期
     */
    private LocalDateTime weakerUpdateDate;

    /**
     * 日已用额度
     */
    private BigDecimal dayPayAmount;

    /**
     * 日更新日期
     */
    private LocalDateTime dayUpdateDate;

    /**
     * 状态 1 不可用 0 正常
     */
    private Integer status;

    /**
     * 1 删除  0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
