package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 游戏应用表
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_pay_application")
public class PayApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 应用appId
     */
    private String appId;

    /**
     * 应用原始id
     */
    private String ghId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 类型,1 : 小程序, 2 : 公众号,3 : 支付宝应用
     */
    private Integer type;

    /**
     * 应用密钥
     */
    private String appSecret;

    /**
     * 应用跳转路径
     */
    private String path;

    /**
     * 小程序收款商户
     */
    private String merchantNo;

    /**
     * 应用主体
     */
    private String company;

    /**
     * 登录账号
     */
    private String account;

    /**
     * 登录密码
     */
    private String password;

    /**
     * 管理员
     */
    private String manager;

    /**
     * 管理员微信
     */
    private String managerVx;

    /**
     * 备注
     */
    private String remark;

    /**
     * 应用头像
     */
    private String headImg;

    /**
     * 应用二维码
     */
    private String qrCode;

    /**
     * 1 删除  0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 状态, 0 正常, 1 不可用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
