package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 支付盒子
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_pay_box")
public class PayBox implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 名称
     */
    private String name;

    /**
     * 应用id
     */
    private String appId;

    /**
     * 商户号（多个逗号分割）
     */
    private String merchantNos;

    /**
     * 盒子类型 1、小程序 2、公众号 2、支付宝
     */
    private Integer type;

    /**
     * 商城小程序类型 1、商城百货 2、商城美妆 3、商城内容
     */
    private Integer storeType;

    /**
     * 描述
     */
    private String remark;

    /**
     * 状态 1 不可用 0 正常
     */
    private Integer status;

    /**
     * 1 删除  0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
