package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 游戏支付商户配置表
 *
 * @author xufeng
 * @date 2022-06-16 18:56
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_pay_merchant")
public class PayMerchant implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 商户主体
     */
    private String merchantCompany;

    /**
     * 支付渠道id
     */
    private Long payWayId;

    /**
     * 商户号登录账号
     */
    private String account;

    /**
     * 商户号登录密码
     */
    private String password;

    /**
     * 管理员
     */
    private String manager;

    /**
     * 绑定手机号
     */
    private String mobile;

    /**
     * 绑定邮箱
     */
    private String email;

    /**
     * 支付配置
     */
    private String payConfig;

    /**
     * 最大支付额度锁 0 正常 1 锁定
     */
    private Integer maxPayLock;

    /**
     * 最大支付额度
     */
    private BigDecimal maxPayAmount;

    /**
     * 总支付金额
     */
    private BigDecimal totalPayAmount;

    /**
     * 月已用支付额度
     */
    private BigDecimal mouthPayAmount;

    /**
     * 月更新日期
     */
    private LocalDateTime mouthUpdateDate;

    /**
     * 周已用额度
     */
    private BigDecimal weakerPayAmount;

    /**
     * 周更新日期
     */
    private LocalDateTime weakerUpdateDate;

    /**
     * 日已用额度
     */
    private BigDecimal dayPayAmount;

    /**
     * 日更新日期
     */
    private LocalDateTime dayUpdateDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态 1 不可用 0 正常
     */
    private Integer status;

    /**
     * 1 删除  0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建者id
     */
    private Long createById;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者id
     */
    private Long updateById;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 支付方式id列表
     */
    private String payDeviceIds;
}
