package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 支付方式
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_pay_way")
public class PayWay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 支付方式
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 支付渠道标识
     */
    private String payWayKey;

    /**
     * 支付渠道名称
     */
    private String payWayName;

    /**
     * 状态 1 不可用 0 可用
     */
    private Integer status;

    /**
     * 是否已删除 1 已删除 0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}