package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-05-27
 * @description : 玩家消息推送执行日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_push_msg_send_log")
public class PushMsgSendLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "msg_id", type = IdType.INPUT)
    private String msgId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 策略id
     */
    private Long strategyId;

    /**
     * 文本内容
     */
    private String text;

    /**
     * 角色执行人数
     */
    private Integer roleCount;

    /**
     * 成功人数
     */
    private Long successCount;

    /**
     * 失败人数
     */
    private Long failCount;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}