package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-05-23
 * @description : 玩家消息推送执行结果
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_push_msg_send_result")
public class PushMsgSendResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 消息id
     */
    private String msgId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 策略id
     */
    private Long strategyId;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 发送状态
     */
    private String sendStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}