package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-05-23
 * @description : 玩家消息推送执行策略
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_push_msg_strategy")
public class PushMsgStrategy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 策略类型
     */
    private String strategyType;

    /**
     * 渠道类型
     */
    private String agentType;

    /**
     * 最大注册天数
     */
    private Integer regDayMax;

    /**
     * 最大发送次数
     */
    private Integer sendCountMax;

    /**
     * 最小充值金额
     */
    private Long rechargeMoneyMin;

    /**
     * 发送时间间隔(分钟)
     */
    private Integer sendTimeInterval;

    /**
     * 是否排除已加企微
     */
    private Boolean excludeAddWechat;

    /**
     * 角色最小等级
     */
    private Integer roleLevelMin;

    /**
     * 角色最大等级
     */
    private Integer roleLevelMax;

    /**
     * 首角色限定开关
     */
    private Boolean firstRoleSwitch;

    /**
     * 是否开启角色测试
     */
    private Boolean roleTestSwitch;

    /**
     * 1:删除,0: 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}