package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-05-23
 * @description : 玩家消息推送话术策略
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_push_msg_text_strategy")
public class PushMsgTextStrategy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 最小充值金额
     */
    private Long rechargeMoneyMin;

    /**
     * 最大充值金额
     */
    private Long rechargeMoneyMax;

    /**
     * 角色最小等级
     */
    private Integer roleLevelMin;

    /**
     * 角色最大等级
     */
    private Integer roleLevelMax;

    /**
     * 话术文本
     */
    private String text;

    /**
     * 1:删除,0: 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}