package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 角色指派记录表
 * </p>
 *
 * @author auto
 * @since 2023-09-09
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_role_assign_record")
public class RoleAssignRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 区服id
     */
    private String serverId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 注册渠道id
     */
    private String regAgentId;

    /**
     * 开始时间
     */
    private LocalDate startTime;

    /**
     * 结束时间
     */
    private LocalDate endTime;

    /**
     * GS
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long gsId;

    /**
     * 客服
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long customerServiceId;

    /**
     * 运营
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long operUserId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否GS变更
     */
    private Boolean isGsUpdate;

    /**
     * 是否客服变更
     */
    private Boolean isCustomerUpdate;

    /**
     * 是否运营变更
     */
    private Boolean isOperUpdate;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 1 删除  0正常
     */
    private Integer isDelete;


}
