package com.zanxiang.game.module.sdk.pojo.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-02-17
 * @description : 支付宝短链
 */
@Data
public class AliPayLinkDTO {

    private DataBean data;
    private ParamsBean params;
    private String refreshNoAuth;
    private boolean success;

    @Data
    public static class DataBean {

        private BizDataBean bizData;
        private boolean bizError;
        private ClientLogDataBean clientLogData;
        private String controlType;
        private boolean fromSdk;
        private String mcSessionId;
        private boolean noNetwork;
        private String rsaPubKey;
        private String umidToken;
        private String userId;

        @Data
        public static class BizDataBean {

            private boolean forceAppPay;
            private boolean h5ToNative;
            private String isSupportMobileDowntime;
            private String orderAmount;
            private InvokeAlipayDataBean invokeAlipayData;
            private String orderInfo;
            private String waitQueryTime;
            private String h5RouteToken;
            private PropagateForH5LoginBean propagateForH5Login;

            @Data
            public static class InvokeAlipayDataBean {

                private String requestType;
                private String fromAppUrlScheme;
                private String dataString;
            }

            @Data
            public static class PropagateForH5LoginBean {
            }
        }

        @Data
        public static class ClientLogDataBean {

            private String bizType;
            private String outTradeNo;
            private String partnerId;
            private String salesProductCode;
            private String serverName;
            private String traceId;
        }
    }

    @Data
    public static class ParamsBean {

        private String server_param;
        private String contextId;
    }
}
