package com.zanxiang.game.module.sdk.pojo.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-01-12
 * @description : 商户号信息
 */
@Data
public class PayMerchantDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 支付渠道id
     */
    private Long payWayId;

    /**
     * 支付渠道名称
     */
    private String payWayName;

    /**
     * 支付配置
     */
    private String payConfig;

    /**
     * 最大支付额度锁 0 正常 1 锁定
     */
    private Integer maxPayLock;

    /**
     * 最大支付额度
     */
    private BigDecimal maxPayAmount;

    /**
     * 总支付金额
     */
    private BigDecimal totalPayAmount;

    /**
     * 月已用支付额度
     */
    private BigDecimal mouthPayAmount;

    /**
     * 月更新日期
     */
    private LocalDateTime mouthUpdateDate;

    /**
     * 周已用额度
     */
    private BigDecimal weakerPayAmount;

    /**
     * 周更新日期
     */
    private LocalDateTime weakerUpdateDate;

    /**
     * 日已用额度
     */
    private BigDecimal dayPayAmount;

    /**
     * 日更新日期
     */
    private LocalDateTime dayUpdateDate;
}
