package com.zanxiang.game.module.sdk.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 支付调起生成相关参数
 *
 * @author xufeng
 * @date 2022/6/8 15:21
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ProductPayParamDTO {

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 玩家id
     */
    private Long userId;

    /**
     * 商品ID
     */
    private String productId;

    /**
     * 订单名称
     */
    private String subject;

    /**
     * 商品描述
     */
    private String body;

    /**
     * 总金额(单位是分)
     */
    private String totalFee;

    /**
     * 订单号(唯一)
     */
    private String outTradeNo;

    /**
     * 发起人IP地址
     */
    private String spbillCreateIp;

    /**
     * 支付类型, 1:PC, 2: h5支付, 3: App支付, 4: 小程序支付, 5: 米大师支付, 6:客服支付
     */
    private Long payDevice;

    /**
     * 支付类型(1:支付宝 2:微信 3:米大师)
     */
    private Long payWay;

    /**
     * 微信小程序商城支付code
     */
    private String code;

    /**
     * 公众号支付的openId
     */
    private String openId;

    /**
     * 支付类型详情（android / ios/ window）
     */
    private String deviceSystem;

}
