package com.zanxiang.game.module.sdk.pojo.dto;

import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-21
 * @description : 用户授权信息
 */
@Data
@Builder
public class UserOauthDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 关联的本站用户id
     */
    private Long userId;

    /**
     * 用户来源（微信/QQ/华为）
     */
    private String from;

    /**
     * 配置ID
     */
    private String confId;

    /**
     * 第三方open id
     */
    private String openid;

    /**
     * 第三方秘钥
     */
    private String accessToken;

    /**
     * 第三方唯一用户id
     */
    private String unionid;

    /**
     * 第三方昵称
     */
    private String nickname;

    /**
     * 国家
     */
    private String country;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 1 男 2 女 3 未知
     */
    private Boolean six;

    /**
     * 头像
     */
    private String avatar;

    /**
     * access_token过期时间
     */
    private Long expiresIn;

    /**
     * 扩展信息
     */
    private String more;

    /**
     * 最后登录ip
     */
    private String lastLoginIp;

    /**
     * 最后登录时间
     */
    private Long lastLoginTime;

    /**
     * 绑定时间
     */
    private LocalDateTime createTime;
}
