package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-09-26
 * @description : 绑定手机号参数
 */
@Data
public class BindPhoneParam {

    /**
     * 手机号
     */
    @ApiModelProperty(notes = "手机号")
    @NotBlank(message = "手机号不可为空")
    private String mobile;

    /**
     * 验证码
     */
    @ApiModelProperty(notes = "验证码")
    @NotBlank(message = "验证码不可为空")
    private String code;
}
