package com.zanxiang.game.module.sdk.pojo.param;

import com.zanxiang.game.module.sdk.enums.CallBackTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2024-06-26
 * @description : 回传控制请求参数
 */
@Data
public class CallBackControlParam {

    /**
     * 用户行为回传类型
     */
    @NotNull(message = "用户行为回传类型不可为空")
    private CallBackTypeEnum callBackTypeEnum;

    /**
     * 订单id, 当行为类型为下单, 支付时, 则订单id必传
     */
    private String orderId;

    /**
     * 角色id, 当行为类型为激活(创建角色)时, 需要传
     */
    private String roleId;
}
