package com.zanxiang.game.module.sdk.pojo.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-06-24
 * @description : CP推送角色数据
 */
@Data
public class CpPushRoleParam {

    /**
     * 玩家唯一应用标识
     */
    @NotBlank(message = "玩家openId不可为空")
    private String openId;

    /**
     * 角色id
     */
    @NotBlank(message = "角色id不可为空")
    private String roleId;

    /**
     * 角色名称
     */
    @NotBlank(message = "角色名称不可为空")
    private String roleName;

    /**
     * 角色等级
     */
    @NotNull(message = "角色等级不可为空")
    private Long roleLevel;

    /**
     * 区服id
     */
    @NotBlank(message = "区服id不可为空")
    private String serverId;

    /**
     * 区服名称
     */
    @NotBlank(message = "区服名称不可为空")
    private String serverName;

    /**
     * 角色创建时间
     */
    @NotNull(message = "角色创建时间不可为空")
    private LocalDateTime createTime;

    /**
     * 角色战力
     */
    private Long rolePower;

    /**
     * 角色VIP等级
     */
    private Long roleVipLevel;

    /**
     * 角色拓展信息
     */
    private Object extra;
}
