package com.zanxiang.game.module.sdk.pojo.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2024-06-20
 * @description : CP推送玩家数据
 */
@Data
public class CpPushUserParam {

    /**
     * 玩家唯一应用标识
     */
    @NotBlank(message = "玩家openId不可为空")
    private String openId;

    /**
     * 玩家注册时间
     */
    @NotNull(message = "玩家注册时间不可为空")
    private LocalDateTime regTime;

    /**
     * 最近活跃时间
     */
    @NotNull(message = "最近活跃时间不可为空")
    private LocalDateTime activeTime;

    /**
     * 广告渠道
     */
    @NotBlank(message = "广告渠道channel不可为空")
    private String channel;

    /**
     * 网络IP
     */
    @NotBlank(message = "网络IP不可为空")
    private String ip;

    /**
     * 请求UA
     */
    private String ua;

    /**
     * 操作系统
     */
    @NotBlank(message = "操作系统不可为空")
    private String os;

    /**
     * 分享玩家openId
     */
    private String shareOpenId;
}
