package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-09-26
 * @description : 忘记密码找回参数
 */
@Data
public class FindPasswordParam {

    /**
     * 用户名
     */
    @ApiModelProperty(notes = "用户名")
    private String userName;

    /**
     * 手机号
     */
    @ApiModelProperty(notes = "手机号")
    @NotBlank(message = "手机号不可为空")
    private String mobile;

    /**
     * 验证码
     */
    @ApiModelProperty(notes = "验证码")
    @NotBlank(message = "验证码不可为空")
    private String code;

    /**
     * 新密码
     */
    @ApiModelProperty(notes = "新密码")
    @NotBlank(message = "新密码不可为空")
    private String newPassword;
}
