package com.zanxiang.game.module.sdk.pojo.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2023-07-17
 * @description : 游戏提现参数
 */
@Data
public class GameRemitLogParam {

    /**
     * 用户id
     */
    @NotNull(message = "用户id不可为空")
    private Long userId;

    /**
     * 游戏id
     */
    @NotBlank(message = "游戏应用id不可为空")
    private String appId;

    /**
     * 交易订单号
     */
    @NotBlank(message = "交易订单号不可为空")
    private String merchantOrderNo;

    /**
     * 金额(单位 : 分)
     */
    @NotNull(message = "金额不可为空")
    private Long amount;

    /**
     * 提现平台,  1 : 支付宝, 2 : 微信
     */
    @NotNull(message = "提现平台不可为空")
    private Integer payPlatform;

    /**
     * 提现账号
     */
    @NotBlank(message = "提现账号不可为空")
    private String payAccount;

    /**
     * 提现时间
     */
    @NotNull(message = "提现时间不可为空")
    private Long createdTime;

    /**
     * 加密标识
     */
    @NotBlank(message = "加密标识不可为空")
    private String sign;
}
