package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2023-08-10
 * @description : 用户角色活跃上报参数
 */
@Data
public class GameRoleActiveCallParam {

    /**
     * 服务器id
     */
    @NotBlank(message = "服务器id不可为空")
    @ApiModelProperty(notes = "服务器id")
    private String serverId;

    /**
     * 角色id
     */
    @NotBlank(message = "角色id不可为空")
    @ApiModelProperty(notes = "角色id")
    private String roleId;

    /**
     * 角色等级
     */
    @NotNull(message = "角色等级不可为空")
    @ApiModelProperty(notes = "角色等级")
    private Long roleLevel;
}
