package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏壳包日志提交参数
 */
@Data
public class GameShellLogParam {

    /**
     * 前端当前版本
     */
    @NotBlank(message = "前端当前版本不可为空")
    @ApiModelProperty(notes = "前端当前版本")
    private String version;

    /**
     * 日志内容
     */
    @NotBlank(message = "日志内容不可为空")
    @ApiModelProperty(notes = "日志内容")
    private String data;
}
