package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2024-04-17
 * @description : 角色信息提交接口
 */
@Data
public class GameUserRoleSubmitParam {

    /**
     * 游戏id
     */
    @ApiModelProperty("游戏id")
    @NotBlank(message = "游戏id不可为空")
    private String gameId;

    /**
     * 玩家id
     */
    @ApiModelProperty("玩家id")
    @NotNull(message = "玩家id不可为空")
    private Long userId;

    /**
     * 操作系统
     */
    @NotNull(message = "操作系统不可为空")
    private String os;

    /**
     * 接口token
     */
    @ApiModelProperty("接口token")
    @NotBlank(message = "接口token不可为空")
    private String token;

    /**
     * 加密参数
     */
    @ApiModelProperty("加密参数")
    @NotBlank(message = "加密参数不可为空")
    private String sign;

    /**
     * 角色信息参数
     */
    @ApiModelProperty("角色信息")
    @NotNull(message = "角色信息不可为null")
    private GameUserRoleUpdateParam gameUserRoleParam;
}
