package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 游戏角色
 *
 * @author : xufeng
 * @time : 2022-07-21
 */
@Data
public class GameUserRoleUpdateParam {

    /**
     * 上报类型
     */
    @ApiModelProperty("上报类型")
    @NotNull(message = "上报类型不可为空")
    private Integer dataType;

    /**
     * 角色id
     */
    @ApiModelProperty("角色id")
    @NotBlank(message = "角色id不可为空")
    private String roleId;

    /**
     * 角色名称
     */
    @ApiModelProperty("角色名称")
    @NotBlank(message = "角色名称不可为空")
    private String roleName;

    /**
     * 角色等级
     */
    @ApiModelProperty("角色等级")
    @NotNull(message = "角色等级不可为空")
    private Long roleLevel;

    /**
     * 游戏服务器id
     */
    @ApiModelProperty("游戏服务器id")
    @NotBlank(message = "游戏服务器id不可为空")
    private String serverId;

    /**
     * 所在服务器名称
     */
    @ApiModelProperty("所在服务器名称")
    @NotBlank(message = "所在服务器名称不可为空")
    private String serverName;

    /**
     * 角色VIP
     */
    @ApiModelProperty("角色VIP")
    private Long roleVipLevel;

    /**
     * 玩家角色战力
     */
    @ApiModelProperty("玩家角色战力")
    private Long rolePower;

    /**
     * 角色拓展属性
     */
    @ApiModelProperty("角色拓展属性")
    private Object extra;
}
