package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 用户登录参数
 */
@Data
public class LoginPasswordParam {

    public static final int REGISTER = 0;

    public static final int LOGIN = 1;

    /**
     * 用户名
     */
    @ApiModelProperty(notes = "用户名")
    @NotBlank(message = "登陆用户名字不可为空")
    private String username;

    /**
     * 密码
     */
    @ApiModelProperty(notes = "密码")
    @NotBlank(message = "登陆密码不可为空")
    private String password;

    /**
     * 类型 , 0 : 注册且登录, 1 : 仅登录
     */
    @ApiModelProperty(notes = "类型 , 0 : 注册且登录, 1 : 仅登录")
    @NotNull(message = "类型不可为空")
    private Integer type;
}
