package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2023-01-09
 * @description : 商城小程序支付参数
 */
@Data
public class MiniAppPayParam {

    /**
     * 微信小程序商城支付code
     */
    @NotBlank
    @ApiModelProperty(notes = "微信小程序商城支付code")
    private String code;

    /**
     * 商城小程序id
     */
    @NotBlank
    @ApiModelProperty(notes = "商城小程序id")
    private String appId;

    /**
     * 商品ID
     */
    @NotBlank
    @ApiModelProperty(notes = "商品ID")
    private String productId;

    /**
     * 商品ID
     */
    @NotBlank
    @ApiModelProperty(notes = "商品ID")
    private String productName;

    /**
     * 商品金额
     */
    @NotBlank
    @ApiModelProperty(notes = "商品金额")
    private String totalFee;

}
