package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2023-11-13
 * @description : 消息检测参数
 */
@Data
public class MsgSceneCheckParam {

    /**
     * 文本内容
     */
    @NotBlank(message = "文本内容不可为空")
    @ApiModelProperty(notes = "文本内容")
    private String content;

    /**
     * 场景
     */
    @NotNull(message = "场景值不可为空")
    @ApiModelProperty(notes = "场景枚举值（1 资料；2 评论；3 论坛；4 社交日志）")
    private Integer scene;

}
