package com.zanxiang.game.module.sdk.pojo.param;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-06-13
 * @description : 短信验证码校验参数
 */
@Data
public class SmsCheckParam {

    /**
     * 验证码类型
     */
    @JsonAlias("sms-type")
    @NotNull(message = "验证码类型不可为空")
    private Integer type;

    /**
     * 手机号码
     */
    @JsonAlias("sms-mobile")
    @NotBlank(message = "手机号码不可为空")
    private String mobile;

    /**
     * 手机验证码
     */
    @JsonAlias("sms-code")
    @NotBlank(message = "手机验证码不可为空")
    private String code;
}
