package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-09-26
 * @description : 实名认证更新参数
 */
@Data
public class UserCardUpdateParam {

    /**
     * 真实姓名
     */
    @ApiModelProperty(notes = "真实姓名")
    @NotBlank(message = "真实姓名不可为空")
    private String cardName;

    /**
     * 身份证号
     */
    @NotBlank(message = "身份证号不可为空")
    @ApiModelProperty(notes = "身份证号不可为空")
    private String cardId;

}
