package com.zanxiang.game.module.sdk.pojo.result;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2023-10-13
 * @description : ip检测
 */
@Data
public class IpCheckResult {

    /**
     * 消息
     */
    private String msg;

    /**
     * 是否成功
     */
    private boolean success;

    /**
     * 错误码
     */
    private Integer code;

    /**
     * 数据
     */
    private DataBean data;

    @Data
    public static class DataBean {

        /**
         * 订单号
         */
        private String orderNo;

        /**
         * 结果
         */
        private IpCheckResult.ResultBean result;
    }

    @Data
    public static class ResultBean {

        /**
         * 大洲
         */
        private String continent;

        /**
         * 所属机构
         */
        private String owner;

        /**
         * 国家
         */
        private String country;

        /**
         * 经度
         */
        private String lng;

        /**
         * 行政编码
         */
        private String adcode;

        /**
         * 城市
         */
        private String city;

        /**
         * 时区
         */
        private String timezone;

        /**
         * 运营商
         */
        private String isp;

        /**
         * 精度
         */
        private String accuracy;

        /**
         * 采集方式
         */
        private String source;

        /**
         * 自治域编码
         */
        private String asnumber;

        /**
         * 国家编码
         */
        private String areacode;

        /**
         * 邮编
         */
        private String zipcode;

        /**
         * 定位半径
         */
        private String radius;

        /**
         * 省份
         */
        private String prov;

        /**
         * 纬度
         */
        private String lat;
    }

    public Boolean isFail() {
        return this.code != 200;
    }
}
