package com.zanxiang.game.module.sdk.pojo.vo;

import com.zanxiang.game.module.base.pojo.dto.H5GameConfigDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2023-06-29
 * @description : 游戏初始化
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GameInitVO {

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏应用(小游戏/公众号)appId
     */
    @ApiModelProperty(notes = "游戏应用(小游戏/公众号)appId")
    private String appId;

    /**
     * 前端appKey
     */
    @ApiModelProperty(notes = "前端appKey")
    private String appKey;

    /**
     * H5游戏是否使用应用授权登录
     */
    @ApiModelProperty(notes = "H5游戏是否使用应用授权登录")
    private Boolean isPut;

    /**
     * H5游戏配置
     */
    @ApiModelProperty(notes = "H5游戏配置")
    private H5GameConfigDTO h5GameConfigDTO;

    /**
     * H5游戏配置新(老的字段 h5GameConfigDTO 保留, 但是新加的字段都只会在这个新字段中返回)
     */
    @ApiModelProperty(notes = "H5游戏配置新")
    private Map<String, Object> h5GameConfigMap;
}
