package com.zanxiang.game.module.sdk.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 用户登录信息返回
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UserLoginVO {

    /**
     * 用户id, 唯一标识
     */
    @ApiModelProperty(notes = "用户id, 唯一标识")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty(notes = "用户名")
    private String userName;

    /**
     * 登录授权的token
     */
    @ApiModelProperty(notes = "登录授权的token")
    private String token;

    /**
     * 扩展值，可能为空
     */
    @ApiModelProperty(notes = "扩展值，可能为空")
    private String extension;

    /**
     * 是否实名认证，0未实名认证，1成年人，2未成年人
     */
    @ApiModelProperty(notes = "是否实名认证，0未实名认证，1成年人，2未成年人")
    private Integer authentication;

    /**
     * 是否绑定手机1：已绑定，其他：未绑定
     */
    @ApiModelProperty(notes = "是否绑定手机, 0 : 未绑定, 1：已绑定")
    private Integer bindPhone;

    /**
     * 是否存在旧账号
     */
    @ApiModelProperty(notes = "是否存在旧密码")
    private Boolean hasOldPassword;

    /**
     * 用户手机号
     */
    @ApiModelProperty(notes = "用户手机号")
    private String phoneNum;

    /**
     * 用户真实姓名
     */
    @ApiModelProperty(notes = "用户真实姓名")
    private String cardName;

    /**
     * 用户身份证号
     */
    @ApiModelProperty(notes = "用户身份证号")
    private String cardId;

    /**
     * 是否需要强制实名
     */
    @ApiModelProperty(notes = "是否需要强制实名, true : 是, false : 否")
    private Boolean checkSwitch;

    /**
     * 小游戏壳包控制开关
     */
    @ApiModelProperty(notes = "小游戏壳包控制开关")
    private Integer appletShellSwitch;

    /**
     * 是否注册用户
     */
    @ApiModelProperty(notes = "是否注册用户")
    private Boolean regUser;

    /**
     * 微信小游戏的accessToken
     */
    @ApiModelProperty(notes = "微信小游戏的accessToken")
    private String accessToken;
}
