package com.zanxiang.game.module.sdk.service;

import com.zanxiang.game.module.sdk.pojo.result.IpCheckResult;
import reactor.util.function.Tuple2;

/**
 * @author : lingfeng
 * @time : 2023-12-12
 * @description : 阿里云市场api
 */
public interface IAliApiService {

    /**
     * 监听呼叫
     *
     * @param gameId : 游戏id
     * @param param  : 模块参数
     */
    void listenCall(Long gameId, String param);

    /**
     * 语音呼叫
     *
     * @param param  : 模块参数
     * @param mobile : 手机号
     */
    void phoneCall(String param, String mobile);

    /**
     * 阿里实名认证
     *
     * @param cardName : 名字
     * @param cardId   : 身份证
     * @return : 返回检测结果
     */
    Tuple2<Boolean, String> userCardCheck(String cardName, String cardId);

    /**
     * 阿里IP检测
     *
     * @param ip : 网络地址
     * @return : 检测结果
     */
    IpCheckResult userIpCheck(String ip);
}
