package com.zanxiang.game.module.sdk.service;

import com.zanxiang.game.module.mybatis.entity.GameUserRole;
import com.zanxiang.game.module.mybatis.entity.User;
import com.zanxiang.game.module.sdk.pojo.dto.PlatformOrderDTO;
import com.zanxiang.game.module.sdk.pojo.param.CallBackControlParam;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-11-10
 * @description : 回传
 */
public interface ICallBackService {

    /**
     * 回传判断
     *
     * @param param    : 参数
     * @param userData : 玩家信息
     * @return : 返回是否回传
     */
    Map<String, Object> callBackJudge(CallBackControlParam param, UserData userData);

    /**
     * 用户回传
     *
     * @param user        用户
     * @param urlParamMap url参数映射
     */
    void userCallBack(User user, Map<String, String> urlParamMap);

    /**
     * 创角回传
     *
     * @param gameUserRole : 角色信息
     */
    void roleCallBack(GameUserRole gameUserRole);

    /**
     * 订单回传
     *
     * @param orderInfo 订单信息
     */
    void orderCallBack(PlatformOrderDTO orderInfo);
}
