package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.CpPushErrorLog;
import com.zanxiang.game.module.sdk.enums.CpPushDataEnum;

/**
 * @author : lingfeng
 * @time : 2024-06-27
 * @description : CP推送数据错误日志
 */
public interface ICpPushErrorLogService extends IService<CpPushErrorLog> {

    /**
     * CP推送数据错误日志保存
     *
     * @param gameId         : 游戏id
     * @param cpPushDataEnum : 数据类型枚举
     * @param param          : 参数
     * @param errorMsg       : 错误信息
     */
    void createLog(Long gameId, CpPushDataEnum cpPushDataEnum, Object param, String errorMsg);

    /**
     * CP推送数据错误日志更新
     *
     * @param gameId         : 游戏id
     * @param cpPushDataEnum : 数据类型枚举
     * @param param          : 参数
     */
    void errorLogUpdate(Long gameId, CpPushDataEnum cpPushDataEnum, Object param);
}
