package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.PayBox;
import com.zanxiang.game.module.sdk.pojo.dto.PayBoxDTO;
import com.zanxiang.game.module.sdk.pojo.dto.PayMerchantDTO;

/**
 * 支付盒子 服务类接口
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */

public interface IPayBoxService extends IService<PayBox> {

    /**
     * 根据盒子id查询商户信息
     *
     * @param payBoxId 盒子支付id
     * @return {@link PayMerchantDTO}
     */
    PayMerchantDTO getMerchantByBoxId(Long payBoxId);

    /**
     * 通过id
     *
     * @param id id
     * @return {@link PayBoxDTO}
     */
    PayBoxDTO getById(Long id);
}
