package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.PayMerchant;
import com.zanxiang.game.module.sdk.pojo.dto.PayMerchantDTO;

import java.util.List;

/**
 * 游戏支付商户配置表
 *
 * @author xufeng
 * @date 2022-06-16 19:04
 */
public interface IPayMerchantService extends IService<PayMerchant> {

    /**
     * 由商户id查询
     *
     * @param merchantNo 商户id
     * @return {@link PayMerchantDTO}
     */
    PayMerchantDTO getByMerchantNo(String merchantNo);

    /**
     * 通过商户号列表查询
     *
     * @param merchantNoList 商户号列表
     * @return {@link List}<{@link PayMerchantDTO}>
     */
    List<PayMerchantDTO> getByMerchantNos(List<String> merchantNoList);
}
