package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.UserLoginLog;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

/**
 * @author : lingfeng
 * @time : 2022-06-13
 * @description :
 */
public interface IUserLoginLogService extends IService<UserLoginLog> {

    /**
     * 创建角色登录日志
     *
     * @param userData 用户
     * @param type     类型
     * @param roleId   角色id
     * @param roleName 角色名字
     * @return {@link Boolean}
     */
    Boolean createRoleLoginLog(UserData userData, String roleId, String roleName, Integer type);

    /**
     * 创建用户登录日志
     *
     * @param type     类型
     * @param userData 用户数据
     * @return {@link Boolean}
     */
    Boolean createUserLoginLog(UserData userData, Integer type);
}
