package com.zanxiang.game.platform.serve.pojo.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬订单
 */
@Data
public class PlatformDeYangOrderDTO {

    /**
     * 订单id
     */
    @NotBlank(message = "订单id不可为空")
    private String orderid;

    /**
     * 平台账号id, 用户唯一标识
     */
    private Long uid;

    /**
     * 公众号openId
     */
    private String wecha_id;

    /**
     * 游戏名称
     */
    private String game_name;

    /**
     * 支付状态:0未支付,1已支付
     */
    private Integer pay_status;

    /**
     * 充值金额(单位:分)
     */
    private Long price;

    /**
     * 下单时间
     */
    private Long addtime;

    /**
     * 支付类型
     */
    private String pay_type;

    /**
     * 支付时间
     */
    private String pay_time;

    /**
     * 角色名称
     */
    private String role_name;

    /**
     * 角色区服
     */
    private String role_area;

    /**
     * 渠道id
     */
    private Long tunnel_id;

    /**
     * 商品名称
     */
    private String product_name;

    /**
     * 回传信息
     */
    private String toufang_back;

    /**
     * 分销号id
     */
    private String agent_id2;

    /**
     * 充值回执
     */
    private String bankOrderNo;
}
