package com.zanxiang.game.platform.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author : lingfeng
 * @time : 2023-05-24
 * @description : 游戏平台
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_platform")
public class GamePlatform implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 平台名称
     */
    private String platformName;

    /**
     * 平台的 key
     */
    private String platformKey;

    /**
     * 普通账号访问链接
     */
    private String link;

    /**
     * vip账号访问链接
     */
    private String vipLink;

    /**
     * 平台参数
     */
    private String configParam;

    /**
     * 开始有数据的日期（方便拉数据）
     */
    private LocalDate beginTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private Long updateBy;
}