package com.zanxiang.game.platform.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-05-24
 * @description : 游戏账号表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_platform_account")
public class GamePlatformAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 未使用状态
     */
    public static final Integer UN_USE_STATUS = 0;

    /**
     * 已使用状态
     */
    public static final Integer USE_STATUS = 1;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 平台的 key
     */
    private String platformKey;

    /**
     * 所属期数
     */
    private Long periodId;

    /**
     * 账号
     */
    private String account;

    /**
     * 密码
     */
    private String password;

    /**
     * 账号的配置参数，json数据
     */
    private String configParam;

    /**
     * 状态,0:未使用,1:已使用
     */
    private Integer status;

    /**
     * 是否删除, 0 : 未删除, 1 : 已删除
     */
    @TableLogic
    private Boolean deleted;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}