package com.zanxiang.game.platform.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬订单
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_platform_deyang_order")
public class PlatformDeYangOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
    @TableId(value = "order_id", type = IdType.INPUT)
    private String orderId;

    /**
     * 平台的 key
     */
    private String platformKey;

    /**
     * 平台账号id, 用户唯一标识
     */
    private Long uid;

    /**
     * 公众号openId
     */
    private String mpOpenId;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 支付状态:0未支付,1已支付
     */
    private Integer payStatus;

    /**
     * 充值金额(单位:分)
     */
    private Long price;

    /**
     * 下单时间
     */
    private LocalDateTime addTime;

    /**
     * 支付类型
     */
    private String payType;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色区服
     */
    private String roleArea;

    /**
     * 渠道id
     */
    private Long tunnelId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 回传信息
     */
    private String touFangBack;

    /**
     * 分销号id
     */
    private String agentId;

    /**
     * 充值回执
     */
    private String bankOrderNo;
}