package com.zanxiang.game.platform.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬用户
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_platform_deyang_user")
public class PlatformDeYangUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 平台账号id, 用户唯一标识
     */
    @TableId(value = "uid", type = IdType.INPUT)
    private Long uid;

    /**
     * 平台的 key
     */
    private String platformKey;

    /**
     * 公众号openId
     */
    private String mpOpenId;

    /**
     * 趣程标识
     */
    private String qcSign;

    /**
     * 注册时间
     */
    private LocalDateTime time;

    /**
     * 渠道id
     */
    private Long tunnelId;

    /**
     * 最后登录时间
     */
    private LocalDateTime updateTime;

    /**
     * 支付金额(单位:分)
     */
    private Long allPrice;

    /**
     * 游戏付费金额(单位:分)
     */
    private Long gamePrice;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 真实姓名
     */
    private String trueName;

    /**
     * 身份证号
     */
    private String code;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色区服
     */
    private String roleArea;

    /**
     * 注册IP
     */
    private String ip;

    /**
     * 公众号id
     */
    private String appId;

    /**
     * 公众号名称
     */
    private String appName;

    /**
     * 注册UA
     */
    private String userAgent;

    /**
     * 分销号id
     */
    private String agentId;
}