package com.zanxiang.game.platform.serve.pojo.req;

import com.zanxiang.game.platform.serve.enums.GamePlatformEnum;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-05-25
 * @description : 手动同步参数
 */
@Data
public class PlatformSyncRequest {

    /**
     * 平台的 key
     */
    @NotNull
    private GamePlatformEnum gamePlatformEnum;

    /**
     * 账号id列表
     */
    @NotEmpty
    private List<Long> accountIdList;

    /**
     * 开始时间
     */
    @NotNull
    private LocalDateTime startDate;

    /**
     * 结束时间
     */
    @NotNull
    private LocalDateTime endDate;
}
